/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_ASSU                                                     */
/* Tabela : ASSUSOLI                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_ASSU'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_ASSU
GO

CREATE TRIGGER DTULTATU_ASSU
ON ASSUSOLI
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'ASSUSOLI', null, 'CDASSUSOLI=' + CDASSUSOLI + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE ASSUSOLI
      SET DTULTATUASSU = GETDATE()
      FROM INSERTED;
   END;
END;
GO

