/* Tabela TIPOOPERAC: Item do Lanamento de Estoque */
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir de alteraes na tabela TIPOOPERAC */
/* Objetivo: Gerar um log que vai registrar as alteraes na tabela TIPOOPERAC utilizando a tabela Geral de Logs de Operaes */
IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
           WHERE O.NAME = 'LOG_FIS_TIPOOPERAC' AND
                 TYPE   = 'TR' 	               AND
	              U.UID  = O.UID           AND
	              U.NAME = USER)
DROP TRIGGER LOG_FIS_TIPOOPERAC
GO
CREATE TRIGGER LOG_FIS_TIPOOPERAC
ON TIPOOPERAC
FOR INSERT, UPDATE, DELETE
AS

   DECLARE @V_USUARIO          VARCHAR(40);
   DECLARE @V_TIPO             VARCHAR(1);
   DECLARE @V_ITPESQ           VARCHAR(40);
   DECLARE @V_DESC             VARCHAR(2000);
   DECLARE @V_DTOPER           DATETIME;
   DECLARE @V_DSREMOTEADDR     VARCHAR(15);
   DECLARE @V_DSREMOTEHOST     VARCHAR(15);
   DECLARE @V_DSSERVERRDM      VARCHAR(20);
   DECLARE @V_DSSERVMETHOD     VARCHAR(30);
   DECLARE @V_DSREMOTEOPER     VARCHAR(12);
/*VARIVEIS DO CURSOR C_CURSORT*/

   DECLARE @V_ID_COMANDO VARCHAR(1);

   DECLARE @V_IDENTRSAIDOP_OLD   VARCHAR(1);
   DECLARE @V_IDUTCTRLAIDF_OLD   VARCHAR(1);
   DECLARE @V_CDIMPOSTOIPI_OLD   VARCHAR(2);
   DECLARE @V_CDENCARGOICMST_OLD VARCHAR(2);
   DECLARE @V_IDGERIPIDESPA_OLD  VARCHAR(1);
   DECLARE @V_IDPEINFICMSTDEME_OLD VARCHAR(1);
   DECLARE @V_IDGERICMSTDESPA_OLD  VARCHAR(1);
   DECLARE @V_IDOBINFCSTCFOPEN_OLD VARCHAR(1);
   DECLARE @V_IDOBINFCSTICMENT_OLD VARCHAR(1);
   DECLARE @V_IDCOAVRIMPVRPROD_OLD VARCHAR(1);
   DECLARE @V_IDUTRECEITA_OLD    VARCHAR(1);
   DECLARE @V_IDNFPRESTSERV_OLD  VARCHAR(1);
   DECLARE @V_IDUTILNFSE_OLD     VARCHAR(1);
   DECLARE @V_IDUTILOPEROFF_OLD  VARCHAR(1);
   DECLARE @V_IDUTCUSORIGEST_OLD VARCHAR(1);
   DECLARE @V_CDFORNECEDPADR_OLD VARCHAR(21);
   DECLARE @V_DSOPERNFAVISTA_OLD VARCHAR(50);
   DECLARE @V_IDINFCPFCNPJNF_OLD VARCHAR(1);
   DECLARE @V_CDCTBLTPOPERCMV_OLD VARCHAR(20);
   DECLARE @V_CDREFLOTECTBTO_OLD  VARCHAR(20);
   DECLARE @V_IDCONSPARFIS_OLD    VARCHAR(1);
   DECLARE @V_IDGERAVENCNFAP_OLD  VARCHAR(1);
   DECLARE @V_IDCONSCTBRAT_OLD    VARCHAR(1);
   DECLARE @V_IDUTILOPERFAMAN_OLD VARCHAR(1);
   DECLARE @V_IDUTILVENCOBR_OLD VARCHAR(1);
   DECLARE @V_IDSERIEAUTO_OLD   VARCHAR(1);
   DECLARE @V_IDGERADUPLI_OLD   CHAR(1);
   DECLARE @V_IDCOMPEMISRE_OLD  CHAR(1);
   DECLARE @V_IDCOMPGERTG_OLD   CHAR(1);
   DECLARE @V_IDPERALTDSEM_OLD  CHAR(1);
   DECLARE @V_IDDCORIGRELAC_OLD CHAR(1);
   DECLARE @V_IDCOMPRESROP_OLD CHAR(1);
   DECLARE @V_IDCOMPDOCROP_OLD CHAR(1);
   DECLARE @V_DSTIPOOPEFAT_OLD VARCHAR(40);
   DECLARE @V_CDTPCTPAGAR_OLD  VARCHAR(6);
   DECLARE @V_CDTPCTRECEB_OLD  VARCHAR(6);
   DECLARE @V_CDTIPOOPER_OLD   VARCHAR(2);
   DECLARE @V_NMTIPOOPER_OLD   VARCHAR(30);
   DECLARE @V_IDUTILOPER_OLD   VARCHAR(1);
   DECLARE @V_CDEXTIPOOPER_OLD VARCHAR(10);
   DECLARE @V_IDORIGDESTOP_OLD VARCHAR(1);
   DECLARE @V_IDGERANFCMP_OLD  VARCHAR(1);
   DECLARE @V_CDTIPOCUSTO_OLD  VARCHAR(2);
   DECLARE @V_CDPRECOBASE_OLD  VARCHAR(2);
   DECLARE @V_IDUTILVENC_OLD   VARCHAR(1);
   DECLARE @V_IDUTILEMISNF_OLD VARCHAR(1);
   DECLARE @V_IDPERNUMENF_OLD  VARCHAR(1);
   DECLARE @V_IDGERAVENC_OLD   VARCHAR(1);
   DECLARE @V_IDATUESTTPOP_OLD VARCHAR(1);
   DECLARE @V_IDOPERDEVONF_OLD VARCHAR(1);
   DECLARE @V_IDNFORIGOBRI_OLD VARCHAR(1);
   DECLARE @V_IDUTLLISTORI_OLD VARCHAR(1);
   DECLARE @V_DSOPERNFORIG_OLD VARCHAR(30);
   DECLARE @V_CDCONTFORCLI_OLD VARCHAR(20);
   DECLARE @V_CDCONTPROD_OLD   VARCHAR(20);
   DECLARE @V_IDCONTABOPER_OLD VARCHAR(1);
   DECLARE @V_IDDTCONTAB_OLD   VARCHAR(1);
   DECLARE @V_IDTPOPVENDA_OLD  VARCHAR(1);
   DECLARE @V_CDHISTPADR_OLD   VARCHAR(4);
   DECLARE @V_CDGRUPOFISC_OLD  VARCHAR(3);
   DECLARE @V_IDUTGERNFTRAN_OLD  VARCHAR(1);
   DECLARE @V_IDTPTRANSNFE_OLD   VARCHAR(1);
   DECLARE @V_IDNOTADEVO_OLD     VARCHAR(1);
   DECLARE @V_IDBRINDETPOPER_OLD VARCHAR(1);
   DECLARE @V_IDNFESTCANC_OLD    VARCHAR(1);
   DECLARE @V_IDNFAJUSTE_OLD     VARCHAR(1);
   DECLARE @V_IDTRATRECBRUTA_OLD VARCHAR(1);
   DECLARE @V_IDOPERDEVOOL_OLD  VARCHAR(1);
   DECLARE @V_IDTIPOOPERELE_OLD VARCHAR(1);   
   DECLARE @V_IDOBRDTREFFAT_OLD VARCHAR(1);
   DECLARE @V_IDALTDTREFAPROV_OLD VARCHAR(1);
   DECLARE @V_IDCONTSOMENIMPO_OLD VARCHAR(1);
   DECLARE @V_IDNFRETIND_OLD VARCHAR(1);
   DECLARE @V_IDOPTRIANGULAR_OLD VARCHAR(1);
   DECLARE @V_IDENTRTERCEIRO_OLD VARCHAR(1);
   DECLARE @V_IDREMESSAINDU_OLD VARCHAR(1);
   DECLARE @V_IDCALCDIFALDENT_OLD VARCHAR(1);
   DECLARE @V_IDCONSANACONC_OLD VARCHAR(1);
   DECLARE @V_IDREMEINSUAPROV_OLD VARCHAR(1);

   DECLARE @V_IDENTRSAIDOP_NEW VARCHAR(1);
   DECLARE @V_IDUTCTRLAIDF_NEW VARCHAR(1);
   DECLARE @V_CDIMPOSTOIPI_NEW VARCHAR(2);
   DECLARE @V_CDENCARGOICMST_NEW   VARCHAR(2);
   DECLARE @V_IDGERIPIDESPA_NEW    VARCHAR(1);
   DECLARE @V_IDPEINFICMSTDEME_NEW VARCHAR(1);
   DECLARE @V_IDGERICMSTDESPA_NEW  VARCHAR(1);
   DECLARE @V_IDOBINFCSTCFOPEN_NEW VARCHAR(1);
   DECLARE @V_IDOBINFCSTICMENT_NEW VARCHAR(1);
   DECLARE @V_IDCOAVRIMPVRPROD_NEW VARCHAR(1);
   DECLARE @V_IDUTRECEITA_NEW     VARCHAR(1);
   DECLARE @V_IDNFPRESTSERV_NEW   VARCHAR(1);
   DECLARE @V_IDUTILNFSE_NEW      VARCHAR(1);
   DECLARE @V_IDUTILOPEROFF_NEW   VARCHAR(1);
   DECLARE @V_IDUTCUSORIGEST_NEW  VARCHAR(1);
   DECLARE @V_CDFORNECEDPADR_NEW  VARCHAR(21);
   DECLARE @V_DSOPERNFAVISTA_NEW  VARCHAR(50);
   DECLARE @V_IDINFCPFCNPJNF_NEW  VARCHAR(1);
   DECLARE @V_CDCTBLTPOPERCMV_NEW VARCHAR(20);
   DECLARE @V_CDREFLOTECTBTO_NEW  VARCHAR(20);
   DECLARE @V_IDCONSPARFIS_NEW    VARCHAR(1);
   DECLARE @V_IDGERAVENCNFAP_NEW  VARCHAR(1);
   DECLARE @V_IDCONSCTBRAT_NEW    VARCHAR(1);
   DECLARE @V_IDUTILOPERFAMAN_NEW VARCHAR(1);
   DECLARE @V_IDUTILVENCOBR_NEW VARCHAR(1);
   DECLARE @V_IDSERIEAUTO_NEW   VARCHAR(1);
   DECLARE @V_IDGERADUPLI_NEW   CHAR(1);
   DECLARE @V_IDCOMPEMISRE_NEW  CHAR(1);
   DECLARE @V_IDCOMPGERTG_NEW   CHAR(1);
   DECLARE @V_IDPERALTDSEM_NEW  CHAR(1);
   DECLARE @V_IDDCORIGRELAC_NEW CHAR(1);
   DECLARE @V_IDCOMPRESROP_NEW CHAR(1);
   DECLARE @V_IDCOMPDOCROP_NEW CHAR(1);
   DECLARE @V_DSTIPOOPEFAT_NEW VARCHAR(40);
   DECLARE @V_CDTPCTPAGAR_NEW  VARCHAR(6);
   DECLARE @V_CDTPCTRECEB_NEW  VARCHAR(6);
   DECLARE @V_CDTIPOOPER_NEW   VARCHAR(2);
   DECLARE @V_NMTIPOOPER_NEW   VARCHAR(30);
   DECLARE @V_IDUTILOPER_NEW   VARCHAR(1);
   DECLARE @V_CDEXTIPOOPER_NEW VARCHAR(10);
   DECLARE @V_IDORIGDESTOP_NEW VARCHAR(1);
   DECLARE @V_IDGERANFCMP_NEW  VARCHAR(1);
   DECLARE @V_CDTIPOCUSTO_NEW  VARCHAR(2);
   DECLARE @V_CDPRECOBASE_NEW  VARCHAR(2);
   DECLARE @V_IDUTILVENC_NEW   VARCHAR(1);
   DECLARE @V_IDUTILEMISNF_NEW VARCHAR(1);
   DECLARE @V_IDPERNUMENF_NEW  VARCHAR(1);
   DECLARE @V_IDGERAVENC_NEW   VARCHAR(1);
   DECLARE @V_IDATUESTTPOP_NEW VARCHAR(1);
   DECLARE @V_IDOPERDEVONF_NEW VARCHAR(1);
   DECLARE @V_IDNFORIGOBRI_NEW VARCHAR(1);
   DECLARE @V_IDUTLLISTORI_NEW VARCHAR(1);
   DECLARE @V_DSOPERNFORIG_NEW VARCHAR(30);
   DECLARE @V_CDCONTFORCLI_NEW VARCHAR(20);
   DECLARE @V_CDCONTPROD_NEW   VARCHAR(20);
   DECLARE @V_IDCONTABOPER_NEW VARCHAR(1);
   DECLARE @V_IDDTCONTAB_NEW   VARCHAR(1);
   DECLARE @V_IDTPOPVENDA_NEW  VARCHAR(1);
   DECLARE @V_CDHISTPADR_NEW   VARCHAR(4);
   DECLARE @V_CDGRUPOFISC_NEW  VARCHAR(3);
   DECLARE @V_IDUTGERNFTRAN_NEW  VARCHAR(1);
   DECLARE @V_IDTPTRANSNFE_NEW   VARCHAR(1);
   DECLARE @V_IDNOTADEVO_NEW     VARCHAR(1);
   DECLARE @V_IDBRINDETPOPER_NEW VARCHAR(1);
   DECLARE @V_IDNFESTCANC_NEW    VARCHAR(1);
   DECLARE @V_IDNFAJUSTE_NEW     VARCHAR(1);
   DECLARE @V_IDTRATRECBRUTA_NEW VARCHAR(1);
   DECLARE @V_IDOPERDEVOOL_NEW   VARCHAR(1);
   DECLARE @V_IDTIPOOPERELE_NEW  VARCHAR(1);    
   DECLARE @V_IDOBRDTREFFAT_NEW  VARCHAR(1);
   DECLARE @V_IDALTDTREFAPROV_NEW VARCHAR(1);
   DECLARE @V_IDCONTSOMENIMPO_NEW VARCHAR(1);
   DECLARE @V_IDNFRETIND_NEW      VARCHAR(1);
   DECLARE @V_IDOPTRIANGULAR_NEW VARCHAR(1);
   DECLARE @V_IDENTRTERCEIRO_NEW VARCHAR(1);
   DECLARE @V_IDREMESSAINDU_NEW VARCHAR(1);
   DECLARE @V_IDCALCDIFALDENT_NEW VARCHAR(1);
   DECLARE @V_IDCONSANACONC_NEW VARCHAR(1);
   DECLARE @V_IDREMEINSUAPROV_NEW VARCHAR(1);
BEGIN
   SET @V_TIPO = '0';
   SET @V_DESC = '';
   EXEC WEBTUNNING @V_DSREMOTEADDR OUTPUT,
                   @V_DSREMOTEHOST OUTPUT,
                   @V_DSSERVERRDM OUTPUT,
                   @V_DSSERVMETHOD OUTPUT,
                   @V_DSREMOTEOPER OUTPUT;
   EXEC NMUSUARIO @V_USUARIO OUTPUT;
   SET @V_USUARIO = ISNULL(@V_USUARIO, ' ');



   DECLARE C_CURSORT CURSOR FOR
   SELECT
      'D'
         IDCOMANDO,
         IDENTRSAIDOP,
         IDUTCTRLAIDF,
         CDIMPOSTOIPI,
         CDENCARGOICMST,
         IDGERIPIDESPA,
         IDPEINFICMSTDEME,
         IDGERICMSTDESPA,
         IDOBINFCSTCFOPEN,
         IDOBINFCSTICMENT,
         IDCOAVRIMPVRPROD,
         IDUTRECEITA,
         IDNFPRESTSERV,
         IDUTILNFSE,
         IDUTILOPEROFF,
         IDUTCUSORIGEST,
         CDFORNECEDPADR,
         DSOPERNFAVISTA,
         IDINFCPFCNPJNF,
         CDCTBLTPOPERCMV,
         CDREFLOTECTBTO,
         IDCONSPARFIS,
         IDGERAVENCNFAP,
         IDCONSCTBRAT,
         IDUTILOPERFAMAN,
         IDUTILVENCOBR,
         IDSERIEAUTO,
         IDGERADUPLI,
         IDCOMPEMISRE,
         IDCOMPGERTG,
         IDPERALTDSEM,
         IDDCORIGRELAC,
         IDCOMPRESROP,
         IDCOMPDOCROP,
         DSTIPOOPEFAT,
         CDTPCTPAGAR,
         CDTPCTRECEB,
         CDTIPOOPER,
         NMTIPOOPER,
         IDUTILOPER,
         CDEXTIPOOPER,
         IDORIGDESTOP,
         IDGERANFCMP,
         CDTIPOCUSTO,
         CDPRECOBASE,
         IDUTILVENC,
         IDUTILEMISNF,
         IDPERNUMENF,
         IDGERAVENC,
         IDATUESTTPOP,
         IDOPERDEVONF,
         IDNFORIGOBRI,
         IDUTLLISTORI,
         DSOPERNFORIG,
         CDCONTFORCLI,
         CDCONTPROD,
         IDCONTABOPER,
         IDDTCONTAB,
         IDTPOPVENDA,
         CDHISTPADR,
         CDGRUPOFISC,
         IDUTGERNFTRAN,
         IDTPTRANSNFE,
         IDNOTADEVO,
         IDBRINDETPOPER,
         IDNFESTCANC,
         IDNFAJUSTE,
         IDTRATRECBRUTA,
         IDOPERDEVOOL,
         IDTIPOOPERELE,   
         IDOBRDTREFFAT,
         IDALTDTREFAPROV,
         IDCONTSOMENIMPO,
         IDNFRETIND,
         IDOPTRIANGULAR,
         IDENTRTERCEIRO,
         IDREMESSAINDU,
         IDCALCDIFALDENT,
         IDCONSANACONC,
         IDREMEINSUAPROV,

         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL
   FROM
      DELETED
   WHERE
      IDENTRSAIDOP+CDTIPOOPER NOT IN (SELECT IDENTRSAIDOP+CDTIPOOPER FROM INSERTED)
   UNION ALL

   SELECT
      'U' IDCOMANDO,
         DELETED.IDENTRSAIDOP,
         DELETED.IDUTCTRLAIDF,
         DELETED.CDIMPOSTOIPI,
         DELETED.CDENCARGOICMST,
         DELETED.IDGERIPIDESPA,
         DELETED.IDPEINFICMSTDEME,
         DELETED.IDGERICMSTDESPA,
         DELETED.IDOBINFCSTCFOPEN,
         DELETED.IDOBINFCSTICMENT,
         DELETED.IDCOAVRIMPVRPROD,
         DELETED.IDUTRECEITA,
         DELETED.IDNFPRESTSERV,
         DELETED.IDUTILNFSE,
         DELETED.IDUTILOPEROFF,
         DELETED.IDUTCUSORIGEST,
         DELETED.CDFORNECEDPADR,
         DELETED.DSOPERNFAVISTA,
         DELETED.IDINFCPFCNPJNF,
         DELETED.CDCTBLTPOPERCMV,
         DELETED.CDREFLOTECTBTO,
         DELETED.IDCONSPARFIS,
         DELETED.IDGERAVENCNFAP,
         DELETED.IDCONSCTBRAT,
         DELETED.IDUTILOPERFAMAN,
         DELETED.IDUTILVENCOBR,
         DELETED.IDSERIEAUTO,
         DELETED.IDGERADUPLI,
         DELETED.IDCOMPEMISRE,
         DELETED.IDCOMPGERTG,
         DELETED.IDPERALTDSEM,
         DELETED.IDDCORIGRELAC,
         DELETED.IDCOMPRESROP,
         DELETED.IDCOMPDOCROP,
         DELETED.DSTIPOOPEFAT,
         DELETED.CDTPCTPAGAR,
         DELETED.CDTPCTRECEB,
         DELETED.CDTIPOOPER,
         DELETED.NMTIPOOPER,
         DELETED.IDUTILOPER,
         DELETED.CDEXTIPOOPER,
         DELETED.IDORIGDESTOP,
         DELETED.IDGERANFCMP,
         DELETED.CDTIPOCUSTO,
         DELETED.CDPRECOBASE,
         DELETED.IDUTILVENC,
         DELETED.IDUTILEMISNF,
         DELETED.IDPERNUMENF,
         DELETED.IDGERAVENC,
         DELETED.IDATUESTTPOP,
         DELETED.IDOPERDEVONF,
         DELETED.IDNFORIGOBRI,
         DELETED.IDUTLLISTORI,
         DELETED.DSOPERNFORIG,
         DELETED.CDCONTFORCLI,
         DELETED.CDCONTPROD,
         DELETED.IDCONTABOPER,
         DELETED.IDDTCONTAB,
         DELETED.IDTPOPVENDA,
         DELETED.CDHISTPADR,
         DELETED.CDGRUPOFISC,
         DELETED.IDUTGERNFTRAN,
         DELETED.IDTPTRANSNFE,
         DELETED.IDNOTADEVO,
         DELETED.IDBRINDETPOPER,
         DELETED.IDNFESTCANC,
         DELETED.IDNFAJUSTE,
         DELETED.IDTRATRECBRUTA,
         DELETED.IDOPERDEVOOL,
         DELETED.IDTIPOOPERELE,  
         DELETED.IDOBRDTREFFAT,
         DELETED.IDALTDTREFAPROV,
         DELETED.IDCONTSOMENIMPO,
         DELETED.IDNFRETIND,
         DELETED.IDOPTRIANGULAR,
         DELETED.IDENTRTERCEIRO,
         DELETED.IDREMESSAINDU,
         DELETED.IDCALCDIFALDENT,
         DELETED.IDCONSANACONC,
         DELETED.IDREMEINSUAPROV,

         INSERTED.IDENTRSAIDOP,
         INSERTED.IDUTCTRLAIDF,
         INSERTED.CDIMPOSTOIPI,
         INSERTED.CDENCARGOICMST,
         INSERTED.IDGERIPIDESPA,
         INSERTED.IDPEINFICMSTDEME,
         INSERTED.IDGERICMSTDESPA,
         INSERTED.IDOBINFCSTCFOPEN,
         INSERTED.IDOBINFCSTICMENT,
         INSERTED.IDCOAVRIMPVRPROD,
         INSERTED.IDUTRECEITA,
         INSERTED.IDNFPRESTSERV,
         INSERTED.IDUTILNFSE,
         INSERTED.IDUTILOPEROFF,
         INSERTED.IDUTCUSORIGEST,
         INSERTED.CDFORNECEDPADR,
         INSERTED.DSOPERNFAVISTA,
         INSERTED.IDINFCPFCNPJNF,
         INSERTED.CDCTBLTPOPERCMV,
         INSERTED.CDREFLOTECTBTO,
         INSERTED.IDCONSPARFIS,
         INSERTED.IDGERAVENCNFAP,
         INSERTED.IDCONSCTBRAT,
         INSERTED.IDUTILOPERFAMAN,
         INSERTED.IDUTILVENCOBR,
         INSERTED.IDSERIEAUTO,
         INSERTED.IDGERADUPLI,
         INSERTED.IDCOMPEMISRE,
         INSERTED.IDCOMPGERTG,
         INSERTED.IDPERALTDSEM,
         INSERTED.IDDCORIGRELAC,
         INSERTED.IDCOMPRESROP,
         INSERTED.IDCOMPDOCROP,
         INSERTED.DSTIPOOPEFAT,
         INSERTED.CDTPCTPAGAR,
         INSERTED.CDTPCTRECEB,
         INSERTED.CDTIPOOPER,
         INSERTED.NMTIPOOPER,
         INSERTED.IDUTILOPER,
         INSERTED.CDEXTIPOOPER,
         INSERTED.IDORIGDESTOP,
         INSERTED.IDGERANFCMP,
         INSERTED.CDTIPOCUSTO,
         INSERTED.CDPRECOBASE,
         INSERTED.IDUTILVENC,
         INSERTED.IDUTILEMISNF,
         INSERTED.IDPERNUMENF,
         INSERTED.IDGERAVENC,
         INSERTED.IDATUESTTPOP,
         INSERTED.IDOPERDEVONF,
         INSERTED.IDNFORIGOBRI,
         INSERTED.IDUTLLISTORI,
         INSERTED.DSOPERNFORIG,
         INSERTED.CDCONTFORCLI,
         INSERTED.CDCONTPROD,
         INSERTED.IDCONTABOPER,
         INSERTED.IDDTCONTAB,
         INSERTED.IDTPOPVENDA,
         INSERTED.CDHISTPADR,
         INSERTED.CDGRUPOFISC,
         INSERTED.IDUTGERNFTRAN,
         INSERTED.IDTPTRANSNFE,
         INSERTED.IDNOTADEVO,
         INSERTED.IDBRINDETPOPER,
         INSERTED.IDNFESTCANC,
         INSERTED.IDNFAJUSTE,
         INSERTED.IDTRATRECBRUTA,
         INSERTED.IDOPERDEVOOL,
         INSERTED.IDTIPOOPERELE,
         INSERTED.IDOBRDTREFFAT,
         INSERTED.IDALTDTREFAPROV,
         INSERTED.IDCONTSOMENIMPO,
         INSERTED.IDNFRETIND,
         INSERTED.IDOPTRIANGULAR,
         INSERTED.IDENTRTERCEIRO,
         INSERTED.IDREMESSAINDU,
         INSERTED.IDCALCDIFALDENT,
         INSERTED.IDCONSANACONC,
         INSERTED.IDREMEINSUAPROV
   FROM
      INSERTED,
      DELETED
   WHERE
      INSERTED.IDENTRSAIDOP  = DELETED.IDENTRSAIDOP  AND
      INSERTED.CDTIPOOPER    = DELETED.CDTIPOOPER
   UNION ALL

   SELECT
      'I' IDCOMANDO,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,

         IDENTRSAIDOP,
         IDUTCTRLAIDF,
         CDIMPOSTOIPI,
         CDENCARGOICMST,
         IDGERIPIDESPA,
         IDPEINFICMSTDEME,
         IDGERICMSTDESPA,
         IDOBINFCSTCFOPEN,
         IDOBINFCSTICMENT,
         IDCOAVRIMPVRPROD,
         IDUTRECEITA,
         IDNFPRESTSERV,
         IDUTILNFSE,
         IDUTILOPEROFF,
         IDUTCUSORIGEST,
         CDFORNECEDPADR,
         DSOPERNFAVISTA,
         IDINFCPFCNPJNF,
         CDCTBLTPOPERCMV,
         CDREFLOTECTBTO,
         IDCONSPARFIS,
         IDGERAVENCNFAP,
         IDCONSCTBRAT,
         IDUTILOPERFAMAN,
         IDUTILVENCOBR,
         IDSERIEAUTO,
         IDGERADUPLI,
         IDCOMPEMISRE,
         IDCOMPGERTG,
         IDPERALTDSEM,
         IDDCORIGRELAC,
         IDCOMPRESROP,
         IDCOMPDOCROP,
         DSTIPOOPEFAT,
         CDTPCTPAGAR,
         CDTPCTRECEB,
         CDTIPOOPER,
         NMTIPOOPER,
         IDUTILOPER,
         CDEXTIPOOPER,
         IDORIGDESTOP,
         IDGERANFCMP,
         CDTIPOCUSTO,
         CDPRECOBASE,
         IDUTILVENC,
         IDUTILEMISNF,
         IDPERNUMENF,
         IDGERAVENC,
         IDATUESTTPOP,
         IDOPERDEVONF,
         IDNFORIGOBRI,
         IDUTLLISTORI,
         DSOPERNFORIG,
         CDCONTFORCLI,
         CDCONTPROD,
         IDCONTABOPER,
         IDDTCONTAB,
         IDTPOPVENDA,
         CDHISTPADR,
         CDGRUPOFISC,
         IDUTGERNFTRAN,
         IDTPTRANSNFE,
         IDNOTADEVO,
         IDBRINDETPOPER,
         IDNFESTCANC,
         IDNFAJUSTE,
         IDTRATRECBRUTA,
         IDOPERDEVOOL,
         IDTIPOOPERELE,
         IDOBRDTREFFAT,
         IDALTDTREFAPROV,
         IDCONTSOMENIMPO,
         IDNFRETIND,
         IDOPTRIANGULAR,
         IDENTRTERCEIRO,
         IDREMESSAINDU,
         IDCALCDIFALDENT,
         IDCONSANACONC,
         IDREMEINSUAPROV
   FROM
     INSERTED
   WHERE
      IDENTRSAIDOP+CDTIPOOPER NOT IN (SELECT IDENTRSAIDOP+CDTIPOOPER FROM DELETED);

      OPEN C_CURSORT;
      FETCH NEXT FROM C_CURSORT INTO @V_ID_COMANDO,
                                     @V_IDENTRSAIDOP_OLD,
                                     @V_IDUTCTRLAIDF_OLD,
                                     @V_CDIMPOSTOIPI_OLD,
                                     @V_CDENCARGOICMST_OLD,
                                     @V_IDGERIPIDESPA_OLD,
                                     @V_IDPEINFICMSTDEME_OLD,
                                     @V_IDGERICMSTDESPA_OLD,
                                     @V_IDOBINFCSTCFOPEN_OLD,
                                     @V_IDOBINFCSTICMENT_OLD,
                                     @V_IDCOAVRIMPVRPROD_OLD,
                                     @V_IDUTRECEITA_OLD,
                                     @V_IDNFPRESTSERV_OLD,
                                     @V_IDUTILNFSE_OLD,
                                     @V_IDUTILOPEROFF_OLD,
                                     @V_IDUTCUSORIGEST_OLD,
                                     @V_CDFORNECEDPADR_OLD,
                                     @V_DSOPERNFAVISTA_OLD,
                                     @V_IDINFCPFCNPJNF_OLD,
                                     @V_CDCTBLTPOPERCMV_OLD,
                                     @V_CDREFLOTECTBTO_OLD,
                                     @V_IDCONSPARFIS_OLD,
                                     @V_IDGERAVENCNFAP_OLD,
                                     @V_IDCONSCTBRAT_OLD,
                                     @V_IDUTILOPERFAMAN_OLD,
                                     @V_IDUTILVENCOBR_OLD,
                                     @V_IDSERIEAUTO_OLD,
                                     @V_IDGERADUPLI_OLD,
                                     @V_IDCOMPEMISRE_OLD,
                                     @V_IDCOMPGERTG_OLD,
                                     @V_IDPERALTDSEM_OLD,
                                     @V_IDDCORIGRELAC_OLD,
                                     @V_IDCOMPRESROP_OLD,
                                     @V_IDCOMPDOCROP_OLD,
                                     @V_DSTIPOOPEFAT_OLD,
                                     @V_CDTPCTPAGAR_OLD,
                                     @V_CDTPCTRECEB_OLD,
                                     @V_CDTIPOOPER_OLD,
                                     @V_NMTIPOOPER_OLD,
                                     @V_IDUTILOPER_OLD,
                                     @V_CDEXTIPOOPER_OLD,
                                     @V_IDORIGDESTOP_OLD,
                                     @V_IDGERANFCMP_OLD,
                                     @V_CDTIPOCUSTO_OLD,
                                     @V_CDPRECOBASE_OLD,
                                     @V_IDUTILVENC_OLD,
                                     @V_IDUTILEMISNF_OLD,
                                     @V_IDPERNUMENF_OLD,
                                     @V_IDGERAVENC_OLD,
                                     @V_IDATUESTTPOP_OLD,
                                     @V_IDOPERDEVONF_OLD,
                                     @V_IDNFORIGOBRI_OLD,
                                     @V_IDUTLLISTORI_OLD,
                                     @V_DSOPERNFORIG_OLD,
                                     @V_CDCONTFORCLI_OLD,
                                     @V_CDCONTPROD_OLD,
                                     @V_IDCONTABOPER_OLD,
                                     @V_IDDTCONTAB_OLD,
                                     @V_IDTPOPVENDA_OLD,
                                     @V_CDHISTPADR_OLD,
                                     @V_CDGRUPOFISC_OLD,
                                     @V_IDUTGERNFTRAN_OLD,
                                     @V_IDTPTRANSNFE_OLD,
                                     @V_IDNOTADEVO_OLD,
                                     @V_IDBRINDETPOPER_OLD,
                                     @V_IDNFESTCANC_OLD,
                                     @V_IDNFAJUSTE_OLD,
                                     @V_IDTRATRECBRUTA_OLD,
                                     @V_IDOPERDEVOOL_OLD,
                                     @V_IDTIPOOPERELE_OLD,
                                     @V_IDOBRDTREFFAT_OLD,
                                     @V_IDALTDTREFAPROV_OLD,
                                     @V_IDCONTSOMENIMPO_OLD,
                                     @V_IDNFRETIND_OLD,
                                     @V_IDOPTRIANGULAR_OLD,
                                     @V_IDENTRTERCEIRO_OLD,
                                     @V_IDREMESSAINDU_OLD,
                                     @V_IDCALCDIFALDENT_OLD,
                                     @V_IDCONSANACONC_OLD,
                                     @V_IDREMEINSUAPROV_OLD,

                                     @V_IDENTRSAIDOP_NEW,
                                     @V_IDUTCTRLAIDF_NEW,
                                     @V_CDIMPOSTOIPI_NEW,
                                     @V_CDENCARGOICMST_NEW,
                                     @V_IDGERIPIDESPA_NEW,
                                     @V_IDPEINFICMSTDEME_NEW,
                                     @V_IDGERICMSTDESPA_NEW,
                                     @V_IDOBINFCSTCFOPEN_NEW,
                                     @V_IDOBINFCSTICMENT_NEW,
                                     @V_IDCOAVRIMPVRPROD_NEW,
                                     @V_IDUTRECEITA_NEW,
                                     @V_IDNFPRESTSERV_NEW,
                                     @V_IDUTILNFSE_NEW,
                                     @V_IDUTILOPEROFF_NEW,
                                     @V_IDUTCUSORIGEST_NEW,
                                     @V_CDFORNECEDPADR_NEW,
                                     @V_DSOPERNFAVISTA_NEW,
                                     @V_IDINFCPFCNPJNF_NEW,
                                     @V_CDCTBLTPOPERCMV_NEW,
                                     @V_CDREFLOTECTBTO_NEW,
                                     @V_IDCONSPARFIS_NEW,
                                     @V_IDGERAVENCNFAP_NEW,
                                     @V_IDCONSCTBRAT_NEW,
                                     @V_IDUTILOPERFAMAN_NEW,
                                     @V_IDUTILVENCOBR_NEW,
                                     @V_IDSERIEAUTO_NEW,
                                     @V_IDGERADUPLI_NEW,
                                     @V_IDCOMPEMISRE_NEW,
                                     @V_IDCOMPGERTG_NEW,
                                     @V_IDPERALTDSEM_NEW,
                                     @V_IDDCORIGRELAC_NEW,
                                     @V_IDCOMPRESROP_NEW,
                                     @V_IDCOMPDOCROP_NEW,
                                     @V_DSTIPOOPEFAT_NEW,
                                     @V_CDTPCTPAGAR_NEW,
                                     @V_CDTPCTRECEB_NEW,
                                     @V_CDTIPOOPER_NEW,
                                     @V_NMTIPOOPER_NEW,
                                     @V_IDUTILOPER_NEW,
                                     @V_CDEXTIPOOPER_NEW,
                                     @V_IDORIGDESTOP_NEW,
                                     @V_IDGERANFCMP_NEW,
                                     @V_CDTIPOCUSTO_NEW,
                                     @V_CDPRECOBASE_NEW,
                                     @V_IDUTILVENC_NEW,
                                     @V_IDUTILEMISNF_NEW,
                                     @V_IDPERNUMENF_NEW,
                                     @V_IDGERAVENC_NEW,
                                     @V_IDATUESTTPOP_NEW,
                                     @V_IDOPERDEVONF_NEW,
                                     @V_IDNFORIGOBRI_NEW,
                                     @V_IDUTLLISTORI_NEW,
                                     @V_DSOPERNFORIG_NEW,
                                     @V_CDCONTFORCLI_NEW,
                                     @V_CDCONTPROD_NEW,
                                     @V_IDCONTABOPER_NEW,
                                     @V_IDDTCONTAB_NEW,
                                     @V_IDTPOPVENDA_NEW,
                                     @V_CDHISTPADR_NEW,
                                     @V_CDGRUPOFISC_NEW,
                                     @V_IDUTGERNFTRAN_NEW,
                                     @V_IDTPTRANSNFE_NEW,
                                     @V_IDNOTADEVO_NEW,
                                     @V_IDBRINDETPOPER_NEW,
                                     @V_IDNFESTCANC_NEW,
                                     @V_IDNFAJUSTE_NEW,
                                     @V_IDTRATRECBRUTA_NEW,
                                     @V_IDOPERDEVOOL_NEW,
                                     @V_IDTIPOOPERELE_NEW,
                                     @V_IDOBRDTREFFAT_NEW,
                                     @V_IDALTDTREFAPROV_NEW,
                                     @V_IDCONTSOMENIMPO_NEW,
                                     @V_IDNFRETIND_NEW,
                                     @V_IDOPTRIANGULAR_NEW,
                                     @V_IDENTRTERCEIRO_NEW,
                                     @V_IDREMESSAINDU_NEW,
                                     @V_IDCALCDIFALDENT_NEW,
                                     @V_IDCONSANACONC_NEW,
                                     @V_IDREMEINSUAPROV_NEW;

   WHILE (@@FETCH_STATUS = 0) BEGIN

      IF @V_ID_COMANDO = 'D' BEGIN
         IF @V_IDENTRSAIDOP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' E/S=' + @V_IDENTRSAIDOP_OLD;
         END;

         IF @V_IDUTCTRLAIDF_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdUtCtrlAidf=' + @V_IDUTCTRLAIDF_OLD;
         END;

         IF @V_CDIMPOSTOIPI_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ImpostoIpi=' + @V_CDIMPOSTOIPI_OLD;
         END;

         IF @V_CDENCARGOICMST_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' EncargoIcms=' + @V_CDENCARGOICMST_OLD;
         END;

         IF @V_IDGERIPIDESPA_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' GeraIPIDespAces=' + @V_IDGERIPIDESPA_OLD;
         END;

         IF @V_IDPEINFICMSTDEME_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' PermitInfICMSTDevo=' + @V_IDPEINFICMSTDEME_OLD;
         END;

         IF @V_IDGERICMSTDESPA_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' GeraICMSSTDespAces=' + @V_IDGERICMSTDESPA_OLD;
         END;

         IF @V_IDOBINFCSTCFOPEN_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ObrigaCFOPEnt=' + @V_IDOBINFCSTCFOPEN_OLD;
         END;

         IF @V_IDOBINFCSTICMENT_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ObrigaICMSEnt=' + @V_IDOBINFCSTICMENT_OLD;
         END;

         IF @V_IDCOAVRIMPVRPROD_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CoaVrImpVrProd=' + @V_IDCOAVRIMPVRPROD_OLD;
         END;

         IF @V_IDUTRECEITA_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtReceita=' + @V_IDUTRECEITA_OLD;
         END;

         IF @V_IDNFPRESTSERV_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' NfPrestServ=' + @V_IDNFPRESTSERV_OLD;
         END;

         IF @V_IDUTILNFSE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtilNfSe=' + @V_IDUTILNFSE_OLD;
         END;

         IF @V_IDUTILOPEROFF_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtilOperOff=' + @V_IDUTILOPEROFF_OLD;
         END;

         IF @V_IDUTCUSORIGEST_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtCursOriEst=' + @V_IDUTCUSORIGEST_OLD;
         END;

         IF @V_CDFORNECEDPADR_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' FornecedPadr=' + @V_CDFORNECEDPADR_OLD;
         END;

         IF @V_DSOPERNFAVISTA_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' NfAvista=' + @V_DSOPERNFAVISTA_OLD;
         END;

         IF @V_IDINFCPFCNPJNF_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' InfCpfCnpjNf=' + @V_IDINFCPFCNPJNF_OLD;
         END;

         IF @V_CDCTBLTPOPERCMV_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CDCTBLTPOPERCMV=' + @V_CDCTBLTPOPERCMV_OLD;
         END;

         IF @V_CDREFLOTECTBTO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CdRefLote=' + @V_CDREFLOTECTBTO_OLD;
         END;

         IF @V_IDCONSPARFIS_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ConsFis=' + @V_IDCONSPARFIS_OLD;
         END;

         IF @V_IDGERAVENCNFAP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' GeraVencNfAp=' + @V_IDGERAVENCNFAP_OLD;
         END;

         IF @V_IDCONSCTBRAT_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ConsCtBrat=' + @V_IDCONSCTBRAT_OLD;
         END;

         IF @V_IDUTILOPERFAMAN_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtilOperF=' + @V_IDUTILOPERFAMAN_OLD;
         END;

         IF @V_IDUTILVENCOBR_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtilVenc=' + @V_IDUTILVENCOBR_OLD;
         END;

         IF @V_IDSERIEAUTO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' SerieAuto=' + @V_IDSERIEAUTO_OLD;
         END;

         IF @V_IDGERADUPLI_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' GeraDupli=' + @V_IDGERADUPLI_OLD;
         END;

         IF @V_IDCOMPEMISRE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CompEmis=' + @V_IDCOMPEMISRE_OLD;
         END;

         IF @V_IDCOMPGERTG_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CompGer=' + @V_IDCOMPGERTG_OLD;
         END;

         IF @V_IDPERALTDSEM_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IDPERALTDSEM=' + @V_IDPERALTDSEM_OLD;
         END;

         IF @V_IDDCORIGRELAC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IDDCORIGRELAC=' + @V_IDDCORIGRELAC_OLD;
         END;

         IF @V_IDCOMPRESROP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CompResRop=' + @V_IDCOMPRESROP_OLD;
         END;

         IF @V_IDCOMPDOCROP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CompDocRop=' + @V_IDCOMPDOCROP_OLD;
         END;

         IF @V_DSTIPOOPEFAT_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' TipoOperFat=' + @V_DSTIPOOPEFAT_OLD;
         END;

         IF @V_CDTPCTPAGAR_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' TpCtPagar=' + @V_CDTPCTPAGAR_OLD;
         END;

         IF @V_CDTPCTRECEB_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' TpCtReceb=' + @V_CDTPCTRECEB_OLD;
         END;

         IF @V_CDTIPOOPER_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Cod=' + @V_CDTIPOOPER_OLD;
         END;

         IF @V_NMTIPOOPER_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Nome=' + @V_NMTIPOOPER_OLD;
         END;

         IF @V_IDUTILOPER_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtilDFE=' + @V_IDUTILOPER_OLD;
         END;

         IF @V_CDEXTIPOOPER_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CDExpor=' + @V_CDEXTIPOOPER_OLD;
         END;

         IF @V_IDORIGDESTOP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Origem=' + @V_IDORIGDESTOP_OLD;
         END;

         IF @V_IDGERANFCMP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' GeraNvComp=' + @V_IDGERANFCMP_OLD;
         END;

         IF @V_CDTIPOCUSTO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' TpCusto=' + @V_CDTIPOCUSTO_OLD;
         END;

         IF @V_CDPRECOBASE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' TabPreco=' + @V_CDPRECOBASE_OLD;
         END;

         IF @V_IDUTILVENC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtilVenc=' + @V_IDUTILVENC_OLD;
         END;

         IF @V_IDUTILEMISNF_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtilEmisNF=' + @V_IDUTILEMISNF_OLD;
         END;

         IF @V_IDPERNUMENF_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' NumLancNF=' + @V_IDPERNUMENF_OLD;
         END;

         IF @V_IDGERAVENC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' VencAutom=' + @V_IDGERAVENC_OLD;
         END;

         IF @V_IDATUESTTPOP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' AtuallEst=' + @V_IDATUESTTPOP_OLD;
         END;

         IF @V_IDOPERDEVONF_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtilDocOrg=' + @V_IDOPERDEVONF_OLD;
         END;

         IF @V_IDNFORIGOBRI_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' DocOrgObrig=' + @V_IDNFORIGOBRI_OLD;
         END;

         IF @V_IDUTLLISTORI_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtPesqList=' + @V_IDUTLLISTORI_OLD;
         END;

         IF @V_DSOPERNFORIG_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' DocOrg=' + @V_DSOPERNFORIG_OLD;
         END;

         IF @V_CDCONTFORCLI_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Forn/Cli=' + @V_CDCONTFORCLI_OLD;
         END;

         IF @V_CDCONTPROD_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Prod=' + @V_CDCONTPROD_OLD;
         END;

         IF @V_IDCONTABOPER_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Contab=' + @V_IDCONTABOPER_OLD;
         END;

         IF @V_IDDTCONTAB_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' DtContab=' + @V_IDDTCONTAB_OLD;
         END;

         IF @V_IDTPOPVENDA_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Venda=' + @V_IDTPOPVENDA_OLD;
         END;

         IF @V_CDHISTPADR_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Hist=' + @V_CDHISTPADR_OLD;
         END;

         IF @V_CDGRUPOFISC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' GrupFisc=' + @V_CDGRUPOFISC_OLD;
         END;

         IF @V_IDUTGERNFTRAN_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtNfTransf=' + @V_IDUTGERNFTRAN_OLD;
         END;

         IF @V_IDTPTRANSNFE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' TpOpTransNFE=' + @V_IDTPTRANSNFE_OLD;
         END;

         IF @V_IDNOTADEVO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' DocDevol=' + @V_IDNOTADEVO_OLD;
         END;

         IF @V_IDBRINDETPOPER_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' BrindeTpOp=' + @V_IDBRINDETPOPER_OLD;
         END;

         IF @V_IDNFESTCANC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' EstornoCanc=' + @V_IDNFESTCANC_OLD;
         END;

         IF @V_IDNFAJUSTE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' NFAjuste=' + @V_IDNFAJUSTE_OLD;
         END;

         IF @V_IDTRATRECBRUTA_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' TratReceitaBR=' + @V_IDTRATRECBRUTA_OLD;
         END;

         IF @V_IDOPERDEVOOL_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdOperDevoOL=' + @V_IDOPERDEVOOL_OLD;
         END;

         IF @V_IDTIPOOPERELE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' TipoOpNfe=' + @V_IDTIPOOPERELE_OLD;
         END;                

         IF @V_IDOBRDTREFFAT_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ObrDtRefFat=' + @V_IDOBRDTREFFAT_OLD;
         END;

         IF @V_IDALTDTREFAPROV_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' AltDtRefAprov=' + @V_IDALTDTREFAPROV_OLD;
         END;

         IF @V_IDCONTSOMENIMPO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ContSomenImpo=' + @V_IDCONTSOMENIMPO_OLD;
         END;

         IF @V_IDNFRETIND_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdNfRetInd=' + @V_IDNFRETIND_OLD;
         END;
         IF @V_IDOPTRIANGULAR_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdOpTriangular=' + @V_IDOPTRIANGULAR_OLD;
         END;
         IF @V_IDENTRTERCEIRO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdEntrTerceiro=' + @V_IDENTRTERCEIRO_OLD;
         END;
         IF @V_IDREMESSAINDU_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdRemessaIndu=' + @V_IDREMESSAINDU_OLD;
         END;
         IF @V_IDCALCDIFALDENT_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcDifalDent=' + @V_IDCALCDIFALDENT_OLD;
         END;
         IF @V_IDCONSANACONC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IDConsAnaConc=' + @V_IDCONSANACONC_OLD;
         END;
         IF @V_IDREMEINSUAPROV_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IDRemeInsuAprov=' + @V_IDREMEINSUAPROV_OLD;
         END;

         SET @V_TIPO   = '3';
         SET @V_ITPESQ = @V_IDENTRSAIDOP_OLD +@V_CDTIPOOPER_OLD;
      END
      ELSE BEGIN
         IF @V_ID_COMANDO= 'U' /*UPDATING*/                                                 BEGIN
            IF (ISNULL(@V_IDENTRSAIDOP_OLD,'!') <> ISNULL(@V_IDENTRSAIDOP_NEW,'!'))         OR
               (ISNULL(@V_IDUTCTRLAIDF_OLD,'!') <> ISNULL(@V_IDUTCTRLAIDF_NEW,'!'))         OR
               (ISNULL(@V_CDIMPOSTOIPI_OLD,'!') <> ISNULL(@V_CDIMPOSTOIPI_NEW,'!'))         OR
               (ISNULL(@V_CDENCARGOICMST_OLD,'!') <> ISNULL(@V_CDENCARGOICMST_NEW,'!'))     OR
               (ISNULL(@V_IDGERIPIDESPA_OLD,'!') <> ISNULL(@V_IDGERIPIDESPA_NEW,'!'))       OR
               (ISNULL(@V_IDPEINFICMSTDEME_OLD,'!') <> ISNULL(@V_IDPEINFICMSTDEME_NEW,'!')) OR
               (ISNULL(@V_IDGERICMSTDESPA_OLD,'!') <> ISNULL(@V_IDGERICMSTDESPA_NEW,'!'))   OR
               (ISNULL(@V_IDOBINFCSTCFOPEN_OLD,'!') <> ISNULL(@V_IDOBINFCSTCFOPEN_NEW,'!')) OR
               (ISNULL(@V_IDOBINFCSTICMENT_OLD,'!') <> ISNULL(@V_IDOBINFCSTICMENT_NEW,'!')) OR
               (ISNULL(@V_IDCOAVRIMPVRPROD_OLD,'!') <> ISNULL(@V_IDCOAVRIMPVRPROD_NEW,'!')) OR
               (ISNULL(@V_IDUTRECEITA_OLD,'!') <> ISNULL(@V_IDUTRECEITA_NEW,'!'))           OR
               (ISNULL(@V_IDNFPRESTSERV_OLD,'!') <> ISNULL(@V_IDNFPRESTSERV_NEW,'!'))       OR
               (ISNULL(@V_IDUTILNFSE_OLD,'!') <> ISNULL(@V_IDUTILNFSE_NEW,'!'))             OR
               (ISNULL(@V_IDUTILOPEROFF_OLD,'!') <> ISNULL(@V_IDUTILOPEROFF_NEW,'!'))       OR
               (ISNULL(@V_IDUTCUSORIGEST_OLD,'!') <> ISNULL(@V_IDUTCUSORIGEST_NEW,'!'))     OR
               (ISNULL(@V_CDFORNECEDPADR_OLD,'!') <> ISNULL(@V_CDFORNECEDPADR_NEW,'!'))     OR
               (ISNULL(@V_DSOPERNFAVISTA_OLD,'!') <> ISNULL(@V_DSOPERNFAVISTA_NEW,'!'))     OR
               (ISNULL(@V_IDINFCPFCNPJNF_OLD,'!') <> ISNULL(@V_IDINFCPFCNPJNF_NEW,'!'))     OR
               (ISNULL(@V_CDCTBLTPOPERCMV_OLD,'!') <> ISNULL(@V_CDCTBLTPOPERCMV_NEW,'!'))   OR
               (ISNULL(@V_CDREFLOTECTBTO_OLD,'!') <> ISNULL(@V_CDREFLOTECTBTO_NEW,'!'))     OR
               (ISNULL(@V_IDCONSPARFIS_OLD,'!') <> ISNULL(@V_IDCONSPARFIS_NEW,'!'))         OR
               (ISNULL(@V_IDGERAVENCNFAP_OLD,'!') <> ISNULL(@V_IDGERAVENCNFAP_NEW,'!'))     OR
               (ISNULL(@V_IDCONSCTBRAT_OLD,'!') <> ISNULL(@V_IDCONSCTBRAT_NEW,'!'))         OR
               (ISNULL(@V_IDUTILOPERFAMAN_OLD,'!') <> ISNULL(@V_IDUTILOPERFAMAN_NEW,'!'))   OR
               (ISNULL(@V_IDUTILVENCOBR_OLD,'!') <> ISNULL(@V_IDUTILVENCOBR_NEW,'!'))       OR
               (ISNULL(@V_IDSERIEAUTO_OLD,'!') <> ISNULL(@V_IDSERIEAUTO_NEW,'!'))           OR
               (ISNULL(@V_IDGERADUPLI_OLD,'!') <> ISNULL(@V_IDGERADUPLI_NEW,'!'))           OR
               (ISNULL(@V_IDCOMPEMISRE_OLD,'!') <> ISNULL(@V_IDCOMPEMISRE_NEW,'!'))         OR
               (ISNULL(@V_IDCOMPGERTG_OLD,'!') <> ISNULL(@V_IDCOMPGERTG_NEW,'!'))           OR
               (ISNULL(@V_IDPERALTDSEM_OLD,'!') <> ISNULL(@V_IDPERALTDSEM_NEW,'!'))         OR
               (ISNULL(@V_IDDCORIGRELAC_OLD,'!') <> ISNULL(@V_IDDCORIGRELAC_NEW,'!'))       OR
               (ISNULL(@V_IDCOMPRESROP_OLD,'!') <> ISNULL(@V_IDCOMPRESROP_NEW,'!'))         OR
               (ISNULL(@V_IDCOMPDOCROP_OLD,'!') <> ISNULL(@V_IDCOMPDOCROP_NEW,'!'))         OR
               (ISNULL(@V_DSTIPOOPEFAT_OLD,'!') <> ISNULL(@V_DSTIPOOPEFAT_NEW,'!'))         OR
               (ISNULL(@V_CDTPCTPAGAR_OLD,'!') <> ISNULL(@V_CDTPCTPAGAR_NEW,'!'))           OR
               (ISNULL(@V_CDTPCTRECEB_OLD,'!') <> ISNULL(@V_CDTPCTRECEB_NEW,'!'))           OR
               (ISNULL(@V_CDTIPOOPER_OLD,'!')   <> ISNULL(@V_CDTIPOOPER_NEW,'!'))           OR
               (ISNULL(@V_IDUTILOPER_OLD,'!')   <> ISNULL(@V_IDUTILOPER_NEW,'!'))           OR
               (ISNULL(@V_NMTIPOOPER_OLD,'!')   <> ISNULL(@V_NMTIPOOPER_NEW,'!'))           OR
               (ISNULL(@V_CDEXTIPOOPER_OLD,'!') <> ISNULL(@V_CDEXTIPOOPER_NEW,'!'))         OR
               (ISNULL(@V_IDORIGDESTOP_OLD,'!') <> ISNULL(@V_IDORIGDESTOP_NEW,'!'))         OR
               (ISNULL(@V_IDGERANFCMP_OLD,'!')  <> ISNULL(@V_IDGERANFCMP_NEW,'!'))          OR
               (ISNULL(@V_CDTIPOCUSTO_OLD,'!')  <> ISNULL(@V_CDTIPOCUSTO_NEW,'!'))          OR
               (ISNULL(@V_CDPRECOBASE_OLD,'!')  <> ISNULL(@V_CDPRECOBASE_NEW,'!'))          OR
               (ISNULL(@V_IDUTILVENC_OLD,'!')   <> ISNULL(@V_IDUTILVENC_NEW,'!'))           OR
               (ISNULL(@V_IDUTILEMISNF_OLD,'!') <> ISNULL(@V_IDUTILEMISNF_NEW,'!'))         OR
               (ISNULL(@V_IDPERNUMENF_OLD,'!')  <> ISNULL(@V_IDPERNUMENF_NEW,'!'))          OR
               (ISNULL(@V_IDGERAVENC_OLD,'!')   <> ISNULL(@V_IDGERAVENC_NEW,'!'))           OR
               (ISNULL(@V_IDATUESTTPOP_OLD,'!') <> ISNULL(@V_IDATUESTTPOP_NEW,'!'))         OR
               (ISNULL(@V_IDOPERDEVONF_OLD,'!') <> ISNULL(@V_IDOPERDEVONF_NEW,'!'))         OR
               (ISNULL(@V_IDNFORIGOBRI_OLD,'!') <> ISNULL(@V_IDNFORIGOBRI_NEW,'!'))         OR
               (ISNULL(@V_IDUTLLISTORI_OLD,'!') <> ISNULL(@V_IDUTLLISTORI_NEW,'!'))         OR
               (ISNULL(@V_DSOPERNFORIG_OLD,'!') <> ISNULL(@V_DSOPERNFORIG_NEW,'!'))         OR
               (ISNULL(@V_CDCONTFORCLI_OLD,'!') <> ISNULL(@V_CDCONTFORCLI_NEW,'!'))         OR
               (ISNULL(@V_CDCONTPROD_OLD,'!')   <> ISNULL(@V_CDCONTPROD_NEW,'!'))           OR
               (ISNULL(@V_IDCONTABOPER_OLD,'!') <> ISNULL(@V_IDCONTABOPER_NEW,'!'))         OR
               (ISNULL(@V_IDDTCONTAB_OLD,'!')   <> ISNULL(@V_IDDTCONTAB_NEW,'!'))           OR
               (ISNULL(@V_IDTPOPVENDA_OLD,'!')  <> ISNULL(@V_IDTPOPVENDA_NEW,'!'))          OR
               (ISNULL(@V_CDHISTPADR_OLD,'!')   <> ISNULL(@V_CDHISTPADR_NEW,'!'))           OR
               (ISNULL(@V_CDGRUPOFISC_OLD,'!')  <> ISNULL(@V_CDGRUPOFISC_NEW,'!'))          OR
               (ISNULL(@V_IDUTGERNFTRAN_OLD,'!')<> ISNULL(@V_IDUTGERNFTRAN_NEW,'!'))        OR
               (ISNULL(@V_IDTPTRANSNFE_OLD,'!') <> ISNULL(@V_IDTPTRANSNFE_NEW,'!'))         OR
               (ISNULL(@V_IDNOTADEVO_OLD,'!')   <> ISNULL(@V_IDNOTADEVO_NEW,'!'))           OR
               (ISNULL(@V_IDNFAJUSTE_OLD,'!')    <> ISNULL(@V_IDNFAJUSTE_NEW,'!'))          OR
               (ISNULL(@V_IDBRINDETPOPER_OLD,'!') <> ISNULL(@V_IDBRINDETPOPER_NEW,'!'))     OR
               (ISNULL(@V_IDNFESTCANC_OLD,'!')    <> ISNULL(@V_IDNFESTCANC_NEW,'!'))        OR
               (ISNULL(@V_IDTRATRECBRUTA_OLD, '!') <> ISNULL(@V_IDTRATRECBRUTA_NEW, '!'))   OR
               (ISNULL(@V_IDOPERDEVOOL_OLD, '!') <> ISNULL(@V_IDOPERDEVOOL_NEW, '!'))       OR
               (ISNULL(@V_IDTIPOOPERELE_OLD, '!') <> ISNULL(@V_IDTIPOOPERELE_NEW, '!'))     OR
               (ISNULL(@V_IDOBRDTREFFAT_OLD, '!') <> ISNULL(@V_IDOBRDTREFFAT_NEW, '!'))     OR
               (ISNULL(@V_IDALTDTREFAPROV_OLD, '!') <> ISNULL(@V_IDALTDTREFAPROV_NEW, '!')) OR
               (ISNULL(@V_IDCONTSOMENIMPO_OLD, '!') <> ISNULL(@V_IDCONTSOMENIMPO_NEW, '!')) OR
               (ISNULL(@V_IDNFRETIND_OLD, '!') <> ISNULL(@V_IDNFRETIND_NEW, '!'))           OR
               (ISNULL(@V_IDOPTRIANGULAR_OLD, '!') <> ISNULL(@V_IDOPTRIANGULAR_NEW, '!'))   OR
               (ISNULL(@V_IDENTRTERCEIRO_OLD, '!') <> ISNULL(@V_IDENTRTERCEIRO_NEW, '!'))   OR
               (ISNULL(@V_IDREMESSAINDU_OLD, '!') <> ISNULL(@V_IDREMESSAINDU_NEW, '!'))     OR
               (ISNULL(@V_IDCALCDIFALDENT_OLD, '!') <> ISNULL(@V_IDCALCDIFALDENT_NEW, '!')) OR
               (ISNULL(@V_IDCONSANACONC_OLD, '!') <> ISNULL(@V_IDCONSANACONC_NEW, '!'))     OR
               (ISNULL(@V_IDREMEINSUAPROV_OLD, '!') <> ISNULL(@V_IDREMEINSUAPROV_NEW, '!')) BEGIN

               SET @V_TIPO   = '2';
               SET @V_ITPESQ = @V_IDENTRSAIDOP_OLD + @V_CDTIPOOPER_OLD;
            END;
         END
         ELSE BEGIN /*Inserting*/
            SET @V_TIPO   = '1';
            SET @V_ITPESQ = @V_IDENTRSAIDOP_NEW + @V_CDTIPOOPER_NEW;
         END;

         IF ISNULL(@V_IDUTCTRLAIDF_NEW, '!') <> ISNULL(@V_IDUTCTRLAIDF_OLD, '!')         BEGIN
            SET @V_DESC = @V_DESC + ' IdUtCtrlAidf=' + @V_IDUTCTRLAIDF_NEW;
         END;

         IF ISNULL(@V_CDIMPOSTOIPI_NEW, '!') <> ISNULL(@V_CDIMPOSTOIPI_OLD, '!')         BEGIN
            SET @V_DESC = @V_DESC + ' ImpostoIpi=' + @V_CDIMPOSTOIPI_NEW;
         END;

         IF ISNULL(@V_CDENCARGOICMST_NEW, '!') <> ISNULL(@V_CDENCARGOICMST_OLD, '!')     BEGIN
            SET @V_DESC = @V_DESC + ' EncargoIcms=' + @V_CDENCARGOICMST_NEW;
         END;

         IF ISNULL(@V_IDGERIPIDESPA_NEW, '!') <> ISNULL(@V_IDGERIPIDESPA_OLD, '!')       BEGIN
            SET @V_DESC = @V_DESC + ' GeraIPIDespAces=' + @V_IDGERIPIDESPA_NEW;
         END;

         IF ISNULL(@V_IDPEINFICMSTDEME_NEW, '!') <> ISNULL(@V_IDPEINFICMSTDEME_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' PermitInfICMSTDevo=' + @V_IDPEINFICMSTDEME_NEW;
         END;

         IF ISNULL(@V_IDGERICMSTDESPA_NEW, '!') <> ISNULL(@V_IDGERICMSTDESPA_OLD, '!')   BEGIN
            SET @V_DESC = @V_DESC + ' GerImcsDes=' + @V_IDGERICMSTDESPA_NEW;
         END;

         IF ISNULL(@V_IDOBINFCSTCFOPEN_NEW, '!') <> ISNULL(@V_IDOBINFCSTCFOPEN_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' ObrigaCFOPEnt=' + @V_IDOBINFCSTCFOPEN_NEW;
         END;

         IF ISNULL(@V_IDOBINFCSTICMENT_NEW, '!') <> ISNULL(@V_IDOBINFCSTICMENT_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' ObrigaICMSEnt=' + @V_IDOBINFCSTICMENT_NEW;
         END;

         IF ISNULL(@V_IDCOAVRIMPVRPROD_NEW, '!') <> ISNULL(@V_IDCOAVRIMPVRPROD_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' CoaVrImpVrProd=' + @V_IDCOAVRIMPVRPROD_NEW;
         END;

         IF ISNULL(@V_IDUTRECEITA_NEW, '!') <> ISNULL(@V_IDUTRECEITA_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' UtReceita=' + @V_IDUTRECEITA_NEW;
         END;

         IF ISNULL(@V_IDNFPRESTSERV_NEW, '!') <> ISNULL(@V_IDNFPRESTSERV_OLD, '!')      BEGIN
            SET @V_DESC = @V_DESC + ' NfPrestServ=' + @V_IDNFPRESTSERV_NEW;
         END;

         IF ISNULL(@V_IDUTILNFSE_NEW, '!') <> ISNULL(@V_IDUTILNFSE_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' UtilNfSe=' + @V_IDUTILNFSE_NEW;
         END;

         IF ISNULL(@V_IDUTILOPEROFF_NEW, '!') <> ISNULL(@V_IDUTILOPEROFF_OLD, '!')      BEGIN
            SET @V_DESC = @V_DESC + ' UtilOperOff=' + @V_IDUTILOPEROFF_NEW;
         END;

         IF ISNULL(@V_IDUTCUSORIGEST_NEW, '!') <> ISNULL(@V_IDUTCUSORIGEST_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' UtCursOrigEst=' + @V_IDUTCUSORIGEST_NEW;
         END;

         IF ISNULL(@V_CDFORNECEDPADR_NEW, '!') <> ISNULL(@V_CDFORNECEDPADR_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' FornecedPadr=' + @V_CDFORNECEDPADR_NEW;
         END;

         IF ISNULL(@V_DSOPERNFAVISTA_NEW, '!') <> ISNULL(@V_DSOPERNFAVISTA_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' NfAvista=' + @V_DSOPERNFAVISTA_NEW;
         END;

         IF ISNULL(@V_IDINFCPFCNPJNF_NEW, '!') <> ISNULL(@V_IDINFCPFCNPJNF_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' InfCpfCnpjNf=' + @V_IDINFCPFCNPJNF_NEW;
         END;

         IF ISNULL(@V_CDCTBLTPOPERCMV_NEW, '!') <> ISNULL(@V_CDCTBLTPOPERCMV_OLD, '!')  BEGIN
            SET @V_DESC = @V_DESC + ' CDCTBLTPOPERCMV=' + @V_CDCTBLTPOPERCMV_NEW;
         END;

         IF ISNULL(@V_CDREFLOTECTBTO_NEW, '!') <> ISNULL(@V_CDREFLOTECTBTO_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' CdRefLote=' + @V_CDREFLOTECTBTO_NEW;
         END;

         IF ISNULL(@V_IDCONSPARFIS_NEW, '!') <> ISNULL(@V_IDCONSPARFIS_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' ConsFis=' + @V_IDCONSPARFIS_NEW;
         END;

         IF ISNULL(@V_IDGERAVENCNFAP_NEW, '!') <> ISNULL(@V_IDGERAVENCNFAP_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' GeraVencNfAp=' + @V_IDGERAVENCNFAP_NEW;
         END;

         IF ISNULL(@V_IDCONSCTBRAT_NEW, '!') <> ISNULL(@V_IDCONSCTBRAT_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' ConsCtBrat=' + @V_IDCONSCTBRAT_NEW;
         END;

         IF ISNULL(@V_IDUTILOPERFAMAN_NEW, '!') <> ISNULL(@V_IDUTILOPERFAMAN_OLD, '!')  BEGIN
            SET @V_DESC = @V_DESC + ' UtilOperF=' + @V_IDUTILOPERFAMAN_NEW;
         END;

         IF ISNULL(@V_IDUTILVENCOBR_NEW, '!') <> ISNULL(@V_IDUTILVENCOBR_OLD, '!')      BEGIN
            SET @V_DESC = @V_DESC + ' UtilVenc=' + @V_IDUTILVENCOBR_NEW;
         END;

         IF ISNULL(@V_IDSERIEAUTO_NEW, '!') <> ISNULL(@V_IDSERIEAUTO_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' SerieAuto=' + @V_IDSERIEAUTO_NEW;
         END;

         IF ISNULL(@V_IDCOMPEMISRE_NEW, '!') <> ISNULL(@V_IDCOMPEMISRE_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' CompEmis=' + @V_IDCOMPEMISRE_NEW;
         END;

         IF ISNULL(@V_IDGERADUPLI_NEW, '!') <> ISNULL(@V_IDGERADUPLI_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' GeraDupli=' + @V_IDGERADUPLI_NEW;
         END;

         IF ISNULL(@V_IDCOMPGERTG_NEW, '!') <> ISNULL(@V_IDCOMPGERTG_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' CompGer=' + @V_IDCOMPGERTG_NEW;
         END;

         IF ISNULL(@V_IDPERALTDSEM_NEW, '!') <> ISNULL(@V_IDPERALTDSEM_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' IDPERALTDSEM=' + @V_IDPERALTDSEM_NEW;
         END;

         IF ISNULL(@V_IDDCORIGRELAC_NEW, '!') <> ISNULL(@V_IDDCORIGRELAC_OLD, '!')      BEGIN
            SET @V_DESC = @V_DESC + ' IDDCORIGRELAC=' + @V_IDDCORIGRELAC_NEW;
         END;

         IF ISNULL(@V_IDCOMPRESROP_NEW, '!') <> ISNULL(@V_IDCOMPRESROP_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' CompResRop=' + @V_IDCOMPRESROP_NEW;
         END;

         IF ISNULL(@V_IDCOMPDOCROP_NEW, '!') <> ISNULL(@V_IDCOMPDOCROP_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' CompDocRop=' + @V_IDCOMPDOCROP_NEW;
         END;

         IF ISNULL(@V_DSTIPOOPEFAT_NEW, '!') <> ISNULL(@V_DSTIPOOPEFAT_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' TipoOperFat=' + @V_DSTIPOOPEFAT_NEW;
         END;

         IF ISNULL(@V_CDTIPOOPER_NEW, '!') <> ISNULL(@V_CDTIPOOPER_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' CodTpOper=' + @V_CDTIPOOPER_NEW;
         END;

         IF ISNULL(@V_CDTPCTPAGAR_NEW, '!') <> ISNULL(@V_CDTPCTPAGAR_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' TpCtPagar=' + @V_CDTPCTPAGAR_NEW;
         END;

         IF ISNULL(@V_CDTPCTRECEB_NEW, '!') <> ISNULL(@V_CDTPCTRECEB_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' TpCtReceb=' + @V_CDTPCTRECEB_NEW;
         END;

         IF ISNULL(@V_NMTIPOOPER_NEW, '!') <> ISNULL(@V_NMTIPOOPER_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' Nome=' + @V_NMTIPOOPER_NEW;
         END;

         IF ISNULL(@V_IDUTILOPER_NEW, '!') <> ISNULL(@V_IDUTILOPER_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' UtilTipo=' + @V_IDUTILOPER_NEW;
         END;

         IF ISNULL(@V_CDEXTIPOOPER_NEW, '!') <> ISNULL(@V_CDEXTIPOOPER_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' CDExpor=' + @V_CDEXTIPOOPER_NEW;
         END;

         IF ISNULL(@V_IDORIGDESTOP_NEW, '!') <> ISNULL(@V_IDORIGDESTOP_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' Origem=' + @V_IDORIGDESTOP_NEW;
         END;

         IF ISNULL(@V_IDGERANFCMP_NEW, '!') <> ISNULL(@V_IDGERANFCMP_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' GeraNvComp=' + @V_IDGERANFCMP_NEW;
         END;

         IF ISNULL(@V_CDTIPOCUSTO_NEW, '!') <> ISNULL(@V_CDTIPOCUSTO_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' TpCusto=' + @V_CDTIPOCUSTO_NEW;
         END;

         IF ISNULL(@V_CDPRECOBASE_NEW, '!') <> ISNULL(@V_CDPRECOBASE_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' TabPreco=' + @V_CDPRECOBASE_NEW;
         END;

         IF ISNULL(@V_IDUTILVENC_NEW, '!') <> ISNULL(@V_IDUTILVENC_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' UtilVenc=' + @V_IDUTILVENC_NEW;
         END;

         IF ISNULL(@V_IDUTILEMISNF_NEW, '!') <> ISNULL(@V_IDUTILEMISNF_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' UtilEmisNF=' + @V_IDUTILEMISNF_NEW;
         END;

         IF ISNULL(@V_IDPERNUMENF_NEW, '!') <> ISNULL(@V_IDPERNUMENF_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' NumLancNF=' + @V_IDPERNUMENF_NEW;
         END;

         IF ISNULL(@V_IDGERAVENC_NEW, '!') <> ISNULL(@V_IDGERAVENC_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' VencAutom=' + @V_IDGERAVENC_NEW;
         END;

         IF ISNULL(@V_IDATUESTTPOP_NEW, '!') <> ISNULL(@V_IDATUESTTPOP_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' AtuallEst=' + @V_IDATUESTTPOP_NEW;
         END;

         IF ISNULL(@V_IDOPERDEVONF_NEW, '!') <> ISNULL(@V_IDOPERDEVONF_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' UtilDocOrg=' + @V_IDOPERDEVONF_NEW;
         END;

         IF ISNULL(@V_IDNFORIGOBRI_NEW, '!') <> ISNULL(@V_IDNFORIGOBRI_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' DocOrgObrig=' + @V_IDNFORIGOBRI_NEW;
         END;

         IF ISNULL(@V_IDUTLLISTORI_NEW, '!') <> ISNULL(@V_IDUTLLISTORI_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' UtPesqList=' + @V_IDUTLLISTORI_NEW;
         END;

         IF ISNULL(@V_DSOPERNFORIG_NEW, '!') <> ISNULL(@V_DSOPERNFORIG_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' DocOrg=' + @V_DSOPERNFORIG_NEW;
         END;

         IF ISNULL(@V_CDCONTFORCLI_NEW, '!') <> ISNULL(@V_CDCONTFORCLI_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' Forn/Cli=' + @V_CDCONTFORCLI_NEW;
         END;

         IF ISNULL(@V_CDCONTPROD_NEW, '!') <> ISNULL(@V_CDCONTPROD_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' Prod=' + @V_CDCONTPROD_NEW;
         END;

         IF ISNULL(@V_IDCONTABOPER_NEW, '!') <> ISNULL(@V_IDCONTABOPER_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' Contab=' + @V_IDCONTABOPER_NEW;
         END;

         IF ISNULL(@V_IDDTCONTAB_NEW, '!') <> ISNULL(@V_IDDTCONTAB_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' DtContab=' + @V_IDDTCONTAB_NEW;
         END;

         IF ISNULL(@V_IDTPOPVENDA_NEW, '!') <> ISNULL(@V_IDTPOPVENDA_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' Venda=' + @V_IDTPOPVENDA_NEW;
         END;

         IF ISNULL(@V_CDHISTPADR_NEW, '!') <> ISNULL(@V_CDHISTPADR_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' Hist=' + @V_CDHISTPADR_NEW;
         END;

         IF ISNULL(@V_CDGRUPOFISC_NEW, '!') <> ISNULL(@V_CDGRUPOFISC_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' GrupFisc=' + @V_CDGRUPOFISC_NEW;
         END;

         IF ISNULL(@V_IDUTGERNFTRAN_NEW, '!') <> ISNULL(@V_IDUTGERNFTRAN_OLD, '!')      BEGIN
            SET @V_DESC = @V_DESC + ' UtNfTransf=' + @V_IDUTGERNFTRAN_NEW;
         END;

         IF ISNULL(@V_IDTPTRANSNFE_NEW, '!') <> ISNULL(@V_IDTPTRANSNFE_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' TpOpTransNFE=' + @V_IDTPTRANSNFE_NEW;
         END;

         IF ISNULL(@V_IDNOTADEVO_NEW, '!') <> ISNULL(@V_IDNOTADEVO_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' DocDevol=' + @V_IDNOTADEVO_NEW;
         END;

         IF ISNULL(@V_IDBRINDETPOPER_NEW, '!') <> ISNULL(@V_IDBRINDETPOPER_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' BrindeTpOp=' + @V_IDBRINDETPOPER_NEW;
         END;

         IF ISNULL(@V_IDNFESTCANC_NEW, '!') <> ISNULL(@V_IDNFESTCANC_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' EstornoCanc=' + @V_IDNFESTCANC_NEW;
         END;

         IF ISNULL(@V_IDNFAJUSTE_NEW, '!') <> ISNULL(@V_IDNFAJUSTE_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' NFAjuste=' + @V_IDNFAJUSTE_NEW;
         END;

         IF ISNULL(@V_IDTRATRECBRUTA_NEW, '!') <> ISNULL(@V_IDTRATRECBRUTA_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' TratReceitaBR=' + @V_IDTRATRECBRUTA_NEW;
         END;

         IF ISNULL(@V_IDOPERDEVOOL_NEW, '!') <> ISNULL(@V_IDOPERDEVOOL_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' IdOperDevoOL=' + @V_IDOPERDEVOOL_NEW;
         END;

         IF ISNULL(@V_IDTIPOOPERELE_NEW, '!') <> ISNULL(@V_IDTIPOOPERELE_OLD, '!')      BEGIN
            SET @V_DESC = @V_DESC + ' TipoOpNfe=' + @V_IDTIPOOPERELE_NEW;
         END;    

         IF ISNULL(@V_IDOBRDTREFFAT_NEW, '!') <> ISNULL(@V_IDOBRDTREFFAT_OLD, '!')      BEGIN
            SET @V_DESC = @V_DESC + ' ObrDtRefFat=' + @V_IDOBRDTREFFAT_NEW;
         END;

         IF ISNULL(@V_IDALTDTREFAPROV_NEW, '!') <> ISNULL(@V_IDALTDTREFAPROV_OLD, '!')  BEGIN
            SET @V_DESC = @V_DESC + ' AltDtRefAprov=' + @V_IDALTDTREFAPROV_NEW;
         END;

         IF ISNULL(@V_IDCONTSOMENIMPO_NEW, '!') <> ISNULL(@V_IDCONTSOMENIMPO_OLD, '!')  BEGIN
            SET @V_DESC = @V_DESC + ' ContSomenImpo=' + @V_IDCONTSOMENIMPO_NEW;
         END;
         
         IF ISNULL(@V_IDNFRETIND_NEW, '!') <> ISNULL(@V_IDNFRETIND_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' IdNfRetInd=' + @V_IDNFRETIND_NEW;
         END;         

         IF ISNULL(@V_IDOPTRIANGULAR_NEW, '!') <> ISNULL(@V_IDOPTRIANGULAR_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' IdOpTriangular=' + @V_IDOPTRIANGULAR_NEW;
         END;         
         
         IF ISNULL(@V_IDENTRTERCEIRO_NEW, '!') <> ISNULL(@V_IDENTRTERCEIRO_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' IdEntrTerceiro=' + @V_IDENTRTERCEIRO_NEW;
         END;         
         
         IF ISNULL(@V_IDREMESSAINDU_NEW, '!') <> ISNULL(@V_IDREMESSAINDU_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' IdRemessaIndu=' + @V_IDREMESSAINDU_NEW;
         END;         

         IF ISNULL(@V_IDCALCDIFALDENT_NEW, '!') <> ISNULL(@V_IDCALCDIFALDENT_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcDifalDent=' + @V_IDCALCDIFALDENT_NEW;
         END;

         IF ISNULL(@V_IDCONSANACONC_NEW, '!') <> ISNULL(@V_IDCONSANACONC_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' IDConsAnaConc=' + @V_IDCONSANACONC_NEW;
         END;         

         IF ISNULL(@V_IDREMEINSUAPROV_NEW, '!') <> ISNULL(@V_IDREMEINSUAPROV_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' IDRemeInsuAprov=' + @V_IDREMEINSUAPROV_NEW;
         END;         

      END;

      IF @V_TIPO <> '0' BEGIN
         IF NOT @V_DESC IS NULL BEGIN
            IF NOT @V_USUARIO IS NULL BEGIN
               SET @V_DTOPER = GETDATE();
               INSERT INTO LOGOPERA
                   (NMTABELA,      DTOPERACAO, NMRESPOPER, IDTIPOOPER, CDPESQITEM, DSOPERACAO,
                    DSRDMUSUOPER,    DSENDUSUOPER,    DSNMUSUOPER,    DSMETUSUOPER,    CDORESPOPER)
               VALUES
                   ('TIPOOPERAC',   @V_DTOPER,       @V_USUARIO,     @V_TIPO,         @V_ITPESQ,       SUBSTRING(@V_DESC,1,300) ,
                   @V_DSREMOTEADDR, @V_DSREMOTEHOST, @V_DSSERVERRDM, @V_DSSERVMETHOD, @V_DSREMOTEOPER);
            END;
         END;
      END;
      FETCH NEXT FROM C_CURSORT INTO
                                @V_ID_COMANDO,
                                @V_IDENTRSAIDOP_OLD,
                                @V_IDUTCTRLAIDF_OLD,
                                @V_CDIMPOSTOIPI_OLD,
                                @V_CDENCARGOICMST_OLD,
                                @V_IDGERIPIDESPA_OLD,
                                @V_IDPEINFICMSTDEME_OLD,
                                @V_IDGERICMSTDESPA_OLD,
                                @V_IDOBINFCSTCFOPEN_OLD,
                                @V_IDOBINFCSTICMENT_OLD,
                                @V_IDCOAVRIMPVRPROD_OLD,
                                @V_IDUTRECEITA_OLD,
                                @V_IDNFPRESTSERV_OLD,
                                @V_IDUTILNFSE_OLD,
                                @V_IDUTILOPEROFF_OLD,
                                @V_IDUTCUSORIGEST_OLD,
                                @V_CDFORNECEDPADR_OLD,
                                @V_DSOPERNFAVISTA_OLD,
                                @V_IDINFCPFCNPJNF_OLD,
                                @V_CDCTBLTPOPERCMV_OLD,
                                @V_CDREFLOTECTBTO_OLD,
                                @V_IDCONSPARFIS_OLD,
                                @V_IDGERAVENCNFAP_OLD,
                                @V_IDCONSCTBRAT_OLD,
                                @V_IDUTILOPERFAMAN_OLD,
                                @V_IDUTILVENCOBR_OLD,
                                @V_IDSERIEAUTO_OLD,
                                @V_IDGERADUPLI_OLD,
                                @V_IDCOMPEMISRE_OLD,
                                @V_IDCOMPGERTG_OLD,
                                @V_IDPERALTDSEM_OLD,
                                @V_IDDCORIGRELAC_OLD,
                                @V_IDCOMPRESROP_OLD,
                                @V_IDCOMPDOCROP_OLD,
                                @V_DSTIPOOPEFAT_OLD,
                                @V_CDTPCTPAGAR_OLD,
                                @V_CDTPCTRECEB_OLD,
                                @V_CDTIPOOPER_OLD,
                                @V_NMTIPOOPER_OLD,
                                @V_IDUTILOPER_OLD,
                                @V_CDEXTIPOOPER_OLD,
                                @V_IDORIGDESTOP_OLD,
                                @V_IDGERANFCMP_OLD,
                                @V_CDTIPOCUSTO_OLD,
                                @V_CDPRECOBASE_OLD,
                                @V_IDUTILVENC_OLD,
                                @V_IDUTILEMISNF_OLD,
                                @V_IDPERNUMENF_OLD,
                                @V_IDGERAVENC_OLD,
                                @V_IDATUESTTPOP_OLD,
                                @V_IDOPERDEVONF_OLD,
                                @V_IDNFORIGOBRI_OLD,
                                @V_IDUTLLISTORI_OLD,
                                @V_DSOPERNFORIG_OLD,
                                @V_CDCONTFORCLI_OLD,
                                @V_CDCONTPROD_OLD,
                                @V_IDCONTABOPER_OLD,
                                @V_IDDTCONTAB_OLD,
                                @V_IDTPOPVENDA_OLD,
                                @V_CDHISTPADR_OLD,
                                @V_CDGRUPOFISC_OLD,
                                @V_IDUTGERNFTRAN_OLD,
                                @V_IDTPTRANSNFE_OLD,
                                @V_IDNOTADEVO_OLD,
                                @V_IDBRINDETPOPER_OLD,
                                @V_IDNFESTCANC_OLD,
                                @V_IDNFAJUSTE_OLD,
                                @V_IDTRATRECBRUTA_OLD,
                                @V_IDOPERDEVOOL_OLD,
                                @V_IDTIPOOPERELE_OLD,     
                                @V_IDOBRDTREFFAT_OLD,
                                @V_IDALTDTREFAPROV_OLD,
                                @V_IDCONTSOMENIMPO_OLD,
                                @V_IDNFRETIND_OLD,
                                @V_IDOPTRIANGULAR_OLD,
                                @V_IDENTRTERCEIRO_OLD,
                                @V_IDREMESSAINDU_OLD,
                                @V_IDCALCDIFALDENT_OLD,
                                @V_IDCONSANACONC_OLD,
                                @V_IDREMEINSUAPROV_OLD,

                                @V_IDENTRSAIDOP_NEW,
                                @V_IDUTCTRLAIDF_NEW,
                                @V_CDIMPOSTOIPI_NEW,
                                @V_CDENCARGOICMST_NEW,
                                @V_IDGERIPIDESPA_NEW,
                                @V_IDPEINFICMSTDEME_NEW,
                                @V_IDGERICMSTDESPA_NEW,
                                @V_IDOBINFCSTCFOPEN_NEW,
                                @V_IDOBINFCSTICMENT_NEW,
                                @V_IDCOAVRIMPVRPROD_NEW,
                                @V_IDUTRECEITA_NEW,
                                @V_IDNFPRESTSERV_NEW,
                                @V_IDUTILNFSE_NEW,
                                @V_IDUTILOPEROFF_NEW,
                                @V_IDUTCUSORIGEST_NEW,
                                @V_CDFORNECEDPADR_NEW,
                                @V_DSOPERNFAVISTA_NEW,
                                @V_IDINFCPFCNPJNF_NEW,
                                @V_CDCTBLTPOPERCMV_NEW,
                                @V_CDREFLOTECTBTO_NEW,
                                @V_IDCONSPARFIS_NEW,
                                @V_IDGERAVENCNFAP_NEW,
                                @V_IDCONSCTBRAT_NEW,
                                @V_IDUTILOPERFAMAN_NEW,
                                @V_IDUTILVENCOBR_NEW,
                                @V_IDSERIEAUTO_NEW,
                                @V_IDGERADUPLI_NEW,
                                @V_IDCOMPEMISRE_NEW,
                                @V_IDCOMPGERTG_NEW,
                                @V_IDPERALTDSEM_NEW,
                                @V_IDDCORIGRELAC_NEW,
                                @V_IDCOMPRESROP_NEW,
                                @V_IDCOMPDOCROP_NEW,
                                @V_DSTIPOOPEFAT_NEW,
                                @V_CDTPCTPAGAR_NEW,
                                @V_CDTPCTRECEB_NEW,
                                @V_CDTIPOOPER_NEW,
                                @V_NMTIPOOPER_NEW,
                                @V_IDUTILOPER_NEW,
                                @V_CDEXTIPOOPER_NEW,
                                @V_IDORIGDESTOP_NEW,
                                @V_IDGERANFCMP_NEW,
                                @V_CDTIPOCUSTO_NEW,
                                @V_CDPRECOBASE_NEW,
                                @V_IDUTILVENC_NEW,
                                @V_IDUTILEMISNF_NEW,
                                @V_IDPERNUMENF_NEW,
                                @V_IDGERAVENC_NEW,
                                @V_IDATUESTTPOP_NEW,
                                @V_IDOPERDEVONF_NEW,
                                @V_IDNFORIGOBRI_NEW,
                                @V_IDUTLLISTORI_NEW,
                                @V_DSOPERNFORIG_NEW,
                                @V_CDCONTFORCLI_NEW,
                                @V_CDCONTPROD_NEW,
                                @V_IDCONTABOPER_NEW,
                                @V_IDDTCONTAB_NEW,
                                @V_IDTPOPVENDA_NEW,
                                @V_CDHISTPADR_NEW,
                                @V_CDGRUPOFISC_NEW,
                                @V_IDUTGERNFTRAN_NEW,
                                @V_IDTPTRANSNFE_NEW,
                                @V_IDNOTADEVO_NEW,
                                @V_IDBRINDETPOPER_NEW,
                                @V_IDNFESTCANC_NEW,
                                @V_IDNFAJUSTE_NEW,
                                @V_IDTRATRECBRUTA_NEW,
                                @V_IDOPERDEVOOL_NEW,
                                @V_IDTIPOOPERELE_NEW,
                                @V_IDOBRDTREFFAT_NEW,
                                @V_IDALTDTREFAPROV_NEW,
                                @V_IDCONTSOMENIMPO_NEW,
                                @V_IDNFRETIND_NEW,
                                @V_IDOPTRIANGULAR_NEW,
                                @V_IDENTRTERCEIRO_NEW,
                                @V_IDREMESSAINDU_NEW,
                                @V_IDCALCDIFALDENT_NEW,
                                @V_IDCONSANACONC_NEW,
                                @V_IDREMEINSUAPROV_NEW;
   END;
   CLOSE      C_CURSORT;
   DEALLOCATE C_CURSORT;
END;
GO


-- VERSAO --
EXEC ATUVEROBJ 'LOG_FIS_TIPOOPERAC','6.10.xxx';
GO
