CREATE OR REPLACE
PROCEDURE INCLUI_ERRCNABP
  (P_CDBANCCNAB IN VARCHAR2,
   P_CDERRCNABP IN VARCHAR2,
   P_DSERRCNABP IN VARCHAR2) IS

   V_ACHOU   NUMBER(1);
   V_CDBANCO BANCO.CDBANCO%TYPE;

BEGIN
   FOR C_BANCO IN (SELECT CDBANCO
                     FROM BANCO
                    WHERE CDBANCCNAB = P_CDBANCCNAB
                      AND CDBANCO IS NOT NULL) LOOP

      /*DELETA O BANCO DA TABELA ANTES DE INSERIR PARA NAO DA ERRO DE PK*/
      SELECT MAX(CDBANCO)
        INTO V_CDBANCO
        FROM ERRCNABP
       WHERE CDBANCO    = C_BANCO.CDBANCO
         AND CDERRCNABP = P_CDERRCNABP;

      IF V_CDBANCO IS NOT NULL THEN 
         DELETE FROM ERRCNABP
          WHERE CDBANCO    = C_BANCO.CDBANCO
            AND CDERRCNABP = P_CDERRCNABP;
      END IF;

      INSERT INTO ERRCNABP (CDBANCO, CDERRCNABP, DSERRCNABP) VALUES (C_BANCO.CDBANCO, P_CDERRCNABP, P_DSERRCNABP);

   END LOOP;
END;
/

BEGIN
-- BANCO ITAU 341

   INCLUI_ERRCNABP('341', '00', 'PAGAMENTO EFETUADO');
   INCLUI_ERRCNABP('341', 'AD', 'SEGMENTO X FORMA NAO COMPATIVEL');
   INCLUI_ERRCNABP('341', 'AE', 'DATA DE PAGAMENTO ALTERADA');
   INCLUI_ERRCNABP('341', 'AH', 'NUMERO SEQUENCIAL DO REGISTRO NO LOTE INVALIDO');
   INCLUI_ERRCNABP('341', 'AJ', 'TIPO DE MOVIMENTO INVALIDO');
   INCLUI_ERRCNABP('341', 'AL', 'CODIGO DO BANCO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP('341', 'AM', 'AGENCIA DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP('341', 'AN', 'CONTA CORRENTE DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP('341', 'AO', 'NOME DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP('341', 'AP', 'DATA DE LANCAMENTO/PAGAMENTO INVALIDA');
   INCLUI_ERRCNABP('341', 'BC', 'NOSSO NUMERO INVALIDO');
   INCLUI_ERRCNABP('341', 'BD', 'CONFIRMACAO DE PAGAMENTO AGENDADO');
   INCLUI_ERRCNABP('341', 'BE', 'PAGAMENTO AGENDADO COM FORMA ALTERADA PARA OP');
   INCLUI_ERRCNABP('341', 'BI', 'CNPJ / CPF DO FAVORECIDO NO SEGMENTO J-52 ou B INVALIDO / DOCUMENTO FAVORECIDO INVALIDO PIX');
   INCLUI_ERRCNABP('341', 'BL', 'VALOR DA PARCELA INVALIDO');
   INCLUI_ERRCNABP('341', 'CD', 'CNPJ / CPF INFORMADO DIVERGENTE DO CADASTRADO');
   INCLUI_ERRCNABP('341', 'CE', 'PAGAMENTO CANCELADO');
   INCLUI_ERRCNABP('341', 'CF', 'VALOR DO DOCUMENTO INVALIDO / VALOR DIVERGENTE DO QR CODE');
   INCLUI_ERRCNABP('341', 'CG', 'VALOR DO ABATIMENTO INVALIDO');
   INCLUI_ERRCNABP('341', 'CH', 'VALOR DO DESCONTO INVALIDO');
   INCLUI_ERRCNABP('341', 'CI', 'CNPJ / CPF / IDENTIFICADOR / INSCRICAO ESTADUAL / INSCRICAO NO CAD / ICMS INVALIDO');
   INCLUI_ERRCNABP('341', 'CJ', 'VALOR DA MULTA INVALIDO');
   INCLUI_ERRCNABP('341', 'CL', 'VALOR DO INSS INVALIDO');
   INCLUI_ERRCNABP('341', 'CM', 'VALOR DO COFINS INVALIDO');
   INCLUI_ERRCNABP('341', 'CN', 'CONTA NAO CADASTRADA');
   INCLUI_ERRCNABP('341', 'CO', 'VALOR DE OUTRAS ENTIDADES INVALIDO');
   INCLUI_ERRCNABP('341', 'CP', 'CONFIRMACAO DE OP CUMPRIDA');
   INCLUI_ERRCNABP('341', 'CQ', 'SOMA DAS FATURAS DIFERE DO PAGAMENTO');
   INCLUI_ERRCNABP('341', 'CR', 'VALOR DO CSLL INVALIDO');
   INCLUI_ERRCNABP('341', 'CS', 'DATA DE VENCIMENTO DA FATURA INVALIDA');
   INCLUI_ERRCNABP('341', 'IB', 'VALOR DO TITULO INVALIDO');
   INCLUI_ERRCNABP('341', 'IC', 'VALOR DO ABATIMENTOno INVALIDO');
   INCLUI_ERRCNABP('341', 'ID', 'VALOR DO DESCONTO INVALIDO');
   INCLUI_ERRCNABP('341', 'IE', 'VALOR DA MORA INVALIDO');
   INCLUI_ERRCNABP('341', 'IF', 'VALOR DA MULTA INVALIDO');
   INCLUI_ERRCNABP('341', 'IG', 'VALOR DA DEDUCAO INVALIDO');
   INCLUI_ERRCNABP('341', 'IH', 'VALOR DO ACRESCIMO INVALIDO');
   INCLUI_ERRCNABP('341', 'II', 'DATA DE VENCIMENTO INVALIDA');
   INCLUI_ERRCNABP('341', 'IJ', 'SEQUEENCIA INVALIDA DE SEGMENTO');
   INCLUI_ERRCNABP('341', 'IM', 'TIPO X FORMA NAO COMPATIVEL');
   INCLUI_ERRCNABP('341', 'IN', 'BANCO / AGENCIA NAO PERTENCEM AS PRACAS DE COMPENSACAO DO ITAU');
   INCLUI_ERRCNABP('341', 'IP', 'DV DO CODIGO DE BARRAS INVALIDO');
   INCLUI_ERRCNABP('341', 'IQ', 'VALOR TOTAL DOS PAGAMENTOS ACIMA DO LIMITE');
   INCLUI_ERRCNABP('341', 'IR', 'PAGAMENTO ALTERADO');
   INCLUI_ERRCNABP('341', 'IS', 'PAGAMENTO NAO CANCELADO OU NAO ALTERADO');
   INCLUI_ERRCNABP('341', 'IT', 'PAGAMENTO INEXISTENTE');
   INCLUI_ERRCNABP('341', 'LA', 'DATA DE PAGAMENTO DE UM LOTE ALTERADA');
   INCLUI_ERRCNABP('341', 'LC', 'LOTE DE PAGAMENTOS CANCELADO');
   INCLUI_ERRCNABP('341', 'NA', 'PAGAMENTO NAO AUTORIZADO');
   INCLUI_ERRCNABP('341', 'NE', 'PAGAMENTO CANCELADO');
   INCLUI_ERRCNABP('341', 'NR', 'OPERACAO NAO REALIZADA');
   INCLUI_ERRCNABP('341', 'RJ', 'REGISTRO REJEITADO');
   INCLUI_ERRCNABP('341', 'SS', 'SALDO INSUFICIENTE');
   INCLUI_ERRCNABP('341', 'TA', 'LOTE NAO ACEITO - TOTAIS DO LOTE COM DIFERENCA');
   COMMIT;
END;
/
BEGIN
-- BANCO BRADESCO 237

   INCLUI_ERRCNABP ('237', '00', 'CREDITO OU DEBITO EFETIVADO');
	INCLUI_ERRCNABP ('237', '01', 'INSUFICIENCIA DE FUNDOS - DEBITO NAO EFETUADO');
	INCLUI_ERRCNABP ('237', '02', 'CREDITO OU DEBITO CANCELADO PELO PAGADOR/CREDOR');
	INCLUI_ERRCNABP ('237', '03', 'DEBITO AUTORIZADO PELA AGENCIA - EFETUADO');
	INCLUI_ERRCNABP ('237', 'AA', 'CONTROLE INVALIDO');
	INCLUI_ERRCNABP ('237', 'AB', 'TIPO DE OPERACAO INVALIDO');
	INCLUI_ERRCNABP ('237', 'AC', 'TIPO DE SERVICO INVALIDO');
	INCLUI_ERRCNABP ('237', 'AD', 'FORMA DE LANCAMENTO INVALIDA');
	INCLUI_ERRCNABP ('237', 'AE', 'TIPO/NUMERO DE INSCRICAO INVALIDO');
	INCLUI_ERRCNABP ('237', 'AF', 'CODIGO DE CONVENIO INVALIDO');
	INCLUI_ERRCNABP ('237', 'AG', 'AGENCIA/CONTA CORRENTE/DV INVALIDO');
	INCLUI_ERRCNABP ('237', 'AH', 'N SEQUENCIAL DO REGISTRO NO LOTE INVALIDO');
	INCLUI_ERRCNABP ('237', 'AI', 'CODIGO DE SEGMENTO DE DETALHE INVALIDO');
	INCLUI_ERRCNABP ('237', 'AJ', 'TIPO DE MOVIMENTO INVALIDO');
	INCLUI_ERRCNABP ('237', 'AK', 'CODIGO DA CAMARA DE COMPENSACAO DO BANCO FAVORECIDO/DEPOSITARIO INVALIDO');
	INCLUI_ERRCNABP ('237', 'AL', 'CODIGO DO BANCO FAVORECIDO OU DEPOSITARIO INVALIDO');
	INCLUI_ERRCNABP ('237', 'AM', 'AGENCIA MANTENEDORA DA CONTA CORRENTE DO FAVORECIDO INVALIDA');
	INCLUI_ERRCNABP ('237', 'AN', 'CONTA CORRENTE/DV DO FAVORECIDO INVALIDO');
	INCLUI_ERRCNABP ('237', 'AO', 'NOME DO FAVORECIDO NAO INFORMADO');
	INCLUI_ERRCNABP ('237', 'AP', 'DATA LANCAMENTO INVALIDO');
	INCLUI_ERRCNABP ('237', 'AQ', 'TIPO/QUANTIDADE DA MOEDA INVALIDO');
	INCLUI_ERRCNABP ('237', 'AR', 'VALOR DO LANCAMENTO INVALIDO');
	INCLUI_ERRCNABP ('237', 'AS', 'AVISO AO FAVORECIDO - IDENTIFICACAO INVALIDA');
	INCLUI_ERRCNABP ('237', 'AT', 'TIPO/NUMERO DE INSCRICAO DO FAVORECIDO INVALIDO');
	INCLUI_ERRCNABP ('237', 'AU', 'LOGRADOURO DO FAVORECIDO NAO INFORMADO');
	INCLUI_ERRCNABP ('237', 'AV', 'N DO LOCAL DO FAVORECIDO NAO INFORMADO');
	INCLUI_ERRCNABP ('237', 'AW', 'CIDADE DO FAVORECIDO NAO INFORMADA');
	INCLUI_ERRCNABP ('237', 'AX', 'CEP/COMPLEMENTO DO FAVORECIDO INVALIDO');
	INCLUI_ERRCNABP ('237', 'AY', 'SIGLA DO ESTADO DO FAVORECIDO INVALIDA');
	INCLUI_ERRCNABP ('237', 'AZ', 'CODIGO/NOME DO BANCO DEPOSITARIO INVALIDO');
	INCLUI_ERRCNABP ('237', 'BA', 'CODIGO/NOME DA AGENCIA DEPOSITARIA NAO INFORMADO');
	INCLUI_ERRCNABP ('237', 'BB', 'SEU NUMERO INVALIDO');
	INCLUI_ERRCNABP ('237', 'BC', 'NOSSO NUMERO INVALIDO');
	INCLUI_ERRCNABP ('237', 'BD', 'INCLUSAO EFETUADA COM SUCESSO');
	INCLUI_ERRCNABP ('237', 'BE', 'ALTERACAO EFETUADA COM SUCESSO');
	INCLUI_ERRCNABP ('237', 'BF', 'EXCLUSAO EFETUADA COM SUCESSO');
	INCLUI_ERRCNABP ('237', 'BG', 'AGENCIA/CONTA IMPEDIDA LEGALMENTE');
	INCLUI_ERRCNABP ('237', 'BH', 'EMPRESA NAO PAGOU SALARIO');
	INCLUI_ERRCNABP ('237', 'BI', 'FALECIMENTO DO MUTUARIO');
	INCLUI_ERRCNABP ('237', 'BJ', 'EMPRESA NAO ENVIOU REMESSA DO MUTUARIO');
	INCLUI_ERRCNABP ('237', 'BK', 'EMPRESA NAO ENVIOU REMESSA NO VENCIMENTO');
	INCLUI_ERRCNABP ('237', 'BL', 'VALOR DA PARCELA INVALIDA');
	INCLUI_ERRCNABP ('237', 'BM', 'IDENTIFICACAO DO CONTRATO INVALIDA');
	INCLUI_ERRCNABP ('237', 'BN', 'OPERACAO DE CONSIGNACAO INCLUIDA COM SUCESSO');
	INCLUI_ERRCNABP ('237', 'BO', 'OPERACAO DE CONSIGNACAO ALTERADA COM SUCESSO');
	INCLUI_ERRCNABP ('237', 'BP', 'OPERACAO DE CONSIGNACAO EXCLUIDA COM SUCESSO');
	INCLUI_ERRCNABP ('237', 'BQ', 'OPERACAO DE CONSIGNACAO LIQUIDADA COM SUCESSO');
	INCLUI_ERRCNABP ('237', 'CA', 'CODIGO DE BARRAS - CODIGO DO BANCO INVALIDO');
	INCLUI_ERRCNABP ('237', 'CB', 'CODIGO DE BARRAS - CODIGO DA MOEDA INVALIDO');
	INCLUI_ERRCNABP ('237', 'CC', 'CODIGO DE BARRAS - DIGITO VERIFICADOR GERAL INVALIDO');
	INCLUI_ERRCNABP ('237', 'CD', 'CODIGO DE BARRAS - VALOR DO TITULO INVALIDO');
	INCLUI_ERRCNABP ('237', 'CE', 'CODIGO DE BARRAS - CAMPO LIVRE INVALIDO');
	INCLUI_ERRCNABP ('237', 'CF', 'VALOR DO DOCUMENTO INVALIDO');
	INCLUI_ERRCNABP ('237', 'CG', 'VALOR DO ABATIMENTO INVALIDO');
	INCLUI_ERRCNABP ('237', 'CH', 'VALOR DO DESCONTO INVALIDO');
	INCLUI_ERRCNABP ('237', 'CI', 'VALOR DE MORA INVALIDO');
	INCLUI_ERRCNABP ('237', 'CJ', 'VALOR DA MULTA INVALIDO');
	INCLUI_ERRCNABP ('237', 'CK', 'VALOR DO IR INVALIDO');
	INCLUI_ERRCNABP ('237', 'CL', 'VALOR DO ISS INVALIDO');
	INCLUI_ERRCNABP ('237', 'CM', 'VALOR DO IOF INVALIDO');
	INCLUI_ERRCNABP ('237', 'CN', 'VALOR DE OUTRAS DEDUCOES INVALIDO');
	INCLUI_ERRCNABP ('237', 'CO', 'VALOR DE OUTROS ACRESCIMOS INVALIDO');
	INCLUI_ERRCNABP ('237', 'CP', 'VALOR DO INSS INVALIDO');
	INCLUI_ERRCNABP ('237', 'HA', 'LOTE NAO ACEITO');
	INCLUI_ERRCNABP ('237', 'HB', 'INSCRICAO DA EMPRESA INVALIDA PARA O CONTRATO');
	INCLUI_ERRCNABP ('237', 'HC', 'CONVENIO COM A EMPRESA INEXISTENTE/INVALIDO PARA O CONTRATO');
	INCLUI_ERRCNABP ('237', 'HD', 'AGENCIA/CONTA CORRENTE DA EMPRESA INEXISTENTE/INVALIDO PARA O CONTRATO');
	INCLUI_ERRCNABP ('237', 'HE', 'TIPO DE SERVICO INVALIDO PARA O CONTRATO');
	INCLUI_ERRCNABP ('237', 'HF', 'CONTA CORRENTE DA EMPRESA COM SALDO INSUFICIENTE');
	INCLUI_ERRCNABP ('237', 'HG', 'LOTE DE SERVICO FORA DE SEQUENCIA');
	INCLUI_ERRCNABP ('237', 'HH', 'LOTE DE SERVICO INVALIDO');
	INCLUI_ERRCNABP ('237', 'HI', 'ARQUIVO NAO ACEITO');
	INCLUI_ERRCNABP ('237', 'HJ', 'TIPO DE REGISTRO INVALIDO');
	INCLUI_ERRCNABP ('237', 'HK', 'CODIGO REMESSA / RETORNO INVALIDO');
	INCLUI_ERRCNABP ('237', 'HL', 'VERSAO DE LAYOUT INVALIDA');
	INCLUI_ERRCNABP ('237', 'HM', 'MUTUARIO NAO IDENTIFICADO');
	INCLUI_ERRCNABP ('237', 'HN', 'TIPO DO BENEFICIO NAO PERMITE EMPRESTIMO');
	INCLUI_ERRCNABP ('237', 'HO', 'BENEFICIO CESSADO/SUSPENSO');
	INCLUI_ERRCNABP ('237', 'HP', 'BENEFICIO POSSUI REPRESENTANTE LEGAL');
	INCLUI_ERRCNABP ('237', 'HQ', 'BENEFICIO E DO TIPO PA (PENSAO ALIMENTICIA)');
	INCLUI_ERRCNABP ('237', 'HR', 'QUANTIDADE DE CONTRATOS PERMITIDA EXCEDIDA');
	INCLUI_ERRCNABP ('237', 'HS', 'BENEFICIO NAO PERTENCE AO BANCO INFORMADO');
	INCLUI_ERRCNABP ('237', 'HT', 'INICIO DO DESCONTO INFORMADO JA ULTRAPASSADO');
	INCLUI_ERRCNABP ('237', 'HU', 'NUMERO DA PARCELA INVALIDA');
	INCLUI_ERRCNABP ('237', 'HV', 'QUANTIDADE DE PARCELA INVALIDA');
	INCLUI_ERRCNABP ('237', 'HW', 'MARGEM CONSIGNAVEL EXCEDIDA PARA O MUTUARIO DENTRO DO PRAZO DO CONTRATO');
	INCLUI_ERRCNABP ('237', 'HX', 'EMPRESTIMO JA CADASTRADO');
	INCLUI_ERRCNABP ('237', 'HY', 'EMPRESTIMO INEXISTENTE');
	INCLUI_ERRCNABP ('237', 'HZ', 'EMPRESTIMO JA ENCERRADO');
	INCLUI_ERRCNABP ('237', 'H1', 'ARQUIVO SEM TRAILER');
	INCLUI_ERRCNABP ('237', 'H2', 'MUTUARIO SEM CREDITO NA COMPETENCIA');
	INCLUI_ERRCNABP ('237', 'H3', 'NAO DESCONTADO  OUTROS MOTIVOS');
	INCLUI_ERRCNABP ('237', 'H4', 'RETORNO DE CREDITO NAO PAGO');
	INCLUI_ERRCNABP ('237', 'H5', 'CANCELAMENTO DE EMPRESTIMO RETROATIVO');
	INCLUI_ERRCNABP ('237', 'H6', 'OUTROS MOTIVOS DE GLOSA');
	INCLUI_ERRCNABP ('237', 'H7', 'MARGEM CONSIGNAVEL EXCEDIDA PARA O MUTUARIO ACIMA DO PRAZO DO CONTRATO');
	INCLUI_ERRCNABP ('237', 'H8', 'MUTUARIO DESLIGADO DO EMPREGADOR');
	INCLUI_ERRCNABP ('237', 'H9', 'MUTUARIO AFASTADO POR LICENCA');
	INCLUI_ERRCNABP ('237', 'IA', 'PRIMEIRO NOME DO MUTUARIO DIFERENTE DO PRIMEIRO NOME DO MOVIMENTO DO CENSO OU DIFERENTE DA BASE DE TITULAR DO BENEFICIO');
	INCLUI_ERRCNABP ('237', 'TA', 'LOTE NAO ACEITO - TOTAIS DO LOTE COM DIFERENCA');
	INCLUI_ERRCNABP ('237', 'YA', 'TITULO NAO ENCONTRADO');
	INCLUI_ERRCNABP ('237', 'YB', 'IDENTIFICADOR REGISTRO OPCIONAL INVALIDO');
	INCLUI_ERRCNABP ('237', 'YC', 'CODIGO PADRAO INVALIDO');
	INCLUI_ERRCNABP ('237', 'YD', 'CODIGO DE OCORRENCIA INVALIDO');
	INCLUI_ERRCNABP ('237', 'YE', 'COMPLEMENTO DE OCORRENCIA INVALIDO');
	INCLUI_ERRCNABP ('237', 'YF', 'ALEGACAO JA INFORMADA');
	INCLUI_ERRCNABP ('237', 'ZA', 'AGENCIA / CONTA DO FAVORECIDO SUBSTITUIDA');
	INCLUI_ERRCNABP ('237', 'ZB', 'DIVERGENCIA ENTRE O PRIMEIRO E ULTIMO NOME DO BENEFICIARIO VERSUS PRIMEIRO E ULTIMO NOME NA RECEITA FEDERAL');
	INCLUI_ERRCNABP ('237', 'ZC', 'CONFIRMACAO DE ANTECIPACAO DE VALOR');
	INCLUI_ERRCNABP ('237', 'ZD', 'ANTECIPACAO PARCIAL DE VALOR');
	INCLUI_ERRCNABP ('237', '5A', 'AGENDADO SOB LISTA DE DEBITO');
	INCLUI_ERRCNABP ('237', '5B', 'PAGAMENTO NAO AUTORIZA SOB LISTA DE DEBITO');
	INCLUI_ERRCNABP ('237', '5C', 'LISTA COM MAIS DE UMA MODALIDADE');
	INCLUI_ERRCNABP ('237', '5D', 'LISTA COM MAIS DE UMA DATA DE PAGAMENTO');
	INCLUI_ERRCNABP ('237', '5E', 'NUMERO DE LISTA DUPLICADO');
	INCLUI_ERRCNABP ('237', '5F', ' LISTA DE DEBITO VENCIDA E NAO AUTORIZADA');
	INCLUI_ERRCNABP ('237', '5M', 'NUMERO DE LISTA DE DEBITO INVALIDA');
   COMMIT;
END;
/
BEGIN
-- BANCO NOSSA CAIXA 151

   INCLUI_ERRCNABP('151', '00', 'CREDITO OU DEBITO EFETUADO');
   INCLUI_ERRCNABP('151', '01', 'INSUFICIENCIA DE FUNDOS - DEBITO NAO EFETUADO');
   INCLUI_ERRCNABP('151', '02', 'CREDITO OU DEBITO CANCELADO PELO PAGADOR/CREDOR');
   INCLUI_ERRCNABP('151', '03', 'DEBITO AUTORIZADO PELA AGENCIA - EFETUADO');
   INCLUI_ERRCNABP('151', 'HA', 'LOTE NAO ACEITO');
   INCLUI_ERRCNABP('151', 'HB', 'INSCRICAO DA EMPRESA INVALIDA PARA O CONTRATO');
   INCLUI_ERRCNABP('151', 'HC', 'CONVENIO COM A EMPRESA INEXISTENTE/INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP('151', 'HD', 'AGENCIA / CONTA CORRENTE DA EMPRESA INEXISTENTE/INVALIDA PARA O CONTRATO');
   INCLUI_ERRCNABP('151', 'HE', 'TIPO DE SERVICO INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP('151', 'HF', 'CONTA CORRENTE DA EMPRESA COM SALDO INSUFICIENTE');
   INCLUI_ERRCNABP('151', 'AA', 'CONTROLE INVALIDO');
   INCLUI_ERRCNABP('151', 'AB', 'TIPO DE OPERACAO INVALIDO');
   INCLUI_ERRCNABP('151', 'AC', 'TIPO DE SERVICO INVALIDO');
   INCLUI_ERRCNABP('151', 'AD', 'FORMA DE LANCAMENTO INVALIDA');
   INCLUI_ERRCNABP('151', 'AE', 'TIPO/NUMERO DE INSCRICAO INVALIDO');
   INCLUI_ERRCNABP('151', 'AF', 'CODIGO DE CONVENIO INVALIDO');
   INCLUI_ERRCNABP('151', 'AG', 'AGENCIA / CONTA CORRENTE/DV INVALIDO');
   INCLUI_ERRCNABP('151', 'AH', 'NUMERO SEQUENCIAL DO REGISTRO NO LOTE INVALIDO');
   INCLUI_ERRCNABP('151', 'AI', 'CODIGO DE SEGMENTO DE DETALHE INVALIDO');
   INCLUI_ERRCNABP('151', 'AJ', 'TIPO DE MOVIMENTO INVALIDO');
   INCLUI_ERRCNABP('151', 'AK', 'CODIGO DA CAMARA DE COMPENSACAO DO BANCO DO FAVORECIDO/DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP('151', 'AL', 'CODIGO DO BANCO DO FAVORECIDO OU DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP('151', 'AM', 'AGENCIA MANTENEDORA DA CONTA CORRENTE DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP('151', 'AN', 'CONTA CORRENTE/DV DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP('151', 'AO', 'NOME DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP('151', 'AP', 'DATA LANCAMENTO INVALIDA');
   INCLUI_ERRCNABP('151', 'AQ', 'TIPO/QUANTIDADE DA MOEDA INVALIDO');
   INCLUI_ERRCNABP('151', 'AR', 'VALOR DO LANCAMENTO INVALIDO');
   INCLUI_ERRCNABP('151', 'AS', 'AVISO AO FAVORECIDO - IDENTIFICACAO INVALIDA');
   INCLUI_ERRCNABP('151', 'AT', 'TIPO/NUMERO DE INSCRICAO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP('151', 'AU', 'LOGRADOURO DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP('151', 'AV', 'NUMERO DO LOCAL DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP('151', 'AW', 'CIDADE DO FAVORECIDO NAO INFORMADA');
   INCLUI_ERRCNABP('151', 'AX', 'CEP/COMPLEMENTO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP('151', 'AY', 'SIGLA DO ESTADO DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP('151', 'AZ', 'CODIGO/NOME DO BANCO DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP('151', 'BA', 'CODIGO/NOME DA AGENCIA DEPOSITARIA NAO INFORMADO');
   INCLUI_ERRCNABP('151', 'BD', 'CONFIRMACAO DE PAGAMENTO AGENDADO');
   COMMIT;
END;
/
BEGIN
-- BANCO HSBC 399

   INCLUI_ERRCNABP('399', '00', 'CREDITO EFETUADO');
   INCLUI_ERRCNABP('399', '01', 'INSUFICIENCIA DE FUNDOS - DEBITO NAO EFETUADO');
   INCLUI_ERRCNABP('399', '02', 'CANCELAMENTO ACEITO');
   INCLUI_ERRCNABP('399', '34', 'CONTA CORRENTE DE DEBITO BLOQUEADA');
   INCLUI_ERRCNABP('399', '40', 'CONTA CORRENTE/POUPANCA PARA CREDITO BLOQUEADA');
   INCLUI_ERRCNABP('399', '42', 'CODIGO DE BARRAS INVALIDO');
   INCLUI_ERRCNABP('399', '51', 'DATA DESCONTO INVALIDA');
   INCLUI_ERRCNABP('399', '52', 'DATA DESCONTO MAIOR QUE DATA VENCIMENTO');
   INCLUI_ERRCNABP('399', '54', 'VALOR DO DESCONTO INVALIDO');
   INCLUI_ERRCNABP('399', '56', 'COMPROMISSO DE AGENDAMENTO AUTOMATICO INCORRETO');
   INCLUI_ERRCNABP('399', '57', 'COMPROMISSO DE AGENDAMENTO AUTOMATICO JA PROCESSADO');
   INCLUI_ERRCNABP('399', '58', 'COMPROMISSO DE AGENDAMENTO AUTOMATICO NAO ENCONTRADO');
   INCLUI_ERRCNABP('399', '59', 'COMPROMISSO DE AGENDAMENTO AUTOMATICO COM VALOR INVALIDO');
   INCLUI_ERRCNABP('399', '60', 'COMPROMISSO DE AGENDAMENTO AUTOMATICO DATA VENCIMENTO INVALIDA');
   INCLUI_ERRCNABP('399', '61', 'NUMERO DO DOCUMENTO DA PARCELA COBRANCA NAO REGISTRADA HSBC INVALIDO (CODIGO DO CEDENTE)');
   INCLUI_ERRCNABP('399', '62', 'VALOR DO LANCAMENTO DA PARCELA COBRANCA NAO REGISTRADA HSBC INVALIDO');
   INCLUI_ERRCNABP('399', '63', 'CODIGO DO DOCUMENTO DA PARCELA COBRANCA NAO REGISTRADA HSBC INVALIDO');
   INCLUI_ERRCNABP('399', '64', 'DATA DO VENCIMENTO DA PARCELA COBRANCA NAO REGISTRADA HSBC INVALIDA');
   INCLUI_ERRCNABP('399', '65', 'PARCELA "COBRANCA NAO REGISTRADA HSBC" JA CADASTRADA');
   INCLUI_ERRCNABP('399', '66', 'VALOR ACIMA DE R$ 999.999.999,99');
   INCLUI_ERRCNABP('399', '67', 'CONTA CORRENTE VINCULADA IRREGULAR');
   INCLUI_ERRCNABP('399', '68', 'BLOQUEIO/CANCELAMENTO INDEFERIDO PARA CHEQUE SALARIO');
   INCLUI_ERRCNABP('399', '69', 'CHEQUE SALARIO INCOMPATIVEL COM TIPO DE PAGAMENTO');
   INCLUI_ERRCNABP('399', '72', 'TITULO INATIVO');
   INCLUI_ERRCNABP('399', '73', 'TITULO BLOQUEADO PELO CEDENTE');
   INCLUI_ERRCNABP('399', '74', 'TITULO INEXISTENTE');
   INCLUI_ERRCNABP('399', '75', 'CEDENTE INFORMADO INEXISTENTE');
   INCLUI_ERRCNABP('399', '76', 'CPF/CNPJ DO CREDOR DIVERGENTE/INVALIDO');
   INCLUI_ERRCNABP('399', '77', 'AGENCIA E/OU CONTA CORRENTE ENCERRADA');
   INCLUI_ERRCNABP('399', '78', 'AGENCIA E/OU CONTA CORRENTE INVALIDA/INEXISTENTE');
   INCLUI_ERRCNABP('399', '79', 'DADOS DO CREDOR INVALIDO');
   INCLUI_ERRCNABP('399', '80', 'MOTIVO NAO ESCLARECIDO');
   INCLUI_ERRCNABP('399', '81', 'PROCESSO INDISPONIVEL NO MOMENTO');
   INCLUI_ERRCNABP('399', '83', 'TIPO DE CONTA DIFERENCIADA');
   INCLUI_ERRCNABP('399', '90', 'TITULO PAGO EM DUPLICIDADE');
   INCLUI_ERRCNABP('399', '92', 'VALOR A PAGAR IGUAL A ZEROS');
   INCLUI_ERRCNABP('399', '93', 'VALOR DESCONTO MAIOR QUE TITULO');
   INCLUI_ERRCNABP('399', '94', 'VALOR DO TITULO NAO CONFERE');
   INCLUI_ERRCNABP('399', '95', 'TITULO JA BAIXADO');
   INCLUI_ERRCNABP('399', '96', 'TITULO JA DEVOLVIDO');
   INCLUI_ERRCNABP('399', '97', 'TITULO JA LIQUIDADO');
   INCLUI_ERRCNABP('399', 'AA', 'CONTROLE INVALIDO');
   INCLUI_ERRCNABP('399', 'AC', 'TIPO DE SERVICO INVALIDO');
   INCLUI_ERRCNABP('399', 'AG', 'AGENCIA/CONTA CORRENTE/DV INVALIDO');
   INCLUI_ERRCNABP('399', 'AJ', 'TIPO DE MOVIMENTO INVALIDO');
   INCLUI_ERRCNABP('399', 'AM', 'BANCO, AGENCIA DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP('399', 'AN', 'CONTA CORRENTE DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP('399', 'AO', 'NOME FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP('399', 'AP', 'DATA LANCAMENTO INVALIDA');
   INCLUI_ERRCNABP('399', 'AQ', 'TIPO OU QUANTIDADE DA MOEDA INVALIDO');
   INCLUI_ERRCNABP('399', 'AR', 'VALOR DO LANCAMENTO INVALIDO');
   INCLUI_ERRCNABP('399', 'AZ', 'CODIGO BANCO DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP('399', 'BB', 'SEU NUMERO INVALIDO');
   INCLUI_ERRCNABP('399', 'BC', 'NOSSO NUMERO INVALIDO');
   INCLUI_ERRCNABP('399', 'BD', 'CONFIRMACAO PAGAMENTO AGENDADO');
   INCLUI_ERRCNABP('399', 'BO', 'BANCO NAO ESTA OPERANDO C/TED');
   INCLUI_ERRCNABP('399', 'CP', 'VALOR DO INSS INVALIDO');
   INCLUI_ERRCNABP('399', 'CQ', 'CODIGO DE PAGAMENTO DE GUIA DA PREVIDENCIA SOCIAL INVALIDO');
   INCLUI_ERRCNABP('399', 'CR', 'COMPETENCIA INVALIDA');
   INCLUI_ERRCNABP('399', 'CS', 'IDENTIFICACAO DO CONTRIBUINTE INVALIDA');
   INCLUI_ERRCNABP('399', 'CT', 'OUTROS ERROS');
   INCLUI_ERRCNABP('399', 'DA', 'CODIGO DA RECEITA INVALIDO/INCORRETO');
   INCLUI_ERRCNABP('399', 'DC', 'NUMERO REFERENCIA INVALIDO/INCORRETO');
   INCLUI_ERRCNABP('399', 'DE', 'VALOR RECEITA BRUTA INVALIDO/INCORRETO');
   INCLUI_ERRCNABP('399', 'DG', 'PERCENTUAL INFORMADO INVALIDO/INCORRETO');
   INCLUI_ERRCNABP('399', 'HA', 'LOTE NAO ACEITO');
   INCLUI_ERRCNABP('399', 'HB', 'CPF/CNPJ DO ORIGINADOR DIVERGE DO CADASTRADO');
   INCLUI_ERRCNABP('399', 'HC', 'CONVENIO COM A EMPRESA INEXISTENTE/INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP('399', 'HE', 'TIPO DE PAGAMENTO NAO PERMITIDO PARA O CONTRATO');
   INCLUI_ERRCNABP('399', 'HF', 'VALOR COMPROMISSO EXCEDE VALOR LIMITE DIARIO');
   INCLUI_ERRCNABP('399', 'OH', 'CONTRATO CANCELADO');
   INCLUI_ERRCNABP('399', 'YW', 'PROBLEMAS OPERACIONAIS');
   COMMIT;
END;
/
BEGIN
-- BANCO REAL 356

   INCLUI_ERRCNABP ('356', '00', 'CREDITO OU DEBITO EFETIVADO A ESTE CODIGO INDICA QUE O PAGAMENTO FOI CONFIRMADO');
   INCLUI_ERRCNABP ('356', '01', 'INSUFICIENCIA DE FUNDOS - DEBITO NAO EFETUADO');
   INCLUI_ERRCNABP ('356', '02', 'CREDITO OU DEBITO CANCELADO PELO PAGADOR/CREDOR');
   INCLUI_ERRCNABP ('356', '03', 'DEBITO AUTORIZADO PELA AGENCIA - EFETUADO');
   INCLUI_ERRCNABP ('356', 'HA', 'LOTE NAO ACEITO');
   INCLUI_ERRCNABP ('356', 'HB', 'INSCRICAO DA EMPRESA INVALIDA PARA O CONTRATO');
   INCLUI_ERRCNABP ('356', 'HC', 'CONVENIO COM A EMPRESA INEXISTENTE/INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP ('356', 'HD', 'AGENCIA/CONTA CORRENTE DA EMPRESA INEXISTENTE/INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP ('356', 'HE', 'TIPO DE SERVICO INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP ('356', 'HF', 'CONTA CORRENTE DA EMPRESA COM SALDO INSUFICIENTE');
   INCLUI_ERRCNABP ('356', 'HG', 'LOTE DE SERVICO FORA DE SEQUEENCIA');
   INCLUI_ERRCNABP ('356', 'HH', 'LOTE DE SERVICO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AA', 'CONTROLE INVALIDO');
   INCLUI_ERRCNABP ('356', 'AB', 'TIPO DE OPERACAO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AC', 'TIPO DE SERVICO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AD', 'FORMA DE LANCAMENTO INVALIDA');
   INCLUI_ERRCNABP ('356', 'AE', 'TIPO/NUMERO DE INSCRICAO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AF', 'CODIGO DE CONVENIO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AG', 'AGENCIA/CONTA CORRENTE/DV INVALIDO');
   INCLUI_ERRCNABP ('356', 'AH', 'N SEQUEENCIAL DO REGISTRO NO LOTE INVALIDO');
   INCLUI_ERRCNABP ('356', 'AI', 'CODIGO DE SEGMENTO DE DETALHE INVALIDO');
   INCLUI_ERRCNABP ('356', 'AJ', 'TIPO DE MOVIMENTO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AK', 'CODIGO DA CAMARA DE COMPENSACAO DO BANCO FAVORECIDO/DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AL', 'CODIGO DO BANCO FAVORECIDO OU DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AM', 'AGENCIA MANTENEDORA DA CONTA CORRENTE DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP ('356', 'AN', 'CONTA CORRENTE/DV DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AO', 'NOME DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('356', 'AP', 'DATA LANCAMENTO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AQ', 'TIPO/QUANTIDADE DA MOEDA INVALIDO');
   INCLUI_ERRCNABP ('356', 'AR', 'VALOR DO LANCAMENTO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AS', 'AVISO AO FAVORECIDO - IDENTIFICACAO INVALIDA');
   INCLUI_ERRCNABP ('356', 'AT', 'TIPO/NUMERO DE INSCRICAO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AU', 'LOGRADOURO DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('356', 'AV', 'N DO LOCAL DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('356', 'AW', 'CIDADE DO FAVORECIDO NAO INFORMADA ');
   INCLUI_ERRCNABP ('356', 'AX', 'CEP/COMPLEMENTO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AY', 'SIGLA DO ESTADO DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP ('356', 'AZ', 'CODIGO/NOME DO BANCO DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('356', 'BA', 'CODIGO/NOME DA AGENCIA DEPOSITARIA NAO INFORMADO');
   INCLUI_ERRCNABP ('356', 'BB', 'SEU NUMERO INVALIDO');
   INCLUI_ERRCNABP ('356', 'BC', 'NOSSO NUMERO INVALIDO');
   INCLUI_ERRCNABP ('356', 'BD', 'INCLUSAO EFETUADA COM SUCESSO');
   INCLUI_ERRCNABP ('356', 'BE', 'ALTERACAO EFETUADA COM SUCESSO');
   INCLUI_ERRCNABP ('356', 'BF', 'EXCLUSAO EFETUADA COM SUCESSO');
   INCLUI_ERRCNABP ('356', 'BG', 'AGENCIA/CONTA IMPEDIDA LEGALMENTE');
   INCLUI_ERRCNABP ('356', 'CA', 'CODIGO DE BARRAS - CODIGO DO BANCO INVALIDO');
   INCLUI_ERRCNABP ('356', 'CB', 'CODIGO DE BARRAS - CODIGO DA MOEDA INVALIDO');
   INCLUI_ERRCNABP ('356', 'CC', 'CODIGO DE BARRAS - DIGITO VERIFICADOR GERAL INVALIDO');
   INCLUI_ERRCNABP ('356', 'CD', 'CODIGO DE BARRAS - VALOR DO TITULO INVALIDO');
   INCLUI_ERRCNABP ('356', 'CE', 'CODIGO DE BARRAS - CAMPO LIVRE INVALIDO');
   INCLUI_ERRCNABP ('356', 'CF', 'VALOR DO DOCUMENTO INVALIDO');
   INCLUI_ERRCNABP ('356', 'CG', 'VALOR DO ABATIMENTO INVALIDO');
   INCLUI_ERRCNABP ('356', 'CH', 'VALOR DO DESCONTO INVALIDO');
   INCLUI_ERRCNABP ('356', 'CI', 'VALOR DE MORA INVALIDO');
   INCLUI_ERRCNABP ('356', 'CJ', 'VALOR DA MULTA INVALIDO');
   INCLUI_ERRCNABP ('356', 'CK', 'VALOR DO IR INVALIDO');
   INCLUI_ERRCNABP ('356', 'CL', 'VALOR DO ISS INVALIDO');
   INCLUI_ERRCNABP ('356', 'CM', 'VALOR DO IOF INVALIDO');
   INCLUI_ERRCNABP ('356', 'CN', 'VALOR DE OUTRAS DEDUCOES INVALIDO');
   INCLUI_ERRCNABP ('356', 'CO', 'VALOR DE OUTROS ACRESCIMOS INVALIDO');
   INCLUI_ERRCNABP ('356', 'CP', 'VALOR DO INSS INVALIDO');
   INCLUI_ERRCNABP ('356', 'TA', 'LOTE NAO ACEITO - TOTAIS DO LOTE COM DIFERENCA');
   INCLUI_ERRCNABP ('356', 'YA', 'TITULO NAO ENCONTRADO');
   INCLUI_ERRCNABP ('356', 'YB', 'IDENTIFICADOR REGISTRO OPCIONAL INVALIDO');
   INCLUI_ERRCNABP ('356', 'YC', 'CODIGO PADRAO INVALIDO');
   INCLUI_ERRCNABP ('356', 'YD', 'CODIGO DE OCORRENCIA INVALIDO');
   INCLUI_ERRCNABP ('356', 'YE', 'COMPLEMENTO DE OCORRENCIA INVALIDO');
   INCLUI_ERRCNABP ('356', 'YF', 'ALEGACAO JA INFORMADA');
   COMMIT;
END;
/
BEGIN
-- BANCO REAL 275

   INCLUI_ERRCNABP ('275', '00', 'CREDITO OU DEBITO EFETIVADO A ESTE CODIGO INDICA QUE O PAGAMENTO FOI CONFIRMADO');
   INCLUI_ERRCNABP ('275', '01', 'INSUFICIENCIA DE FUNDOS - DEBITO NAO EFETUADO');
   INCLUI_ERRCNABP ('275', '02', 'CREDITO OU DEBITO CANCELADO PELO PAGADOR/CREDOR');
   INCLUI_ERRCNABP ('275', '03', 'DEBITO AUTORIZADO PELA AGENCIA - EFETUADO');
   INCLUI_ERRCNABP ('275', 'HA', 'LOTE NAO ACEITO');
   INCLUI_ERRCNABP ('275', 'HB', 'INSCRICAO DA EMPRESA INVALIDA PARA O CONTRATO');
   INCLUI_ERRCNABP ('275', 'HC', 'CONVENIO COM A EMPRESA INEXISTENTE/INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP ('275', 'HD', 'AGENCIA/CONTA CORRENTE DA EMPRESA INEXISTENTE/INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP ('275', 'HE', 'TIPO DE SERVICO INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP ('275', 'HF', 'CONTA CORRENTE DA EMPRESA COM SALDO INSUFICIENTE');
   INCLUI_ERRCNABP ('275', 'HG', 'LOTE DE SERVICO FORA DE SEQUEENCIA');
   INCLUI_ERRCNABP ('275', 'HH', 'LOTE DE SERVICO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AA', 'CONTROLE INVALIDO');
   INCLUI_ERRCNABP ('275', 'AB', 'TIPO DE OPERACAO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AC', 'TIPO DE SERVICO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AD', 'FORMA DE LANCAMENTO INVALIDA');
   INCLUI_ERRCNABP ('275', 'AE', 'TIPO/NUMERO DE INSCRICAO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AF', 'CODIGO DE CONVENIO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AG', 'AGENCIA/CONTA CORRENTE/DV INVALIDO');
   INCLUI_ERRCNABP ('275', 'AH', 'N SEQUEENCIAL DO REGISTRO NO LOTE INVALIDO');
   INCLUI_ERRCNABP ('275', 'AI', 'CODIGO DE SEGMENTO DE DETALHE INVALIDO');
   INCLUI_ERRCNABP ('275', 'AJ', 'TIPO DE MOVIMENTO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AK', 'CODIGO DA CAMARA DE COMPENSACAO DO BANCO FAVORECIDO/DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AL', 'CODIGO DO BANCO FAVORECIDO OU DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AM', 'AGENCIA MANTENEDORA DA CONTA CORRENTE DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP ('275', 'AN', 'CONTA CORRENTE/DV DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AO', 'NOME DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('275', 'AP', 'DATA LANCAMENTO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AQ', 'TIPO/QUANTIDADE DA MOEDA INVALIDO');
   INCLUI_ERRCNABP ('275', 'AR', 'VALOR DO LANCAMENTO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AS', 'AVISO AO FAVORECIDO - IDENTIFICACAO INVALIDA');
   INCLUI_ERRCNABP ('275', 'AT', 'TIPO/NUMERO DE INSCRICAO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AU', 'LOGRADOURO DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('275', 'AV', 'N DO LOCAL DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('275', 'AW', 'CIDADE DO FAVORECIDO NAO INFORMADA ');
   INCLUI_ERRCNABP ('275', 'AX', 'CEP/COMPLEMENTO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AY', 'SIGLA DO ESTADO DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP ('275', 'AZ', 'CODIGO/NOME DO BANCO DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('275', 'BA', 'CODIGO/NOME DA AGENCIA DEPOSITARIA NAO INFORMADO');
   INCLUI_ERRCNABP ('275', 'BB', 'SEU NUMERO INVALIDO');
   INCLUI_ERRCNABP ('275', 'BC', 'NOSSO NUMERO INVALIDO');
   INCLUI_ERRCNABP ('275', 'BD', 'INCLUSAO EFETUADA COM SUCESSO');
   INCLUI_ERRCNABP ('275', 'BE', 'ALTERACAO EFETUADA COM SUCESSO');
   INCLUI_ERRCNABP ('275', 'BF', 'EXCLUSAO EFETUADA COM SUCESSO');
   INCLUI_ERRCNABP ('275', 'BG', 'AGENCIA/CONTA IMPEDIDA LEGALMENTE');
   INCLUI_ERRCNABP ('275', 'CA', 'CODIGO DE BARRAS - CODIGO DO BANCO INVALIDO');
   INCLUI_ERRCNABP ('275', 'CB', 'CODIGO DE BARRAS - CODIGO DA MOEDA INVALIDO');
   INCLUI_ERRCNABP ('275', 'CC', 'CODIGO DE BARRAS - DIGITO VERIFICADOR GERAL INVALIDO');
   INCLUI_ERRCNABP ('275', 'CD', 'CODIGO DE BARRAS - VALOR DO TITULO INVALIDO');
   INCLUI_ERRCNABP ('275', 'CE', 'CODIGO DE BARRAS - CAMPO LIVRE INVALIDO');
   INCLUI_ERRCNABP ('275', 'CF', 'VALOR DO DOCUMENTO INVALIDO');
   INCLUI_ERRCNABP ('275', 'CG', 'VALOR DO ABATIMENTO INVALIDO');
   INCLUI_ERRCNABP ('275', 'CH', 'VALOR DO DESCONTO INVALIDO');
   INCLUI_ERRCNABP ('275', 'CI', 'VALOR DE MORA INVALIDO');
   INCLUI_ERRCNABP ('275', 'CJ', 'VALOR DA MULTA INVALIDO');
   INCLUI_ERRCNABP ('275', 'CK', 'VALOR DO IR INVALIDO');
   INCLUI_ERRCNABP ('275', 'CL', 'VALOR DO ISS INVALIDO');
   INCLUI_ERRCNABP ('275', 'CM', 'VALOR DO IOF INVALIDO');
   INCLUI_ERRCNABP ('275', 'CN', 'VALOR DE OUTRAS DEDUCOES INVALIDO');
   INCLUI_ERRCNABP ('275', 'CO', 'VALOR DE OUTROS ACRESCIMOS INVALIDO');
   INCLUI_ERRCNABP ('275', 'CP', 'VALOR DO INSS INVALIDO');
   INCLUI_ERRCNABP ('275', 'TA', 'LOTE NAO ACEITO - TOTAIS DO LOTE COM DIFERENCA');
   INCLUI_ERRCNABP ('275', 'YA', 'TITULO NAO ENCONTRADO');
   INCLUI_ERRCNABP ('275', 'YB', 'IDENTIFICADOR REGISTRO OPCIONAL INVALIDO');
   INCLUI_ERRCNABP ('275', 'YC', 'CODIGO PADRAO INVALIDO');
   INCLUI_ERRCNABP ('275', 'YD', 'CODIGO DE OCORRENCIA INVALIDO');
   INCLUI_ERRCNABP ('275', 'YE', 'COMPLEMENTO DE OCORRENCIA INVALIDO');
   INCLUI_ERRCNABP ('275', 'YF', 'ALEGACAO JA INFORMADA');
   COMMIT;
END;
/
BEGIN
-- BANCO REAL 356

   INCLUI_ERRCNABP ('356', '00', 'CREDITO OU DEBITO EFETIVADO A ESTE CODIGO INDICA QUE O PAGAMENTO FOI CONFIRMADO');
   INCLUI_ERRCNABP ('356', '01', 'INSUFICIENCIA DE FUNDOS - DEBITO NAO EFETUADO');
   INCLUI_ERRCNABP ('356', '02', 'CREDITO OU DEBITO CANCELADO PELO PAGADOR/CREDOR');
   INCLUI_ERRCNABP ('356', '03', 'DEBITO AUTORIZADO PELA AGENCIA - EFETUADO');
   INCLUI_ERRCNABP ('356', 'HA', 'LOTE NAO ACEITO');
   INCLUI_ERRCNABP ('356', 'HB', 'INSCRICAO DA EMPRESA INVALIDA PARA O CONTRATO');
   INCLUI_ERRCNABP ('356', 'HC', 'CONVENIO COM A EMPRESA INEXISTENTE/INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP ('356', 'HD', 'AGENCIA/CONTA CORRENTE DA EMPRESA INEXISTENTE/INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP ('356', 'HE', 'TIPO DE SERVICO INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP ('356', 'HF', 'CONTA CORRENTE DA EMPRESA COM SALDO INSUFICIENTE');
   INCLUI_ERRCNABP ('356', 'HG', 'LOTE DE SERVICO FORA DE SEQUEENCIA');
   INCLUI_ERRCNABP ('356', 'HH', 'LOTE DE SERVICO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AA', 'CONTROLE INVALIDO');
   INCLUI_ERRCNABP ('356', 'AB', 'TIPO DE OPERACAO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AC', 'TIPO DE SERVICO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AD', 'FORMA DE LANCAMENTO INVALIDA');
   INCLUI_ERRCNABP ('356', 'AE', 'TIPO/NUMERO DE INSCRICAO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AF', 'CODIGO DE CONVENIO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AG', 'AGENCIA/CONTA CORRENTE/DV INVALIDO');
   INCLUI_ERRCNABP ('356', 'AH', 'N SEQUEENCIAL DO REGISTRO NO LOTE INVALIDO');
   INCLUI_ERRCNABP ('356', 'AI', 'CODIGO DE SEGMENTO DE DETALHE INVALIDO');
   INCLUI_ERRCNABP ('356', 'AJ', 'TIPO DE MOVIMENTO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AK', 'CODIGO DA CAMARA DE COMPENSACAO DO BANCO FAVORECIDO/DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AL', 'CODIGO DO BANCO FAVORECIDO OU DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AM', 'AGENCIA MANTENEDORA DA CONTA CORRENTE DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP ('356', 'AN', 'CONTA CORRENTE/DV DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AO', 'NOME DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('356', 'AP', 'DATA LANCAMENTO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AQ', 'TIPO/QUANTIDADE DA MOEDA INVALIDO');
   INCLUI_ERRCNABP ('356', 'AR', 'VALOR DO LANCAMENTO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AS', 'AVISO AO FAVORECIDO - IDENTIFICACAO INVALIDA');
   INCLUI_ERRCNABP ('356', 'AT', 'TIPO/NUMERO DE INSCRICAO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AU', 'LOGRADOURO DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('356', 'AV', 'N DO LOCAL DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('356', 'AW', 'CIDADE DO FAVORECIDO NAO INFORMADA ');
   INCLUI_ERRCNABP ('356', 'AX', 'CEP/COMPLEMENTO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('356', 'AY', 'SIGLA DO ESTADO DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP ('356', 'AZ', 'CODIGO/NOME DO BANCO DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('356', 'BA', 'CODIGO/NOME DA AGENCIA DEPOSITARIA NAO INFORMADO');
   INCLUI_ERRCNABP ('356', 'BB', 'SEU NUMERO INVALIDO');
   INCLUI_ERRCNABP ('356', 'BC', 'NOSSO NUMERO INVALIDO');
   INCLUI_ERRCNABP ('356', 'BD', 'INCLUSAO EFETUADA COM SUCESSO');
   INCLUI_ERRCNABP ('356', 'BE', 'ALTERACAO EFETUADA COM SUCESSO');
   INCLUI_ERRCNABP ('356', 'BF', 'EXCLUSAO EFETUADA COM SUCESSO');
   INCLUI_ERRCNABP ('356', 'BG', 'AGENCIA/CONTA IMPEDIDA LEGALMENTE');
   INCLUI_ERRCNABP ('356', 'CA', 'CODIGO DE BARRAS - CODIGO DO BANCO INVALIDO');
   INCLUI_ERRCNABP ('356', 'CB', 'CODIGO DE BARRAS - CODIGO DA MOEDA INVALIDO');
   INCLUI_ERRCNABP ('356', 'CC', 'CODIGO DE BARRAS - DIGITO VERIFICADOR GERAL INVALIDO');
   INCLUI_ERRCNABP ('356', 'CD', 'CODIGO DE BARRAS - VALOR DO TITULO INVALIDO');
   INCLUI_ERRCNABP ('356', 'CE', 'CODIGO DE BARRAS - CAMPO LIVRE INVALIDO');
   INCLUI_ERRCNABP ('356', 'CF', 'VALOR DO DOCUMENTO INVALIDO');
   INCLUI_ERRCNABP ('356', 'CG', 'VALOR DO ABATIMENTO INVALIDO');
   INCLUI_ERRCNABP ('356', 'CH', 'VALOR DO DESCONTO INVALIDO');
   INCLUI_ERRCNABP ('356', 'CI', 'VALOR DE MORA INVALIDO');
   INCLUI_ERRCNABP ('356', 'CJ', 'VALOR DA MULTA INVALIDO');
   INCLUI_ERRCNABP ('356', 'CK', 'VALOR DO IR INVALIDO');
   INCLUI_ERRCNABP ('356', 'CL', 'VALOR DO ISS INVALIDO');
   INCLUI_ERRCNABP ('356', 'CM', 'VALOR DO IOF INVALIDO');
   INCLUI_ERRCNABP ('356', 'CN', 'VALOR DE OUTRAS DEDUCOES INVALIDO');
   INCLUI_ERRCNABP ('356', 'CO', 'VALOR DE OUTROS ACRESCIMOS INVALIDO');
   INCLUI_ERRCNABP ('356', 'CP', 'VALOR DO INSS INVALIDO');
   INCLUI_ERRCNABP ('356', 'TA', 'LOTE NAO ACEITO - TOTAIS DO LOTE COM DIFERENCA');
   INCLUI_ERRCNABP ('356', 'YA', 'TITULO NAO ENCONTRADO');
   INCLUI_ERRCNABP ('356', 'YB', 'IDENTIFICADOR REGISTRO OPCIONAL INVALIDO');
   INCLUI_ERRCNABP ('356', 'YC', 'CODIGO PADRAO INVALIDO');
   INCLUI_ERRCNABP ('356', 'YD', 'CODIGO DE OCORRENCIA INVALIDO');
   INCLUI_ERRCNABP ('356', 'YE', 'COMPLEMENTO DE OCORRENCIA INVALIDO');
   INCLUI_ERRCNABP ('356', 'YF', 'ALEGACAO JA INFORMADA');
   COMMIT;
END;
/
BEGIN
-- BANCO REAL 275

   INCLUI_ERRCNABP ('275', '00', 'CREDITO OU DEBITO EFETIVADO A ESTE CODIGO INDICA QUE O PAGAMENTO FOI CONFIRMADO');
   INCLUI_ERRCNABP ('275', '01', 'INSUFICIENCIA DE FUNDOS - DEBITO NAO EFETUADO');
   INCLUI_ERRCNABP ('275', '02', 'CREDITO OU DEBITO CANCELADO PELO PAGADOR/CREDOR');
   INCLUI_ERRCNABP ('275', '03', 'DEBITO AUTORIZADO PELA AGENCIA - EFETUADO');
   INCLUI_ERRCNABP ('275', 'HA', 'LOTE NAO ACEITO');
   INCLUI_ERRCNABP ('275', 'HB', 'INSCRICAO DA EMPRESA INVALIDA PARA O CONTRATO');
   INCLUI_ERRCNABP ('275', 'HC', 'CONVENIO COM A EMPRESA INEXISTENTE/INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP ('275', 'HD', 'AGENCIA/CONTA CORRENTE DA EMPRESA INEXISTENTE/INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP ('275', 'HE', 'TIPO DE SERVICO INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP ('275', 'HF', 'CONTA CORRENTE DA EMPRESA COM SALDO INSUFICIENTE');
   INCLUI_ERRCNABP ('275', 'HG', 'LOTE DE SERVICO FORA DE SEQUEENCIA');
   INCLUI_ERRCNABP ('275', 'HH', 'LOTE DE SERVICO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AA', 'CONTROLE INVALIDO');
   INCLUI_ERRCNABP ('275', 'AB', 'TIPO DE OPERACAO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AC', 'TIPO DE SERVICO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AD', 'FORMA DE LANCAMENTO INVALIDA');
   INCLUI_ERRCNABP ('275', 'AE', 'TIPO/NUMERO DE INSCRICAO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AF', 'CODIGO DE CONVENIO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AG', 'AGENCIA/CONTA CORRENTE/DV INVALIDO');
   INCLUI_ERRCNABP ('275', 'AH', 'N SEQUEENCIAL DO REGISTRO NO LOTE INVALIDO');
   INCLUI_ERRCNABP ('275', 'AI', 'CODIGO DE SEGMENTO DE DETALHE INVALIDO');
   INCLUI_ERRCNABP ('275', 'AJ', 'TIPO DE MOVIMENTO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AK', 'CODIGO DA CAMARA DE COMPENSACAO DO BANCO FAVORECIDO/DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AL', 'CODIGO DO BANCO FAVORECIDO OU DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AM', 'AGENCIA MANTENEDORA DA CONTA CORRENTE DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP ('275', 'AN', 'CONTA CORRENTE/DV DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AO', 'NOME DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('275', 'AP', 'DATA LANCAMENTO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AQ', 'TIPO/QUANTIDADE DA MOEDA INVALIDO');
   INCLUI_ERRCNABP ('275', 'AR', 'VALOR DO LANCAMENTO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AS', 'AVISO AO FAVORECIDO - IDENTIFICACAO INVALIDA');
   INCLUI_ERRCNABP ('275', 'AT', 'TIPO/NUMERO DE INSCRICAO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AU', 'LOGRADOURO DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('275', 'AV', 'N DO LOCAL DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('275', 'AW', 'CIDADE DO FAVORECIDO NAO INFORMADA ');
   INCLUI_ERRCNABP ('275', 'AX', 'CEP/COMPLEMENTO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('275', 'AY', 'SIGLA DO ESTADO DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP ('275', 'AZ', 'CODIGO/NOME DO BANCO DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('275', 'BA', 'CODIGO/NOME DA AGENCIA DEPOSITARIA NAO INFORMADO');
   INCLUI_ERRCNABP ('275', 'BB', 'SEU NUMERO INVALIDO');
   INCLUI_ERRCNABP ('275', 'BC', 'NOSSO NUMERO INVALIDO');
   INCLUI_ERRCNABP ('275', 'BD', 'INCLUSAO EFETUADA COM SUCESSO');
   INCLUI_ERRCNABP ('275', 'BE', 'ALTERACAO EFETUADA COM SUCESSO');
   INCLUI_ERRCNABP ('275', 'BF', 'EXCLUSAO EFETUADA COM SUCESSO');
   INCLUI_ERRCNABP ('275', 'BG', 'AGENCIA/CONTA IMPEDIDA LEGALMENTE');
   INCLUI_ERRCNABP ('275', 'CA', 'CODIGO DE BARRAS - CODIGO DO BANCO INVALIDO');
   INCLUI_ERRCNABP ('275', 'CB', 'CODIGO DE BARRAS - CODIGO DA MOEDA INVALIDO');
   INCLUI_ERRCNABP ('275', 'CC', 'CODIGO DE BARRAS - DIGITO VERIFICADOR GERAL INVALIDO');
   INCLUI_ERRCNABP ('275', 'CD', 'CODIGO DE BARRAS - VALOR DO TITULO INVALIDO');
   INCLUI_ERRCNABP ('275', 'CE', 'CODIGO DE BARRAS - CAMPO LIVRE INVALIDO');
   INCLUI_ERRCNABP ('275', 'CF', 'VALOR DO DOCUMENTO INVALIDO');
   INCLUI_ERRCNABP ('275', 'CG', 'VALOR DO ABATIMENTO INVALIDO');
   INCLUI_ERRCNABP ('275', 'CH', 'VALOR DO DESCONTO INVALIDO');
   INCLUI_ERRCNABP ('275', 'CI', 'VALOR DE MORA INVALIDO');
   INCLUI_ERRCNABP ('275', 'CJ', 'VALOR DA MULTA INVALIDO');
   INCLUI_ERRCNABP ('275', 'CK', 'VALOR DO IR INVALIDO');
   INCLUI_ERRCNABP ('275', 'CL', 'VALOR DO ISS INVALIDO');
   INCLUI_ERRCNABP ('275', 'CM', 'VALOR DO IOF INVALIDO');
   INCLUI_ERRCNABP ('275', 'CN', 'VALOR DE OUTRAS DEDUCOES INVALIDO');
   INCLUI_ERRCNABP ('275', 'CO', 'VALOR DE OUTROS ACRESCIMOS INVALIDO');
   INCLUI_ERRCNABP ('275', 'CP', 'VALOR DO INSS INVALIDO');
   INCLUI_ERRCNABP ('275', 'TA', 'LOTE NAO ACEITO - TOTAIS DO LOTE COM DIFERENCA');
   INCLUI_ERRCNABP ('275', 'YA', 'TITULO NAO ENCONTRADO');
   INCLUI_ERRCNABP ('275', 'YB', 'IDENTIFICADOR REGISTRO OPCIONAL INVALIDO');
   INCLUI_ERRCNABP ('275', 'YC', 'CODIGO PADRAO INVALIDO');
   INCLUI_ERRCNABP ('275', 'YD', 'CODIGO DE OCORRENCIA INVALIDO');
   INCLUI_ERRCNABP ('275', 'YE', 'COMPLEMENTO DE OCORRENCIA INVALIDO');
   INCLUI_ERRCNABP ('275', 'YF', 'ALEGACAO JA INFORMADA');
   COMMIT;
END;
/
BEGIN
-- BANCO SAFRA 422

   INCLUI_ERRCNABP ('422', '076', 'BLOQUEIO JUDICIAL  SALDO INSULFICIENTE');
   INCLUI_ERRCNABP ('422', '099', 'REGISTRO CADASTRO DE CLIENTE NAO ENCONTRADO NO SCC');
   INCLUI_ERRCNABP ('422', '100', 'CONTA CORRENTE NAO CADASTRADA');
   INCLUI_ERRCNABP ('422', '112', 'TRANSACAO INVALIDA - JA CADASTRADA');
   INCLUI_ERRCNABP ('422', '114', 'ALTERACAO INVALIDA - COMPROMISSO LIBERADO PARA PAGAMENTO');
   INCLUI_ERRCNABP ('422', '119', 'EXCLUSAO INVALIDA  CMP LIBERADO PARA PAGAMENTO');
   INCLUI_ERRCNABP ('422', '130', 'COMPROMISSO COM PAGAMENTO JA EFETUADO');
   INCLUI_ERRCNABP ('422', '132', 'FORNECEDOR NAO CADASTRADO');
   INCLUI_ERRCNABP ('422', '139', 'COMPROMISSO NAO CADASTRADO');
   INCLUI_ERRCNABP ('422', '145', 'AUTORIZACAO INVALIDA PRE. CONFERENCIA MSG.');
   INCLUI_ERRCNABP ('422', '148', 'TRANSACAO INVALIDA  - REDIGITACAO PEDENTE');
   INCLUI_ERRCNABP ('422', '157', 'AGENCIA C/C INVALIDA');
   INCLUI_ERRCNABP ('422', '195', 'COB AGENCIA DEBITO  = AGENCIA P/ PAGTO');
   INCLUI_ERRCNABP ('422', '196', 'COB DATA PAGTO = DATA VENCIMENTO');
   INCLUI_ERRCNABP ('422', '197', 'DATA PAGTO FERIADO AGENCIA PAGTO OU AGENCIA DEBITO');
   INCLUI_ERRCNABP ('422', '198', 'COMPROMISSO JA DEBITADO DO CLIENTE');
   INCLUI_ERRCNABP ('422', '200', 'NOME/ENDERECO DO FORNECEDOR OBRIGATORIO');
   INCLUI_ERRCNABP ('422', '201', 'COD. DO FORNECEDOR DEVE SER NUMERICO');
   INCLUI_ERRCNABP ('422', '202', 'COD. DO FORNECEDOR COM DIGITO INVALIDO');
   INCLUI_ERRCNABP ('422', '203', 'CGC(CNPJ)/CPF DEVE SER NUMERICO');
   INCLUI_ERRCNABP ('422', '204', 'CGC(CNPJ)/CPF COM DIGITO INVALIDO');
   INCLUI_ERRCNABP ('422', '206', 'BANCO PARA CREDITO DEVE SER NUMERICO');
   INCLUI_ERRCNABP ('422', '207', 'AGENCIA PARA CREDITO DEVE SER NUMERICO');
   INCLUI_ERRCNABP ('422', '210', 'BCO PARA CRED NAO CADASTRADO');
   INCLUI_ERRCNABP ('422', '213', 'VOLUME JA PROCESSADO, DADOS DUPLICADOS');
   INCLUI_ERRCNABP ('422', '216', 'COB DATA PAGTO INVALIDA');
   INCLUI_ERRCNABP ('422', '217', 'COMPROMISSO BLOQUEADO POR INSUFICIENCIA DE SALDO');
   INCLUI_ERRCNABP ('422', '240', 'AUTORIZACAO VIA ARQUIVO NAO TERMITIDA');
   INCLUI_ERRCNABP ('422', '250', 'DATA DE VENCIMENTO OU VALOR INVALIDO');
   INCLUI_ERRCNABP ('422', '251', 'DATA DE VENCIMENTO INVALIDA') ;
   INCLUI_ERRCNABP ('422', '252', 'TIPO DE PAGAMENTO INVALIDO');
   INCLUI_ERRCNABP ('422', '253', 'DATA DE VENCIMENTO INVALIDA');
   INCLUI_ERRCNABP ('422', '254', 'BANCO PORTADOR DO TITULO DEVE SER NUMERICO');
   INCLUI_ERRCNABP ('422', '255', 'AGENCIA PARA PAGAMENTO INVALIDA');
   INCLUI_ERRCNABP ('422', '258', 'TIPO DE DOCUMENTO DO COMPROMISSO NAO CADASTRADO');
   INCLUI_ERRCNABP ('422', '259', 'MOEDA NAO CADASTRADA');
   INCLUI_ERRCNABP ('422', '260', 'DATA DE PAGAMENTO MENOR OU IGUAL A DATA DE HOJE');
   INCLUI_ERRCNABP ('422', '261', 'BANCO PORTADOR DO TITULO NAO CADASTRADO');
   INCLUI_ERRCNABP ('422', '262', 'AGENCIA PARA PAGAMENTO NAO CADASTRADA');
   INCLUI_ERRCNABP ('422', '264', 'DADOS INCLOMPLETOS PARA PAGAMENTO');
   INCLUI_ERRCNABP ('422', '265', 'DADOS INCOMPLETOS PARA PAGAMENTO COM DOC');
   INCLUI_ERRCNABP ('422', '266', 'DADOS INCOMPLETOS PARA PAGAMENTO EM C/C');
   INCLUI_ERRCNABP ('422', '269', 'COMPROMISSO VERUS AGENCIA PARA PAGAMENTO INCOMPLETO');
   INCLUI_ERRCNABP ('422', '271', 'COMPROMISSO JA AUTORIZADO OU BLOQUEADO');
   INCLUI_ERRCNABP ('422', '303', 'DATA INVALIDA');
   INCLUI_ERRCNABP ('422', '304', 'MOVIMENTO SEM HEADER (AGENCIA/CONTA DIFERENTE ENTRE HEADER E DETALHE)');
   INCLUI_ERRCNABP ('422', '312', 'NUMERO DO DOCUMENTO (COMPROMISSO) INVALIDO');
   INCLUI_ERRCNABP ('422', '313', 'COMPROMISSO JA CADASTRADO');
   INCLUI_ERRCNABP ('422', '314', 'CAMARA DE COMPENSACAO INVALIDA');
   INCLUI_ERRCNABP ('422', '315', 'VALOR DO ABATIMENTO INVALIDO');
   INCLUI_ERRCNABP ('422', '316', 'VALOR DO JURO/ MULTA INVALIDO');
   INCLUI_ERRCNABP ('422', '317', 'C/C DEVE SER NUMERICA');
   INCLUI_ERRCNABP ('422', '323', 'CODIGO DE INSTRUCAO INVALIDO');
   INCLUI_ERRCNABP ('422', '324', 'AGENCIA/CLIENTE ESTA DIFERENTE DO REGISTRO HEADER');
   INCLUI_ERRCNABP ('422', '325', 'FALTA REGISTRO NUMERICO  XXXX');
   INCLUI_ERRCNABP ('422', '326', 'REGISTRO FORA DE ORDEM');
   INCLUI_ERRCNABP ('422', '327', 'NUMERICO DO REGISTRO DEVE SER NUMERICO');
   INCLUI_ERRCNABP ('422', '328', 'CLIENTE  DIFERE EM RELACAO ');
   INCLUI_ERRCNABP ('422', '331', 'VALOR AUTORIZADO INVALIDO');
   INCLUI_ERRCNABP ('422', '332', 'COMPROMISSO INVALIDO');
   INCLUI_ERRCNABP ('422', '333', 'COMPROMISSO NAO PODE SER BLOQUEADO');
   INCLUI_ERRCNABP ('422', '334', 'COMPROMISSO NAO PODE SER DESBLOQUEADO');
   INCLUI_ERRCNABP ('422', '335', 'CODIGO DE ALEGACAO INVALIDO');
   INCLUI_ERRCNABP ('422', '336', 'DESCRICAO DE ALEGACAO INVALIDA');
   INCLUI_ERRCNABP ('422', '337', 'CLIENTE INVALIDO');
   INCLUI_ERRCNABP ('422', '347', 'VALOR AUTORIZADO NAO NUMERICO');
   INCLUI_ERRCNABP ('422', '371', 'AGENCIA PARA CREDITO INVALIDA');
   INCLUI_ERRCNABP ('422', '375', 'AGENCIA/CONTA CORRENTE INVALIDA(TECBAN)');
   INCLUI_ERRCNABP ('422', '378', 'BANCO PORTADOR INVALIDO');
   INCLUI_ERRCNABP ('422', '379', 'BANCO DESTINO INVALIDO');
   INCLUI_ERRCNABP ('422', '382', 'COMPROMISSO DUPLICADO');
   INCLUI_ERRCNABP ('422', '536', 'LINHA DIGITAVEL INVALIDA');
   INCLUI_ERRCNABP ('422', '537', 'REGISTRO REJEITADO NA CRITICA PREVIA');
   INCLUI_ERRCNABP ('422', '538', 'DATA INVALIDA PARA TIPO DE PAGAMENTO "CHQ"');
   INCLUI_ERRCNABP ('422', '588', 'CLIENTE NAO HABILITADO A CREDITAR CONTA SALARIO');
   INCLUI_ERRCNABP ('422', '598', 'FORNECEDOR INFORMADO NAO E O TITULAR DA CONTA DESTINO');
   INCLUI_ERRCNABP ('422', '601', 'TIPO PAGAMENTO INVALIDO PARA CLIENTE SALARIO');
   INCLUI_ERRCNABP ('422', '602', 'PAGAMENTO CONTA SALARIO NAO PODE SER BLOQUEADO');
   INCLUI_ERRCNABP ('422', '603', 'TIPO DE DOCUMENTO EXCLUSIVO PARA CLIENTE CCS');
   INCLUI_ERRCNABP ('422', '604', 'TIPO DE DOCUMENTO DIFERENTE CCS');
   INCLUI_ERRCNABP ('422', '606', 'DIGITO DO CODIGO DE BARRAS INVALIDO');
   INCLUI_ERRCNABP ('422', '607', 'CLIENTE CREDITA SOMENTE CONTA SALARIO');
   INCLUI_ERRCNABP ('422', '654', 'TED INFERIOR AO VALOR MINIMO');
   INCLUI_ERRCNABP ('422', '632', 'CONTA INVESTIMENTO DE OUTRA TITULARIDADE');
   INCLUI_ERRCNABP ('422', '634', 'CONTA DESTINO NAO E CONTA DE INVESTIMENTO');
   INCLUI_ERRCNABP ('422', '636', 'NAO PERMITIDO. VALOR ACIMA DO LIMITE');
   INCLUI_ERRCNABP ('422', '639', 'TIPO DE DOC IGUAL DOC PARA CCI');
   INCLUI_ERRCNABP ('422', '640', 'AGENCIA OU CONTA INVESTIMENTO INVALIDA');
   INCLUI_ERRCNABP ('422', '650', 'INCLUSAO INVACIDA PARA CAB');
   INCLUI_ERRCNABP ('422', '651', 'TED APOS O HORARIO LIMITE (APOS 17 HRS)');
   INCLUI_ERRCNABP ('422', '654', 'TED INFERIOR AO VALOR MINIMO');
   INCLUI_ERRCNABP ('422', '782', 'BANCO NAO OPERANTE');
   INCLUI_ERRCNABP ('422', '786', 'REGISTRO NAO ENCONTRADO NO SPB');
   INCLUI_ERRCNABP ('422', '813', 'CLENTE NAO CRDITA CM');
   INCLUI_ERRCNABP ('422', '860', 'BANCO DE DESTINO INVALIDO PARA TED');
   INCLUI_ERRCNABP ('422', '875', 'CONTA BI NAO ACEITA FAVORECIDO PF');
   INCLUI_ERRCNABP ('422', '876', 'FAVORECIDO DEVE SER DIFERENTE DE INSTITUICAO FINANCEIRA (BI)');
   INCLUI_ERRCNABP ('422', '882', 'CONTAS ORIGEM E DESTINO NAO SAO IGUAIS');
   INCLUI_ERRCNABP ('422', '883', 'CONTA DESTINO NAO PERTENCE AO TITULAR DA CCI');
   COMMIT;
END;
/
BEGIN
   -- BANCO UNIBANCO 409

   INCLUI_ERRCNABP ('409', '5301', 'CONTA CORRENTE DA EMPRESA NAO NUMERICA, IGUAL A ZEROS, OU DIGITO NAO NUMERICO');
   INCLUI_ERRCNABP ('409', '5302', 'AGENCIA DA EMPRESA NAO NUMERICA, IGUAL A ZEROS OU NAO CADASTRADA NO UBB');
   INCLUI_ERRCNABP ('409', '5303', 'DIGITO DA CONTA DA EMPRESA DIVERGENTE OU IGUAL A ZERO');
   INCLUI_ERRCNABP ('409', '5304', 'CONTA CORRENTE DA EMPRESA NAO CADASTRADA NO UBB');
   INCLUI_ERRCNABP ('409', '5305', 'BANCO DO FAVORECIDO INVALIDO.NAO NUMERICO, IGUAL A ZERO, NAO CADASTRADO NO UBB OU TRATA-SE DE PAGAMENTO DE TITULO DE OUTRO BANCO (TIPO SERVICO "9") E O BANCO ESTA IGUAL A 409(UBB) ');
   INCLUI_ERRCNABP ('409', '5306', 'AGENCIA DO FAVORECIDO/DEBITADO INVALIDA OU INATIVA');
   INCLUI_ERRCNABP ('409', '5307', 'DIGITO DA AGENCIA DO FAVORECIDO/DEBITADO IGUAL A BRANCOS OU NAO NUMERICO');
   INCLUI_ERRCNABP ('409', '5308', 'C/C DO FAVORECIDO/DEBITADO NAO NUMERICA OU IGUAL A ZEROS');
   INCLUI_ERRCNABP ('409', '5309', 'DIGITO DA CONTA DO FAVORECIDO/DEBITADO NAO NUMERICO OU IGUAL A ZEROS');
   INCLUI_ERRCNABP ('409', '5310', 'MEIO DE REPASSE INVALIDO - CONTATAR CENTRAL DE ATENDIMENTO');
   INCLUI_ERRCNABP ('409', '5311', 'BANCO DO FAVORECIDO/DEBITADO INEXISTENTE NA TABELA DE BANCOS');
   INCLUI_ERRCNABP ('409', '5312', 'AGENCIA FAVORECIDO/DEBITADO INEXISTENTE NO CADASTRO DE UNIDADES DO UBB');
   INCLUI_ERRCNABP ('409', '5313', 'EMISSAO DE AVISO DIFERENTE DE 0,1 OU 2');
   INCLUI_ERRCNABP ('409', '5314', 'TIPO DE OPERACAO DIFERENTE DE "5"-CREDITO OU "6"-DEBITO');
   INCLUI_ERRCNABP ('409', '5315', 'TIPO DE SERVICO INVALIDO');
   INCLUI_ERRCNABP ('409', '5318', 'VALOR DA TRANSACAO NAO NUMERICO OU IGUAL A ZEROS');
   INCLUI_ERRCNABP ('409', '5319', 'VALOR SUPERIOR A TRAVA CONTRATADA.CONTATE SE GERENTE DE NEGOCIOS E SERVICOS ELETRONICOS');
   INCLUI_ERRCNABP ('409', '5320', 'AGENCIA/ CONTA INVALIDA-PAGAMENTO DARF/GPS');
   INCLUI_ERRCNABP ('409', '5321', 'DATA DE GRAVACAO INEXISTENTE');
   INCLUI_ERRCNABP ('409', '5322', 'DATA DE CREDITO/DEBITO NAO NUMERICA OU IGUAL A ZEROS');
   INCLUI_ERRCNABP ('409', '5323', 'DATA DE DEBITO/CREDITO INVALIDA - PAGAMENTO DARF/GPS');
   INCLUI_ERRCNABP ('409', '5324', 'DATA CREDITO/DEBITO INFERIOR A DATA PROCESSAMENTO(DE ACORDO COM O FLOAT)');
   INCLUI_ERRCNABP ('409', '5325', 'DATA DE CREDITO/DEBITO INVALIDA.PARA TITULOS DE OUTROS BANCOS, SUPERIOR A 15 DIAS');
   INCLUI_ERRCNABP ('409', '5326', 'NOME DO FAVORECIDO/DEBITADO INVALIDO OU EM BRANCO');
   INCLUI_ERRCNABP ('409', '5327', 'LOGRADOURO/ENDERECO EM BRANCO');
   INCLUI_ERRCNABP ('409', '5328', 'NOME DA CIDADE EM BRANCO');
   INCLUI_ERRCNABP ('409', '5329', 'DATA APURACAO INVALIDA - PAGAMENTO DARF');
   INCLUI_ERRCNABP ('409', '5330', 'ESTADO INEXISTENTE');
   INCLUI_ERRCNABP ('409', '5331', 'CEP NAO NUMERICO');
   INCLUI_ERRCNABP ('409', '5332', 'NOME DA AGENCIA DO FAVORECIDO/DEBITADO EM BRANCO.SOMENTE PARA DOC EM QUE O CLIENTE INFORMA A PRACA DE COMPENSACAO');
   INCLUI_ERRCNABP ('409', '5334', 'TIPO DOCUMENTO INVALIDO - PAGAMENTO DARF');
   INCLUI_ERRCNABP ('409', '5335', 'PRACA DE COMPENSACAO INEXISTENTE');
   INCLUI_ERRCNABP ('409', '5336', 'AMARRACAO HORIZONTAL DIFERENTE DO CALCULADO EM (CONTA + VALOR)* OPERACAO');
   INCLUI_ERRCNABP ('409', '5337', 'CLIENTE NAO CADASTRADO PARA O TIPO DE SERVICO INFORMADO');
   INCLUI_ERRCNABP ('409', '5338', 'TIPO DE OPERACAO "6" -DEBITO E O BANCO NAO E "409"(UBB)');
   INCLUI_ERRCNABP ('409', '5342', 'CONTA MOVIMENTO DO CLIENTE NAO CADASTRADA PARA PAGAMENTOS DE OCT/CE');
   INCLUI_ERRCNABP ('409', '5343', 'CODIGO DA TRANSACAO DO CVT INVALIDO, PARA PAGAMENTOS DE OCT/CE');
   INCLUI_ERRCNABP ('409', '5344', 'CEDENTE NAO CADASTRADO NO UNIBANCO PARA OPERAR COM TRANSACOES DE COBRANCA ESPECIAL');
   INCLUI_ERRCNABP ('409', '5345', 'N. DE REFERENCIA DA COBRANCA ESPECIAL INVALIDO');
   INCLUI_ERRCNABP ('409', '5346', 'DATA VENCIMENTO INVALIDA - PAGAMENTO DARF');
   INCLUI_ERRCNABP ('409', '5347', 'POSICAO 220 A 234 - INVALIDA');
   INCLUI_ERRCNABP ('409', '5348', 'CEDENTE NAO CADASTRADO NO UNIBANCO PARA OPERAR COM TRANSACOES DE OCT');
   INCLUI_ERRCNABP ('409', '5349', 'TIPO DA SOLICITACAO INVALIDO PARA PAGAMENTO ELETRONICO UNIBANCO(DIFERENTE DE 1 A 7)');
   INCLUI_ERRCNABP ('409', '5350', 'AGENCIA DOMICILIO INEXISTENTE PARA PAGAMENTO ELETRONICO UNIBANCO');
   INCLUI_ERRCNABP ('409', '5351', 'TIPO DE SERVICO NAO AUTORIZADO PARA OPERAR COM PAGAMENTO ELETRONICO UNIBANCO');
   INCLUI_ERRCNABP ('409', '5352', 'NOSSO NUMERO NAO NUMERICO OU IGUAL A ZERO PARA ALTERACAO, CANCELAMENTO OU EXCLUSAO DE PAGAMENTOS(COD. DA OPERACAO IGUAL A 2,3 OU 4');
   INCLUI_ERRCNABP ('409', '5353', 'NOSSO NUMERO NAO CADASTRADO P/ ALTERACAO DE PAGTO');
   INCLUI_ERRCNABP ('409', '5354', 'NUMERO DOCUMENTO INVALIDO - PAGAMENTO DARF/GPS');
   INCLUI_ERRCNABP ('409', '5355', 'CODIGO RECEITA INVALIDO - PAGAMENTO DARF/GPS');
   INCLUI_ERRCNABP ('409', '5356', 'NAO E PERMITIDO A ALTERACAO DE PAGAMENTO JA AUTORIZADO OU A DATA DO PAGAMENTO SOLICITADO E IGUAL A DATA DO PROCESSAMENTO');
   INCLUI_ERRCNABP ('409', '5357', 'NAO E PERMITIDO O CANCELAMENTO DE PAGAMENTO NAO AUTORIZADO OU A DATA DO PAGAMENTO SOLICITADO E IGUAL A DATA DO PROCESSAMENTO');
   INCLUI_ERRCNABP ('409', '5358', 'NAO E PERMITIDO EXCLUSAO DE PGTO AUTORIZADO, PAGO OU INATIVO OU, DATA DO PAGAMENTO SOLICITADO IGUAL A DATA DO PAGAMENTO');
   INCLUI_ERRCNABP ('409', '5359', 'NAO E PERMITIDO ALTERACAO DE PAGAMENTO COM OS SEGUINTES DADOS IGUAIS AO ANTERIOR: CODIGO DA OPERACAO , C/C DA EMPRESA E NOSSO NUMERO');
   INCLUI_ERRCNABP ('409', '5360', 'NAO E PERMITIDO CANCELAMENTO COM OS SEGUINTES DADOS IGUAIS AO ANTERIOR: CODIGO DA OPERACAO, C/C DA EMPRESA E NOSSO NUMERO');
   INCLUI_ERRCNABP ('409', '5361', 'NAO E PERMITIDO EXCLUSAO DE PAGTO COM OS SEGUINTES DADOS IGUAIS AO ANTERIOR CODIGO DA OPERACAO, C/C DA EMPRESA E NOSSO NUMERO');
   INCLUI_ERRCNABP ('409', '5362', 'A EMPRESA ESTA SOLICITANDO CREDITO PARA UM BENEFICIARIO DE PAGAMENTO ELETRONICO UNIBANCO, SEM ANTES TER SOLICITADO O SEU CADASTRAMENTO');
   INCLUI_ERRCNABP ('409', '5363', 'A EMPRESA ESTA SOLICITANDO A INCLUSAO DE UM BENEFICIARIO JA CADASTRADO NO PAGAMENTO ELETRONICO UNIBANCO');
   INCLUI_ERRCNABP ('409', '5364', 'SOLICITACAO DE PAGAMENTO ELETRONICO UNIBANCO JA EFETUADA ANTERIORMENTE');
   INCLUI_ERRCNABP ('409', '5365', 'CODIGO DE MOEDA NAO ENCONTRADO PARA PAGAMENTO DE TITULO DE OUTRO BANCO');
   INCLUI_ERRCNABP ('409', '5366', 'NOSSO NUMERO DO OUTRO BANCO NAO INFORMADO(EM BRANCO), PARA PAGAMENTO DE TITULO DE OUTRO BANCO(TIPO SERVICO "6" OU "9")');
   INCLUI_ERRCNABP ('409', '5367', 'CODIGO DE EMPRESA NAO NUMERICO OU IGUAL A ZEROS PARA PAGAMENTO ELETRONICO UNIBANCO');
   INCLUI_ERRCNABP ('409', '5368', 'VALOR RECEITA INVALIDO.PAGAMENTO DARF');
   INCLUI_ERRCNABP ('409', '5369', 'DIGITO DO NUMERO DO BENEFICIARIO DIFERENTE DO CALCULADO PARA PAGAMENTO ELETRONICO UNIBANCO/CARTAO SAQUE');
   INCLUI_ERRCNABP ('409', '5370', 'CLIENTE NAO CADASTRADO NO UNIBANCO PARA OPERAR COM TRANSACOES DE CONTAS A RECEBER');
   INCLUI_ERRCNABP ('409', '5371', 'CONTA DO CLIENTE NAO NUMERICO, IGUAL A ZEROS OU INEXISTENTE');
   INCLUI_ERRCNABP ('409', '5372', 'NAO E POSSIVEL EFETUAR O PAGAMENTO PARA ESTA DATA, HORARIO LIMITE PARA ENVIO DE DOC JA EXPIRADO.PROCESSAMENTO JA EFETUADO');
   INCLUI_ERRCNABP ('409', '5373', 'NAO E POSSIVEL EFETUAR O PAGAMENTO PARA ESTA DATA, HORARIO LIMITE EXPIRADO.PROCESSAMENTO JA EFETUADO ');
   INCLUI_ERRCNABP ('409', '5374', 'CONTA CORRENTE NAO CADASTRADA');
   INCLUI_ERRCNABP ('409', '5375', 'CODIGO DO IPTE INVALIDO');
   INCLUI_ERRCNABP ('409', '5376', 'CODIGO DE BARRAS INVALIDO');
   INCLUI_ERRCNABP ('409', '5377', 'AGENDAMENTO NAO PERMITIDO');
   INCLUI_ERRCNABP ('409', '5378', 'OPERACAO INVALIDA');
   INCLUI_ERRCNABP ('409', '5379', 'REFERENCIA INVALIDA - PAGAMENTO DARF');
   INCLUI_ERRCNABP ('409', '5380', 'AUTORIZACAO NAO PERMITIDA');
   INCLUI_ERRCNABP ('409', '5381', 'TITULO JA AUTORIZADO');
   INCLUI_ERRCNABP ('409', '5382', 'AGENCIA DOMICILIO INVALIDA');
   INCLUI_ERRCNABP ('409', '5384', 'NOTA FISCAL INVALIDA');
   INCLUI_ERRCNABP ('409', '5385', 'CNPJ / CPF INVALIDO');
   INCLUI_ERRCNABP ('409', '5388', 'PERCENTUAL RECEITA INVALIDO - PAGAMENTO DARF');
   INCLUI_ERRCNABP ('409', '5389', 'VALOR PRINCIPAL INVALIDO - PAGAMENTO DARF/GPS');
   INCLUI_ERRCNABP ('409', '5394', 'VALOR JUROS INVALIDO - PAGAMENTO DARF');
   INCLUI_ERRCNABP ('409', '5395', 'VALOR OUTROS INVALIDO - PAGAMENTO GPS');
   INCLUI_ERRCNABP ('409', '5396', 'VALOR TOTAL INVALIDO - PAGAMENTO DARF/GPS');
   INCLUI_ERRCNABP ('409', '5397', 'DATA COMPETENCIA INVALIDA - PAGAMENTO GPS');
   INCLUI_ERRCNABP ('409', '5399', 'CODIGO DA EMPRESA DIFERENTE DO CADASTRADO.O CLIENTE NAO ESTA CADASTRADO PARA TRABALHAR COM CARTAO SAQUE');
   INCLUI_ERRCNABP ('409', '5438', 'NAO EXISTE CONTA CORRENTE');
   INCLUI_ERRCNABP ('409', '5439', 'SEM SALDO');
   INCLUI_ERRCNABP ('409', '5440', 'C/C - AGENCIA ENCERRADA');
   INCLUI_ERRCNABP ('409', '5441', 'C/C - AGENCIA INVALIDA');
   INCLUI_ERRCNABP ('409', '5442', 'C/C - AGENCIA INEXISTENTE NO CADASTRO DE AGENCIAS');
   INCLUI_ERRCNABP ('409', '5470', 'CONTA ENCERRADA');
   INCLUI_ERRCNABP ('409', '5471', 'BLOQUEIO JUDICIAL');
   INCLUI_ERRCNABP ('409', '5472', 'TRANSFERENCIA INSUFICIENTE');
   INCLUI_ERRCNABP ('409', '5473', 'AGENCIA, CONTA CORRENTE OU NOME DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('409', '5474', 'DOC-D INVALIDO - CONTA POUPANCA');
   INCLUI_ERRCNABP ('409', '5475', 'DOC-D INVALIDO - CGC/CPF INVALIDO');
   INCLUI_ERRCNABP ('409', '5476', 'MOEDA INVALIDA');
   INCLUI_ERRCNABP ('409', '5477', 'CLIENTE RECUSOU O CREDITO');
   INCLUI_ERRCNABP ('409', '5486', 'IDENTIFICACAO DO CLIENTE VISA INVALIDO');
   INCLUI_ERRCNABP ('409', '5487', 'NOME DO CLIENTE VISA INVALIDO');
   INCLUI_ERRCNABP ('409', '5499', 'CONTATAR UNIBANCO INFORMANDO O CODIGO DO ERRO IDENTIFICADO.O PAGAMENTO NAO EFETUADO, ENCONTRA-SE NO STATUS "A RECONFIRMAR"');
   COMMIT;
END;
/
BEGIN
   -- BANCO BANESPA  033

   INCLUI_ERRCNABP ('033', '00', 'LANCAMENTO EFETUADO');
   INCLUI_ERRCNABP ('033', '01', 'LANCAMENTO NAO EFETUADO');
   INCLUI_ERRCNABP ('033', '02', 'LANCAMENTO CANCELADO PELO CONVENIADO');
   INCLUI_ERRCNABP ('033', 'AA', 'CONTROLE INVALIDO');
   INCLUI_ERRCNABP ('033', 'AB', 'TIPO DE OPERACAO INVALIDO');
   INCLUI_ERRCNABP ('033', 'AC', 'TIPO DE SERVICO INVALIDO');
   INCLUI_ERRCNABP ('033', 'AD', 'FORMA DE LANCAMENTO INVALIDA');
   INCLUI_ERRCNABP ('033', 'AE', 'TIPO/NUMERO DE INSCRICAO INVALIDA');
   INCLUI_ERRCNABP ('033', 'AG', 'CONTA CORRENTE DO CONVENIADO(N.DA AGENCIA /N DA CONTA/DV)INVALIDA');
   INCLUI_ERRCNABP ('033', 'AH', 'NUMERO SEQUENCIAL DO REGISTRO NO LOTE INVALIDO');
   INCLUI_ERRCNABP ('033', 'AI', 'CODIGO DE SEGMENTO DE DETALHE INVALIDO');
   INCLUI_ERRCNABP ('033', 'AJ', 'TIPO DE MOVIMENTO INVALIDO');
   INCLUI_ERRCNABP ('033', 'AK', 'CODIGO DA CAMARA DE COMPENSACAO DO BANCO DO FAVORECIDO/DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('033', 'AL', 'CODIGO DO BANCO DO FAVORECIDO OU DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('033', 'AM', 'AGENCIA MANTENEDORA DA CONTA CORRENTE DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP ('033', 'AN', 'CONTA CORRENTE/DV DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('033', 'AO', 'NOME DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('033', 'AP', 'DATA LANCAMENTO INVALIDA');
   INCLUI_ERRCNABP ('033', 'AQ', 'TIPO/QUANTIDADE DA MOEDA INVALIDO');
   INCLUI_ERRCNABP ('033', 'AR', 'VALOR DO LANCAMENTO INVALIDO');
   INCLUI_ERRCNABP ('033', 'AS', 'AVISO AO FAVORECIDO - IDENTIFICACAO INVALIDA(INFORMATIVO)');
   INCLUI_ERRCNABP ('033', 'AT', 'TIPO/N DE INSCRICAO DO FAVORECIDO NO SEGMENTO "B" INVALIDO');
   INCLUI_ERRCNABP ('033', 'AU', 'LOGRADOURO DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('033', 'AW', 'CIDADE DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('033', 'AX', 'CEP/ COMPLEMENTO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('033', 'AY', 'SIGLA DO ESTADO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('033', 'AZ', 'CODIGO/ NOME DO BANCO DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('033', 'BC', 'NOSSO NUMERO INVALIDO');
   INCLUI_ERRCNABP ('033', 'BD', 'CONFIRMACAO DE AGENDAMENTO DE COMPROMISSO');
   INCLUI_ERRCNABP ('033', 'CA', 'CODIGO DE BARRAS - CODIGO DO BANCO INVALIDO');
   INCLUI_ERRCNABP ('033', 'CB', 'CODIGO DE BARRAS - CODIGO DA MOEDA INVALIDO ');
   INCLUI_ERRCNABP ('033', 'CC', 'CODIGO DE BARRAS - DIGITO VERIFICADOR GERAL INVALIDO');
   INCLUI_ERRCNABP ('033', 'CD', 'CODIGO DE BARRAS - VALOR DO TITULO INVALIDO');
   INCLUI_ERRCNABP ('033', 'CE', 'CODIGO DE BARRAS - CAMPO LIVRE INVALIDO');
   INCLUI_ERRCNABP ('033', 'CF', 'VALOR DO DOCUMENTO INFORMADO NO SEGMENTO "B" INVALIDO');
   INCLUI_ERRCNABP ('033', 'CG', 'VALOR DO ABATIMENTO INFORMADO NO SEGMENTO "B" INVALIDO ');
   INCLUI_ERRCNABP ('033', 'CH', 'VALOR DO DESCONTO INFORMADO NO SEGMENTO "B" INVALIDO');
   INCLUI_ERRCNABP ('033', 'CI', 'VALOR DA MORA INFORMADA NO SEGMENTO "B" INVALIDO');
   INCLUI_ERRCNABP ('033', 'CJ', 'VALOR DA MULTA INFORMADA NO SEGMENTO "B" INVALIDO');
   INCLUI_ERRCNABP ('033', 'HA', 'LOTE NAO ACEITO');
   INCLUI_ERRCNABP ('033', 'HB', 'INSCRICAO DA EMPRESA INVALIDA PARA O CONTRATO');
   INCLUI_ERRCNABP ('033', 'HC', 'CONVENIO COM A EMPRESA INEXISTENTE/INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP ('033', 'HD', 'AGENCIA/ CONTA CORRENTE DA EMPRESA INEXISTENTE/ INVALIDA PARA CONTRATO');
   INCLUI_ERRCNABP ('033', 'HE', 'TIPO DE SERVICO INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP ('033', 'TA', 'LOTE NAO ACEITO - TOTAIS DO LOTE COM DIFERENCA');
   INCLUI_ERRCNABP ('033', 'XA', 'TIPO DE LANCAMENTO = 50(GPS) E TIPO DE SERVICO DIFERENTE DE 20');
   INCLUI_ERRCNABP ('033', 'XB', 'TIPO DE LANCAMENTO = 50(GPS) E NUMERO DE INSCRICAO DO CONTRIBUINTE IGUAL A ZEROS');
   INCLUI_ERRCNABP ('033', 'XC', 'CODIGO DO PAGAMENTO OU COMPETENCIA OU N DE INSCRICAO NO INSS INVALIDO');
   INCLUI_ERRCNABP ('033', 'XD', 'BANCO DA CONTA CORRENTE DO FAVORECIDO DIFERENTE DE ZEROS');
   INCLUI_ERRCNABP ('033', 'XE', 'AGENCIA, DIGITO AGENCIA, N DA CONTA, DIGITO CONTA OU DIGITO AGENCIA-CONTA NAO NUMERICO OU DIFERENTE DE ZERO');
   INCLUI_ERRCNABP ('033', 'XF', 'COD.PAGTO.OU COMPET. NAO NUMERICO OU = ZEROS.TIPO TRIBUTO DIFERENTE DE GPS');
   COMMIT;
END;
/
BEGIN
   -- BANCO DO BRASIL  001
   INCLUI_ERRCNABP ('001', 'HA', 'LOTE NAO ACEITO');
   INCLUI_ERRCNABP ('001', 'HB', 'INSCRICAO DA EMPRESA INVALIDA PARA O CONTRATO');
   INCLUI_ERRCNABP ('001', 'HC', 'CONVENIO COM A EMPRESA INEXISTENTE/INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP ('001', 'HD', 'AGENCIA/CONTA DA EMPRESA INEXISTENTE/INVALIDA PARA O CONTRATO');
   INCLUI_ERRCNABP ('001', 'HE', 'TIPO DE SERVICO INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP ('001', 'HF', 'CONTA CORRENTE DA EMPRESA COM SALDO INSUFICIENTE');
   INCLUI_ERRCNABP ('001', 'HG', 'LOTE DE SERVICO FORA DE SEQUENCIA');
   INCLUI_ERRCNABP ('001', 'HH', 'LOTE DE SERVICO INVALIDO');
   INCLUI_ERRCNABP ('001', 'AA', 'CONTROLE INVALIDO');
   INCLUI_ERRCNABP ('001', 'AB', 'TIPO DE OPERACAO INVALIDO');
   INCLUI_ERRCNABP ('001', 'AC', 'TIPO DE SERVICO INVALIDO');
   INCLUI_ERRCNABP ('001', 'AD', 'FORMA DE LANCAMENTO INVALIDA');
   INCLUI_ERRCNABP ('001', 'AE', 'TIPO/NUMERO DE INSCRICAO INVALIDO');
   INCLUI_ERRCNABP ('001', 'AF', 'CODIGO DE CONVENIO INVALIDO');
   INCLUI_ERRCNABP ('001', 'AG', 'AGENCIA/CONTA CORRENTE/DV INVALIDO');
   INCLUI_ERRCNABP ('001', 'AH', 'N SEQUENCIAL DO REGISTRO NO LOTE INVALIDO');
   INCLUI_ERRCNABP ('001', 'AI', 'CODIGO DE SEGMENTO DE DETALHE INVALIDO');
   INCLUI_ERRCNABP ('001', 'AJ', 'TIPO DE MOVIMENTO INVALIDO');
   INCLUI_ERRCNABP ('001', 'AK', 'CODIGO DA CAMARA DE COMPENSACAO DO BANCO DO FAVORECIDO DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('001', 'AL', 'CODIGO DO BANCO DO FAVORECIDO OU DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('001', 'AM', 'AGENCIA MANTENEDORA DA CONTA C/C DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP ('001', 'AN', 'CONTA CORRENTE/DV DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('001', 'AO', 'NOME DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('001', 'AP', 'DATA LANCAMENTO INVALIDA');
   INCLUI_ERRCNABP ('001', 'AQ', 'TIPO/QUANTIDADE DA MOEDA INVALIDO');
   INCLUI_ERRCNABP ('001', 'AR', 'VALOR DO LANCAMENTO INVALIDO');
   INCLUI_ERRCNABP ('001', 'AS', 'AVISO AO FAVORECIDO - IDENTIFICACAO INVALIDA');
   INCLUI_ERRCNABP ('001', 'AT', 'TIPO/NUMERO DE INSCRICAO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('001', 'AU', 'LOGRADOURO DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('001', 'AV', 'N DO LOCAL DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP ('001', 'AW', 'CIDADE DO FAVORECIDO NAO INFORMADA');
   INCLUI_ERRCNABP ('001', 'AX', 'CEP/COMPLEMENTO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP ('001', 'AY', 'SIGLA DO ESTADO DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP ('001', 'AZ', 'CODIGO/NOME DO BANCO DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP ('001', 'BA', 'CODIGO/NOME DA AGENCIA DEPOSITARIA NAO INFORMADO');
   INCLUI_ERRCNABP ('001', 'BB', 'SEU NUMERO INVALIDO');
   INCLUI_ERRCNABP ('001', 'BC', 'NOSSO NUMERO INVALIDO');
   INCLUI_ERRCNABP ('001', 'BD', 'CONFIRMACAO DE PAGAMENTO AGENDADO');
   INCLUI_ERRCNABP ('001', 'BE', 'CPF/CGC DO CREDITADO NAO CORRESPONDE A AGENCIA /CONTA INFORMADAS');
   INCLUI_ERRCNABP ('001', 'CA', 'CODIGO DE BARRAS - CODIGO DO BANCO INVALIDO');
   INCLUI_ERRCNABP ('001', 'CB', 'CODIGO DE BARRAS - CODIGO DA MOEDA INVALIDO ');
   INCLUI_ERRCNABP ('001', 'CC', 'CODIGO DE BARRAS - DIGITO VERIFICADOR GERAL INVALIDO');
   INCLUI_ERRCNABP ('001', 'CD', 'CODIGO DE BARRAS - VALOR DO TITULO INVALIDO');
   INCLUI_ERRCNABP ('001', 'CE', 'CODIGO DE BARRAS - CAMPO LIVRE INVALIDO');
   INCLUI_ERRCNABP ('001', 'CF', 'VALOR DO DOCUMENTO INVALIDO');
   INCLUI_ERRCNABP ('001', 'CG', 'VALOR DO ABATIMENTO INVALIDO ');
   INCLUI_ERRCNABP ('001', 'CH', 'VALOR DO DESCONTO INVALIDO');
   INCLUI_ERRCNABP ('001', 'CI', 'VALOR DE MORA INVALIDO');
   INCLUI_ERRCNABP ('001', 'CJ', 'VALOR DA MULTA INVALIDO');
   INCLUI_ERRCNABP ('001', 'CK', 'VALOR DO IR INVALIDO');
   INCLUI_ERRCNABP ('001', 'CL', 'VALOR DO ISS INVALIDO');
   INCLUI_ERRCNABP ('001', 'CM', 'VALOR DO IOF INVALIDO');
   INCLUI_ERRCNABP ('001', 'CN', 'VALOR DE OUTRAS DEDUCOES INVALIDO');
   INCLUI_ERRCNABP ('001', 'CO', 'VALOR DE OUTROS ACRESCIMOS INVALIDO');
   INCLUI_ERRCNABP ('001', 'TA', 'LOTE NAO ACEITO - TOTAIS DO LOTE COM DIFERENCA');
   COMMIT;
END;
/
BEGIN
   -- BANCO DE BOSTON 479

   INCLUI_ERRCNABP ('479', '100', 'CONTA-CORRENTE NAO CADASTRADA');
   INCLUI_ERRCNABP ('479', '104', 'CODIGO BANCO NAO CADASTRADO');
   INCLUI_ERRCNABP ('479', '105', 'CODIGO AGENCIA NAO CADASTRADO');
   INCLUI_ERRCNABP ('479', '106', 'CODIGO CLIENTE NAO CADASTRADO');
   INCLUI_ERRCNABP ('479', '112', 'TRANSACAO INVALIDA - JA CADASTRADO');
   INCLUI_ERRCNABP ('479', '130', 'COMPROMISSO COM PAGAMENTO JA EFETUADO');
   INCLUI_ERRCNABP ('479', '132', 'CODIGO FORNECEDOR NAO CADASTRADO');
   INCLUI_ERRCNABP ('479', '133', 'DADOS INCOMPLETOS OU INVALIDOS');
   INCLUI_ERRCNABP ('479', '134', 'DADOS INCOMPLETOS REFERENTE AO TIPO DE PAGAMENTO');
   INCLUI_ERRCNABP ('479', '137', 'NUMERO DO DOCUMENTO ESTA DIFERENTE');
   INCLUI_ERRCNABP ('479', '139', 'COMPROMISSO NAO CADASTRADO');
   INCLUI_ERRCNABP ('479', '142', 'DATA DE BAIXA INCOMPATIVEL COM DATA DE PAGTO');
   INCLUI_ERRCNABP ('479', '150', 'CLIENTE NAO CADASTRADO EM BASES GERAIS');
   INCLUI_ERRCNABP ('479', '151', 'CLIENTE NAO CADASTRADO PARA PAYMENTS EM BASES GERAIS');
   INCLUI_ERRCNABP ('479', '152', 'CLIENTE NAO CADASTRADO NO RB-PES/RB-CLI :CONTATAR SISTEMAS');
   INCLUI_ERRCNABP ('479', '156', 'PONTO DE VENDA NAO CADASTRADO');
   INCLUI_ERRCNABP ('479', '157', 'AGENCIA C/C INVALIDA');
   INCLUI_ERRCNABP ('479', '158', 'NUMERO C/C INVALIDO');
   INCLUI_ERRCNABP ('479', '159', 'COD ENDERECO PARA CORRESPONDENCIA INVALIDO');
   INCLUI_ERRCNABP ('479', '161', 'CAIXA POSTAL NAO INFORMADA');
   INCLUI_ERRCNABP ('479', '162', 'CAIXA POSTAL INTERNA NAO INFORMADA');
   INCLUI_ERRCNABP ('479', '166', 'OPCAO DE CGC INVALIDA');
   INCLUI_ERRCNABP ('479', '181', 'TIPO DE DOCUMENTO INVALIDO');
   INCLUI_ERRCNABP ('479', '182', 'FORNECEDOR NAO POSSUI CONVENIO PARA COBRANCA');
   INCLUI_ERRCNABP ('479', '193', 'BCO P/ PAGAMENTO NAO E BANCO CONVENIADO');
   INCLUI_ERRCNABP ('479', '197', 'DATA PAGTO E FERIADO NA SUC PAGTO OU SUC DE DEBITO');
   INCLUI_ERRCNABP ('479', '198', 'COMPROMISSO JA FOI DEBITADO DO CLIENTE');
   INCLUI_ERRCNABP ('479', '200', 'NOME E ENDERECO DE FORNECEDOR OBRIGATORIOS');
   INCLUI_ERRCNABP ('479', '201', 'COD FORNECEDOR NAO NUMERICO');
   INCLUI_ERRCNABP ('479', '202', 'COD FORNECEDOR C/DIGITO INVALIDO');
   INCLUI_ERRCNABP ('479', '203', 'CGC/CPF NAO NUMERICO');
   INCLUI_ERRCNABP ('479', '204', 'CGC/CPF C/DIGITO INVALIDO');
   INCLUI_ERRCNABP ('479', '206', 'BANCO P/CREDITO NAO NUMERICO');
   INCLUI_ERRCNABP ('479', '207', 'AGENCIA P/CREDITO NAO NUMERICA');
   INCLUI_ERRCNABP ('479', '208', 'AGENCIA DO BOSTON NAO ESTA CADASTRADA');
   INCLUI_ERRCNABP ('479', '210', 'BANCO P/CREDITO NAO ESTA CADASTRADO');
   INCLUI_ERRCNABP ('479', '211', 'AGENCIA/CONTA DO BOSTON NAO ESTA CADASTRADA');
   INCLUI_ERRCNABP ('479', '212', 'CLIENTE NAO TROCA FITA DE PAYMENTS');
   INCLUI_ERRCNABP ('479', '213', 'ARQUIVO JA PROCESSADO');
   INCLUI_ERRCNABP ('479', '214', 'CONVENIO NAO CADASTRADO PARA AGENCIA');
   INCLUI_ERRCNABP ('479', '216', 'DATA VENCIMENTO INVALIDA PARA PAGTO EM "COB"');
   INCLUI_ERRCNABP ('479', '221', 'REGISTRO DE REDIGITACAO NAO CADASTRADO');
   INCLUI_ERRCNABP ('479', '223', 'AGENCIA DE PAGAMENTO COM CONTEUDO NAO NUMERICO');
   INCLUI_ERRCNABP ('479', '233', 'AGENCIA INVALIDA - NAO IMPLANTADA PAYMENTS');
   INCLUI_ERRCNABP ('479', '235', 'CLIENTE NAO AUTORIZADO CADASTRAR PAGTO HOJE');
   INCLUI_ERRCNABP ('479', '236', 'HORARIO LIMITE P/CADASTRAR HOJE, ENCERRADA');
   INCLUI_ERRCNABP ('479', '240', 'CONVENIO NAO ACEITA COMPR. C/ DATA PGTO > VENCTO');
   INCLUI_ERRCNABP ('479', '241', 'DATA PARA DEBITO FOI ALTERADA PARA PROXIMO DIA UTIL');
   INCLUI_ERRCNABP ('479', '242', 'DT.DEB.ALTERADA. FLOAT NAO PODE SER > QUE CONVENIO OU > 3');
   INCLUI_ERRCNABP ('479', '247', 'OPCAO NAO PERMITIDA,CONVENIO MODAL.VAREJO');
   INCLUI_ERRCNABP ('479', '250', 'DATA VENCIMENTO OU VALOR ZERADOS OU NAO NUMERICOS');
   INCLUI_ERRCNABP ('479', '251', 'DATA VENCIMENTO INVALIDA');
   INCLUI_ERRCNABP ('479', '252', 'TIPO DE PAGAMENTO INVALIDO');
   INCLUI_ERRCNABP ('479', '253', 'DATA DE PAGAMENTO INVALIDA');
   INCLUI_ERRCNABP ('479', '254', 'BANCO PORTADOR DO TITULO NAO NUMERICO');
   INCLUI_ERRCNABP ('479', '255', 'AGENCIA DE PAGAMENTO NAO NUMERICA');
   INCLUI_ERRCNABP ('479', '258', 'TIPO DE DOCUMENTO DE COMPROMISSO NAO CADASTRADO');
   INCLUI_ERRCNABP ('479', '259', 'MOEDA NAO ESTA CADASTRADA');
   INCLUI_ERRCNABP ('479', '260', 'DATA DE PAGAMENTO NAO PODE SER MENOR OU IGUAL DATA DE HOJE');
   INCLUI_ERRCNABP ('479', '261', 'BANCO PORTADOR NAO ESTA CADASTRADO');
   INCLUI_ERRCNABP ('479', '262', 'AGENCIA DE PAGAMENTO NAO ESTA CADASTRADA');
   INCLUI_ERRCNABP ('479', '263', 'AGENCIA DE PAGAMENTO NAO E BANCO');
   INCLUI_ERRCNABP ('479', '264', 'DADOS INCOMPLETOS PARA PAGAMENTO');
   INCLUI_ERRCNABP ('479', '265', 'PAGTO EM DOC FALTANDO DADOS');
   INCLUI_ERRCNABP ('479', '266', 'PAGTO EM CC FALTANDO DADOS');
   INCLUI_ERRCNABP ('479', '267', 'PAGTO EM COB FALTANDO DADOS');
   INCLUI_ERRCNABP ('479', '270', 'CAMARA COMPENSACAO NAO EXISTE PARA O BANCO');
   INCLUI_ERRCNABP ('479', '271', 'COMPROMISSO DOMICILIO VAREJO SO ACEITA OCORRENCIA C04');
   INCLUI_ERRCNABP ('479', '276', 'TIPO PAGAMENTO INVALIDO P/COBRANCA VAREJO');
   INCLUI_ERRCNABP ('479', '281', 'NOTA FISCAL INVALIDA P/COBRANCA VAREJO ');
   INCLUI_ERRCNABP ('479', '282', 'VALOR NOTA DEVOLUCAO INVALIDO P/COB.VAREJO');
   INCLUI_ERRCNABP ('479', '285', 'TIPO DE COMPROMISSO INVALIDO P/COBRANCA VAREJO');
   INCLUI_ERRCNABP ('479', '299', 'CODIGO DE BARRA INVALIDO');
   INCLUI_ERRCNABP ('479', '300', 'ARQUIVO REMESSA SEM REGISTROS DE DETALHE  ');
   INCLUI_ERRCNABP ('479', '301', 'DATA RECEBIMENTO MENOR DATA REFERENCIA');
   INCLUI_ERRCNABP ('479', '302', 'NUMERO REGISTRO DO HEADER DIFERENTE 1');
   INCLUI_ERRCNABP ('479', '303', 'REGISTRO DE HEADER DO MOVIMENTO INVALIDO');
   INCLUI_ERRCNABP ('479', '304', 'MOVIMENTO SEM HEADER');
   INCLUI_ERRCNABP ('479', '305', 'REGISTRO DO ARQUIVO REMESSA NAO IDENTIFICADO');
   INCLUI_ERRCNABP ('479', '306', 'VOLUME COM DADOS DUPLICADOS');
   INCLUI_ERRCNABP ('479', '312', 'NUMERO COMPROMISSO INVALIDO');
   INCLUI_ERRCNABP ('479', '313', 'COMPROMISSO JA CADASTRADO');
   INCLUI_ERRCNABP ('479', '314', 'CAMARA COMPENSACAO INVALIDA');
   INCLUI_ERRCNABP ('479', '315', 'VALOR ABATIMENTO INVALIDO');
   INCLUI_ERRCNABP ('479', '316', 'VALOR JUROS-MULTA INVALIDO');
   INCLUI_ERRCNABP ('479', '317', 'CONTA-CORRENTE NAO NUMERICA');
   INCLUI_ERRCNABP ('479', '320', 'TITULO NAO CAPTURADO DEVIDO ERRO CGC/CPF SACADO');
   INCLUI_ERRCNABP ('479', '321', 'TITULO CAPTURADO INDEVIDAMENTE ESTE CONVENIO');
   INCLUI_ERRCNABP ('479', '322', 'NAO EXISTEM INSTRUCOES PARA ESSE TITULO');
   INCLUI_ERRCNABP ('479', '323', 'TIPO CODIGO INSCRICAO INVALIDO');
   INCLUI_ERRCNABP ('479', '324', 'PTO VENDA/CONVENIO DIFERENTE DO HEADER');
   INCLUI_ERRCNABP ('479', '325', 'FALTA REGISTRO NUMERO XXXXX');
   INCLUI_ERRCNABP ('479', '326', 'REGISTRO FORA DE ORDEM');
   INCLUI_ERRCNABP ('479', '327', 'NUMERO REGISTRO NAO NUMERICO');
   INCLUI_ERRCNABP ('479', '328', 'IDENTIFICACAO CLIENTE DIFERENTE DO INICIAL');
   INCLUI_ERRCNABP ('479', '329', 'CODIGO OPERACAO INVALIDO');
   INCLUI_ERRCNABP ('479', '330', 'CODIGO OCORRENCIA INVALIDO');
   INCLUI_ERRCNABP ('479', '331', 'VALOR AUTORIZADO INVALIDO');
   INCLUI_ERRCNABP ('479', '332', 'COMPROMISSO INVALIDO');
   INCLUI_ERRCNABP ('479', '333', 'COMPROMISSO NAO PODE SER BLOQUEADO');
   INCLUI_ERRCNABP ('479', '334', 'COMPROMISSO NAO PODE SER DESBLOQUEADO');
   INCLUI_ERRCNABP ('479', '335', 'CODIGO ALEGACAO INVALIDO');
   INCLUI_ERRCNABP ('479', '336', 'DESCRICAO DA ALEGACAO INVALIDA');
   INCLUI_ERRCNABP ('479', '337', 'IDENTIFICACAO DO CLIENTE INVALIDA');
   INCLUI_ERRCNABP ('479', '340', 'COMPR NAO PODE SER EXCLUIDO - JA DEBITADO');
   INCLUI_ERRCNABP ('479', '345', 'ALTERACAO DE AVISO INVALIDA NO PROCESSAMENTO DA REMESSA');
   INCLUI_ERRCNABP ('479', '350', 'COMPR EM OUTRAS MOEDAS INVAL P LISTA DE DEBITO');
   INCLUI_ERRCNABP ('479', '355', 'VL. MOEDA NAO CADASTRADO BASE GERAIS');
   INCLUI_ERRCNABP ('479', '357', 'NUMERO DO BORDERO INVALIDO');
   INCLUI_ERRCNABP ('479', '360', 'VAL. CHECKSUM INVALIDO');
   INCLUI_ERRCNABP ('479', '361', 'CODIGO TERCEIRIZADA NAO CADASTRADO');
   INCLUI_ERRCNABP ('479', '362', 'NUMERO DO LOTE IGUAL A ZEROS');
   INCLUI_ERRCNABP ('479', '363', 'CONVENIO NAO TEM MODALIDADE TERCEIRIZADA');
   INCLUI_ERRCNABP ('479', '364', 'TP.PAGTO INVALIDO P/ TERCEIRIZADA');
   INCLUI_ERRCNABP ('479', '365', 'COD.OCORR.INVAL.P/TERCEIRIZADA');
   INCLUI_ERRCNABP ('479', '371', 'BANCO PARA PAGAMENTO ESTA INATIVO');
   INCLUI_ERRCNABP ('479', '372', 'VALOR TED ABAIXO DO LIMITE');
   INCLUI_ERRCNABP ('479', '373', 'CONTA CORRENTE RESTRITA PARA DEBITO');
   INCLUI_ERRCNABP ('479', '375', 'NUMERO DA AG.DO BCO DESTINO INVALIDA');
   INCLUI_ERRCNABP ('479', '376', 'NUMERO DA C/C DA AG.DO BCO DESTINO INVALIDA');
   INCLUI_ERRCNABP ('479', '511', 'TIPO DE COMPROMISSO SO PARA FOLHA DE PAGAMENTO');
   INCLUI_ERRCNABP ('479', '512', 'TIPO DE PAGAMENTO INVALIDO PARA FOLHA');
   INCLUI_ERRCNABP ('479', '514', 'FORNECEDOR INVALIDO PARA FOLHA DE PAGAMENTO');
   INCLUI_ERRCNABP ('479', '516', 'NOME DO FORNECEDOR NAO PREENCHIDO');
   INCLUI_ERRCNABP ('479', '522', 'TIPO DE COMPR.INVAL.P/CONV.C/DEB.EM C.CONTABIL');
   INCLUI_ERRCNABP ('479', '530', 'ALTERACAO DE VALOR INVALIDA PARA ESTE CONVENIO');
   INCLUI_ERRCNABP ('479', '535', 'TP PAGTO NAO PODE SER CHEQUE P/CONV.DEB.DE CTA CONTABIL');
   INCLUI_ERRCNABP ('479', '810', 'NAO EXISTE REGISTRO DE HEADER NO ARQUIVO');
   INCLUI_ERRCNABP ('479', '812', 'VERSAO DO HEADER DO ARQUIVO DIFERENTE DO HEADER NO CONTROLE');
   INCLUI_ERRCNABP ('479', '857', 'OPERACAO INVALIDA');
   INCLUI_ERRCNABP ('479', '859', 'COMPROMISSO JA AUTORIZADO');
   INCLUI_ERRCNABP ('479', '999', 'COMPROMISSO JA LIQUIDADO');
   COMMIT;
END;
/
BEGIN 
   -- BANCO CAIXA ECONOMICA FEDERAL 104

   INCLUI_ERRCNABP('104', '00', 'CREDITO OU DEBITO EFETIVADO');
   INCLUI_ERRCNABP('104', '00', 'CREDITO OU DEBITO EFETIVADO');
   INCLUI_ERRCNABP('104', '01', 'INSUFICIENCIA DE FUNDOS - DEBITO NAO EFETUADO');
   INCLUI_ERRCNABP('104', '02', 'CREDITO OU DEBITO CANCELADO PELO PAGADOR/CREDOR');
   INCLUI_ERRCNABP('104', '03', 'DEBITO AUTORIZADO PELA AGENCIA - EFETUADO');
   INCLUI_ERRCNABP('104', 'HA', 'LOTE NAO ACEITO');
   INCLUI_ERRCNABP('104', 'HB', 'INSCRICAO DA EMPRESA INVALIDA PARA O CONTRATO');
   INCLUI_ERRCNABP('104', 'HC', 'CONVENIO COM A EMPRESA INEXISTENTE/INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP('104', 'HD', 'AGENCIA/CONTA CORRENTE DA EMPRESA INEXISTENTE/INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP('104', 'HE', 'TIPO DE SERVICO INVALIDO PARA O CONTRATO');
   INCLUI_ERRCNABP('104', 'HF', 'CONTA CORRENTE DA EMPRESA COM SALDO INSUFICIENTE');
   INCLUI_ERRCNABP('104', 'HG', 'LOTE DE SERVICO FORA DE SEQUEENCIA');
   INCLUI_ERRCNABP('104', 'HH', 'LOTE DE SERVICO INVALIDO');
   INCLUI_ERRCNABP('104', 'HI', 'NUMERO DA REMESSA INVALIDO');
   INCLUI_ERRCNABP('104', 'HJ', 'ARQUIVO SEM "HEADER"');
   INCLUI_ERRCNABP('104', 'HM', 'VERSAO DO ARQUIVO INVALIDO');
   INCLUI_ERRCNABP('104', 'AA', 'CONTROLE INVALIDO');
   INCLUI_ERRCNABP('104', 'AB', 'TIPO DE OPERACAO INVALIDO');
   INCLUI_ERRCNABP('104', 'AC', 'TIPO DE SERVICO INVALIDO');
   INCLUI_ERRCNABP('104', 'AD', 'FORMA DE LANCAMENTO INVALIDA');
   INCLUI_ERRCNABP('104', 'AE', 'TIPO/NUMERO DE INSCRICAO INVALIDO');
   INCLUI_ERRCNABP('104', 'AF', 'CODIGO DE CONVENIO INVALIDO');
   INCLUI_ERRCNABP('104', 'AG', 'AGENCIA/CONTA CORRENTE/DV INVALIDO');
   INCLUI_ERRCNABP('104', 'AH', 'NUMERO SEQUEENCIAL DO REGISTRO NO LOTE INVALIDO');
   INCLUI_ERRCNABP('104', 'AI', 'CODIGO DE SEGMENTO DE DETALHE INVALIDO');
   INCLUI_ERRCNABP('104', 'AJ', 'TIPO DE MOVIMENTO INVALIDO');
   INCLUI_ERRCNABP('104', 'AK', 'CODIGO DA CAMARA DE COMPENSACAO DO BANCO FAVORECIDO/DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP('104', 'AL', 'CODIGO DO BANCO FAVORECIDO OU DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP('104', 'AM', 'AGENCIA MANTENEDORA DA CONTA CORRENTE DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP('104', 'AN', 'CONTA CORRENTE / DV DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP('104', 'AO', 'NOME DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP('104', 'AP', 'DATA DE LANCAMENTO INVALIDO');
   INCLUI_ERRCNABP('104', 'AQ', 'TIPO/QUANTIDADE DE MOEDA INVALIDA');
   INCLUI_ERRCNABP('104', 'AR', 'VALOR DO LANCAMENTO INVALIDO');
   INCLUI_ERRCNABP('104', 'AS', 'AVISO AO FAVORECIDO - IDENTIFICACAO INVALIDA');
   INCLUI_ERRCNABP('104', 'AT', 'TIPO/NUMERO DE INSCRICAO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP('104', 'AU', 'LOGRADOURO DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP('104', 'AV', 'NUMERO DO LOCAL DO FAVORECIDO NAO INFORMADO');
   INCLUI_ERRCNABP('104', 'AW', 'CIDADE DO FAVORECIDO NAO INFORMADA');
   INCLUI_ERRCNABP('104', 'AX', 'CEP/COMPLEMENTO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP('104', 'AY', 'SIGLA DO ESTADO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP('104', 'AZ', 'CODIGO/NOME DO BANCO DEPOSITARIO INVALIDO');
   INCLUI_ERRCNABP('104', 'BA', 'CODIGO/NOME DA AGENCIA DEPOSITARIA NAO INFORMADO');
   INCLUI_ERRCNABP('104', 'BB', 'SEU NUMERO INVALIDO');
   INCLUI_ERRCNABP('104', 'BC', 'NOSSO NUMERO INVALIDO');
   INCLUI_ERRCNABP('104', 'BD', 'INCLUSAO EFETUADA COM SUCESSO');
   INCLUI_ERRCNABP('104', 'BE', 'ALTERACAO EFETUADA COM SUCESSO');
   INCLUI_ERRCNABP('104', 'BF', 'EXCLUSAO EFETUADA COM SUCESSO');
   INCLUI_ERRCNABP('104', 'BG', 'AGENCIA/CONTA IMPEDIDA LEGALMENTE');
   INCLUI_ERRCNABP('104', 'CA', 'CODIGO DE BARRAS - CODIGO DO BANCO INVALIDO');
   INCLUI_ERRCNABP('104', 'CB', 'CODIGO DE BARRAS - CODIGO DA MOEDA INVALIDA');
   INCLUI_ERRCNABP('104', 'CC', 'CODIGO DE BARRAS - DIGITO VERIFICADOR GERAL INVALIDO');
   INCLUI_ERRCNABP('104', 'CD', 'CODIGO DE BARRAS - VALOR DO TITULO INVALIDO');
   INCLUI_ERRCNABP('104', 'CE', 'CODIGO DE BARRAS - CAMPO LIVRE INVALIDO');
   INCLUI_ERRCNABP('104', 'CF', 'VALOR DO DOCUMENTO INVALIDO');
   INCLUI_ERRCNABP('104', 'CG', 'VALOR DO ABATIMENTO INVALIDO');
   INCLUI_ERRCNABP('104', 'CH', 'VALOR DO DESCONTO INVALIDO');
   INCLUI_ERRCNABP('104', 'CI', 'VALOR DE MORA INVALIDO');
   INCLUI_ERRCNABP('104', 'CJ', 'VALOR DA MULTA INVALIDO');
   INCLUI_ERRCNABP('104', 'CK', 'VALOR DO IR INVALIDO');
   INCLUI_ERRCNABP('104', 'CL', 'VALOR DO ISS INVALIDO');
   INCLUI_ERRCNABP('104', 'CM', 'VALOR DO IOF INVALIDO');
   INCLUI_ERRCNABP('104', 'CN', 'VALOR DE OUTRAS DEDUCOES INVALIDO');
   INCLUI_ERRCNABP('104', 'CO', 'VALOR DE OUTROS ACRESCIMOS INVALIDO');
   INCLUI_ERRCNABP('104', 'CP', 'VALOR DO INSS INVALIDO');
   INCLUI_ERRCNABP('104', 'CQ', 'CODIGO DE BARRAS INVALIDO');
   INCLUI_ERRCNABP('104', 'TA', 'LOTE NAO ACEITO - TOTAIS DE LOTE COM DIFERENCA');
   INCLUI_ERRCNABP('104', 'TB', 'LOTE SEM TRAILLER');
   INCLUI_ERRCNABP('104', 'TC', 'LOTE DE ARQUIVO SEM TRAILLER');
   INCLUI_ERRCNABP('104', 'YA', 'TITULO NAO ENCONTRADO');
   INCLUI_ERRCNABP('104', 'YB', 'IDENTIFICADOR REGISTRO OPCIONAL INVALIDO');
   INCLUI_ERRCNABP('104', 'YC', 'CODIGO PADRAO INVALIDO');
   INCLUI_ERRCNABP('104', 'YD', 'CODIGO DE OCORRENCIA INVALIDO');
   INCLUI_ERRCNABP('104', 'YE', 'COMPLEMENTO DE OCORRENCIA INVALIDO');
   INCLUI_ERRCNABP('104', 'YF', 'ALEGACAO JA INFORMADA');
   COMMIT;
END;
/
BEGIN 
   -- BANCO RURAL 453

   INCLUI_ERRCNABP('453', '295', 'Data de vencimeto Codigo Barras menor que data pagamento');
   INCLUI_ERRCNABP('453', '296', 'Usuario nao cadastrado no sistema');
   INCLUI_ERRCNABP('453', '297', 'Codigo do servico invalido');
   INCLUI_ERRCNABP('453', '298', 'Data de pagamento anterior a data de processamento');
   INCLUI_ERRCNABP('453', '299', 'Especie de pagamento invalida');
   INCLUI_ERRCNABP('453', '300', 'Tipo de pagamento invalido');
   INCLUI_ERRCNABP('453', '301', 'Dados do favorecido incompletos');
   INCLUI_ERRCNABP('453', '302', 'Numero do CGC/CPF do favorecido invalido');
   INCLUI_ERRCNABP('453', '303', 'Numero do CGC/CPF do usuariO invalido');
   INCLUI_ERRCNABP('453', '304', 'Tipo (CGC ou CPF) usuario e/ou favorecido invalido');
   INCLUI_ERRCNABP('453', '305', 'Numero (CGC ou CPF) usuario e/ou favorecido invalido');
   INCLUI_ERRCNABP('453', '306', 'Finalidade DOC invalida');
   INCLUI_ERRCNABP('453', '307', 'Informar finalidade para o DOC');
   INCLUI_ERRCNABP('453', '308', 'Exclusao para registro nao cadastrado no Banco');
   INCLUI_ERRCNABP('453', '309', 'Exclusao para compromisso com pagamento ja efetuado');
   INCLUI_ERRCNABP('453', '310', 'Conta corrente do favorecido invalida');
   INCLUI_ERRCNABP('453', '311', 'Usuario nao cadastrado no sistema');
   INCLUI_ERRCNABP('453', '312', 'Falta nome do favorecido');
   INCLUI_ERRCNABP('453', '313', 'Valor invalido / Valor nao confere com codigo de barras');
   INCLUI_ERRCNABP('453', '314', 'Cod. de Barras invalido p/ titulo compensavel');
   COMMIT;
END;
/
BEGIN 
   -- BANCO MERACANTIL 749

   INCLUI_ERRCNABP('749', '295', 'Data de vencimeto Codigo Barras menor que data pagamento');
   INCLUI_ERRCNABP('749', '296', 'Usuario nao cadastrado no sistema');
   INCLUI_ERRCNABP('749', '297', 'Codigo do servico invalido');
   INCLUI_ERRCNABP('749', '298', 'Data de pagamento anterior a data de processamento');
   INCLUI_ERRCNABP('749', '299', 'Especie de pagamento invalida');
   INCLUI_ERRCNABP('749', '300', 'Tipo de pagamento invalido');
   INCLUI_ERRCNABP('749', '301', 'Dados do favorecido incompletos');
   INCLUI_ERRCNABP('749', '302', 'Numero do CGC/CPF do favorecido invalido');
   INCLUI_ERRCNABP('749', '303', 'Numero do CGC/CPF do usuariO invalido');
   INCLUI_ERRCNABP('749', '304', 'Tipo (CGC ou CPF) usuario e/ou favorecido invalido');
   INCLUI_ERRCNABP('749', '305', 'Numero (CGC ou CPF) usuario e/ou favorecido invalido');
   INCLUI_ERRCNABP('749', '306', 'Finalidade DOC invalida');
   INCLUI_ERRCNABP('749', '307', 'Informar finalidade para o DOC');
   INCLUI_ERRCNABP('749', '308', 'Exclusao para registro nao cadastrado no Banco');
   INCLUI_ERRCNABP('749', '309', 'Exclusao para compromisso com pagamento ja efetuado');
   INCLUI_ERRCNABP('749', '310', 'Conta corrente do favorecido invalida');
   INCLUI_ERRCNABP('749', '311', 'Usuario nao cadastrado no sistema');
   INCLUI_ERRCNABP('749', '312', 'Falta nome do favorecido');
   INCLUI_ERRCNABP('749', '313', 'Valor invalido / Valor nao confere com codigo de barras');
   INCLUI_ERRCNABP('749', '314', 'Cod. de Barras invalido p/ titulo compensavel');
   COMMIT;
END;
/
BEGIN
   -- BANCO BANRISUL 041
   INCLUI_ERRCNABP('041', 'CC', 'Recusa todo arquivo');
   INCLUI_ERRCNABP('041', '00', 'Credito efetuado');
   INCLUI_ERRCNABP('041', '01', 'Insuficiencia de fundos');
   INCLUI_ERRCNABP('041', '02', 'Credito cancelado pelo pagador/credor');
   INCLUI_ERRCNABP('041', '03', 'Debito autorizado pela agencia - efetuado');
   INCLUI_ERRCNABP('041', 'HA', 'Lote nao aceito');
   INCLUI_ERRCNABP('041', 'HB', 'Inscricao da empresa invalida para o contrato');
   INCLUI_ERRCNABP('041', 'HC', 'Convenio com a empresa inexistente/invalido para o contrato');
   INCLUI_ERRCNABP('041', 'HD', 'Agencia/conta corrente da empresa inexistente/invalida para o contrato');
   INCLUI_ERRCNABP('041', 'HE', 'Tipo de servico invalido para o contrato');
   INCLUI_ERRCNABP('041', 'HF', 'Conta-Corrente da Empresa com saldo insuficiente');
   INCLUI_ERRCNABP('041', 'AA', 'Controle invalido');
   INCLUI_ERRCNABP('041', 'AB', 'Tipo de operacao invalido');
   INCLUI_ERRCNABP('041', 'AC', 'Tipo de servico invalido');
   INCLUI_ERRCNABP('041', 'AD', 'Forma de lancamento invalida');
   INCLUI_ERRCNABP('041', 'AE', 'Tipo/numero de inscricao invalido');
   INCLUI_ERRCNABP('041', 'AF', 'Codigo do convenio invalido');
   INCLUI_ERRCNABP('041', 'AG', 'Agencia/conta corrente/Dv invalido');
   INCLUI_ERRCNABP('041', 'AH', 'Numero sequeencial do registro do lote invalido');
   INCLUI_ERRCNABP('041', 'AI', 'Codigo do Segmento de Detalhe invalido.');
   INCLUI_ERRCNABP('041', 'AJ', 'Tipo de movimento invalido');
   INCLUI_ERRCNABP('041', 'AK', 'Codigo da camara de compensacao do favorecido invalido');
   INCLUI_ERRCNABP('041', 'AL', 'Banco do favorecido invalido ou Banco nao cadastrado na tabela de banos para receber TEDs');
   INCLUI_ERRCNABP('041', 'AM', 'Agencia mantenedora da conta corrente do favorecido invalida.');
   INCLUI_ERRCNABP('041', 'AN', 'Conta corrente/Dv do favorecido invalido');
   INCLUI_ERRCNABP('041', 'AO', 'Nome do favorecido nao informado');
   INCLUI_ERRCNABP('041', 'AP', 'Data do lancamento invalida');
   INCLUI_ERRCNABP('041', 'AQ', 'Tipo/quantidade de moeda invalido');
   INCLUI_ERRCNABP('041', 'AR', 'Valor do lancamento invalido');
   INCLUI_ERRCNABP('041', 'AS', 'Aviso ao favorecido - Identificacao invalida');
   INCLUI_ERRCNABP('041', 'AT', 'Tipo/numero de inscricao do favorecido invalido');
   INCLUI_ERRCNABP('041', 'AU', 'Logradouro do favorecido nao informado');
   INCLUI_ERRCNABP('041', 'AV', 'Numero do local do favorecido nao informado');
   INCLUI_ERRCNABP('041', 'AW', 'Cidade do favorecido nao informado');
   INCLUI_ERRCNABP('041', 'AX', 'Cep/complemento do favorecido invalido');
   INCLUI_ERRCNABP('041', 'AY', 'Sigla do estado do favorecido invalida');
   INCLUI_ERRCNABP('041', 'AZ', 'Codigo/nome do banco depositario invalido');
   INCLUI_ERRCNABP('041', 'BA', 'Codigo/nome da agencia depositaria nao informado');
   INCLUI_ERRCNABP('041', 'BB', 'Seu numero invalido');
   INCLUI_ERRCNABP('041', 'BC', 'Nosso numero invalido');
   INCLUI_ERRCNABP('041', 'BD', 'Confirmacao de pagamento agendado');
   INCLUI_ERRCNABP('041', 'BE', 'Codigo do pagamento invalido');
   INCLUI_ERRCNABP('041', 'BF', 'Periodo de competencia invalido');
   INCLUI_ERRCNABP('041', 'BG', 'Mes de competencia invalido');
   INCLUI_ERRCNABP('041', 'BH', 'Ano de competencia invalido');
   INCLUI_ERRCNABP('041', 'BI', 'Competencia 13 nao pode ser antecipada');
   INCLUI_ERRCNABP('041', 'BJ', 'Identificador de pagamento invalido');
   INCLUI_ERRCNABP('041', 'BK', 'Valor da multa invalido');
   INCLUI_ERRCNABP('041', 'BL', 'Valor minimo de GPS - R$29,00');
   INCLUI_ERRCNABP('041', 'BM', 'Codigo de Operacao para o sistema BLV invalido');
   INCLUI_ERRCNABP('041', 'BN', 'STR006 ou TED fora do horario');
   INCLUI_ERRCNABP('041', 'BO', 'Pagamento em agencia do mesmo estado do favorecido');
   INCLUI_ERRCNABP('041', 'BP', 'Erro na validacao do codigo de barras de DARF');
   INCLUI_ERRCNABP('041', 'BQ', 'Inconsistencia do codigo de barras da GPS');
   INCLUI_ERRCNABP('041', 'DD', 'Duplicidade de DOC');
   INCLUI_ERRCNABP('041', 'DT', 'Duplicidade de Titulo');
   INCLUI_ERRCNABP('041', 'TA', 'Lote nao aceito - totais de lote com diferenca.');
   INCLUI_ERRCNABP('041', 'XA', 'TED Agendada cancelada pelo Piloto.');
   INCLUI_ERRCNABP('041', 'XC', 'TED cancelada pelo Piloto.');
   INCLUI_ERRCNABP('041', 'XD', 'Devolucao do SPB.');
   INCLUI_ERRCNABP('041', 'XE', 'Devolucao do SPB por erro.');
   INCLUI_ERRCNABP('041', 'XP', 'Devolucao do SPB por situacao especial.');
   INCLUI_ERRCNABP('041', 'XR', 'Movimento entre contas invalido');
   INCLUI_ERRCNABP('041', '57', 'Divergencia na indicacao da agencia, conta corrente, nome ou CNPJ/CPF do favorecido.');
   INCLUI_ERRCNABP('041', 'ZA', 'Agencia / Conta do Favorecido substituido.');
   COMMIT;
END;
/
BEGIN
   -- BANCO SICOOB  756
   INCLUI_ERRCNABP ('756', '00', 'Credito ou Debito Efetivado');
   INCLUI_ERRCNABP ('756', 'AJ', 'Tipo de Movimento Invalido');
   INCLUI_ERRCNABP ('756', 'BD', 'Inclusao Efetuada com Sucesso');
   INCLUI_ERRCNABP ('756', 'PD', 'Transacao Pendente de Assinatura');
   INCLUI_ERRCNABP ('756', 'BF', 'Transacao Rejeitada');
   COMMIT;
END;
/
BEGIN
   -- BANCO SICOOB  748
   INCLUI_ERRCNABP('748', '00', 'PAGAMENTO EFETUADO');
   INCLUI_ERRCNABP('748', 'AB', 'TIPO DE OPERACAO INVALIDO');
   INCLUI_ERRCNABP('748', 'AC', 'TIPO DE SERVICO INVALIDO');
   INCLUI_ERRCNABP('748', 'AD', 'FORMA NAO COMPATIVEL');
   INCLUI_ERRCNABP('748', 'AE', 'TIPO/N INSCRICAO INVALIDO');
   INCLUI_ERRCNABP('748', 'AF', 'CODIGO DE CONVENIO INVALIDO');
   INCLUI_ERRCNABP('748', 'AG', 'AGENCIA/CONTA CORRENTE/DV INVALIDO');
   INCLUI_ERRCNABP('748', 'AH', 'NUMERO SEQUENCIAL DO REGISTRO NO LOTE INVALIDO');
   INCLUI_ERRCNABP('748', 'AI', 'CODIGO DO SEGMENTO DE DETALHE INVALIDO');
   INCLUI_ERRCNABP('748', 'AJ', 'TIPO DE MOVIMENTO INVALIDO');
   INCLUI_ERRCNABP('748', 'AK', 'CODIGO DA CAMARA DE COMPENSACAO DO BANCO DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP('748', 'AL', 'CODIGO DO BANCO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP('748', 'AM', 'AGENCIA DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP('748', 'AN', 'CONTA CORRENTE DO FAVORECIDO INVALIDA');
   INCLUI_ERRCNABP('748', 'AQ', 'TIPO/QUANTIDADE DA MOEDA INVALIDO');
   INCLUI_ERRCNABP('748', 'AO', 'NOME DO FAVORECIDO INVALIDO');
   INCLUI_ERRCNABP('748', 'AP', 'DATA DE LANCAMENTO/PAGAMENTO INVALIDA');
   INCLUI_ERRCNABP('748', 'BC', 'NOSSO NUMERO INVALIDO');
   INCLUI_ERRCNABP('748', 'BD', 'CONFIRMACAO DE PAGAMENTO AGENDADO');
   INCLUI_ERRCNABP('748', 'BE', 'PAGAMENTO AGENDADO COM FORMA ALTERADA PARA OP');
   INCLUI_ERRCNABP('748', 'CE', 'CODIGO DE BARRAS CAMPO LIVRE INVALIDO');
   INCLUI_ERRCNABP('748', 'CF', 'VALOR DO TITULO INVALIDO');
   INCLUI_ERRCNABP('748', 'CG', 'VALOR DO ABATIMENTO INVALIDO');
   INCLUI_ERRCNABP('748', 'CH', 'VALOR DO DESCONTO INVALIDO');
   INCLUI_ERRCNABP('748', 'CI', 'VALOR DA MORA INVALIDO');
   INCLUI_ERRCNABP('748', 'CJ', 'VALOR DA MULTA INVALIDO');
   INCLUI_ERRCNABP('748', 'CN', 'VALOR DA DEDUCAO INVALIDO');
   INCLUI_ERRCNABP('748', 'CO', 'VALOR DO ACRESCIMO INVALIDO');
   INCLUI_ERRCNABP('748', 'CC', 'DV DO CODIGO DE BARRAS INVALIDO');
   INCLUI_ERRCNABP('748', 'CD', 'VALOR DO TITULO INVALIDO CODIGO DE BARRAS');
   INCLUI_ERRCNABP('748', 'HJ', 'REGISTRO REJEITADO');
   INCLUI_ERRCNABP('748', 'HF', 'SALDO INSUFICIENTE');
   INCLUI_ERRCNABP('748', 'TA', 'LOTE NAO ACEITO - TOTAIS DO LOTE COM DIFERENCA');

   COMMIT;
END;
/